#!/usr/bin/env python

func_arg_list = [[2, 0], [1, 0], [3, 1], [1, 1], [4, 0], [0, 1], [0, 1], [0, 1], [3, 0], [2, 0], [2, 0], [1, 0], [1, 0], [4, 0], [3, 0], [4, 0], [2, 0], [2, 0], [2, 0], [3, 0], [0, 0], [2, 2]]

cvt_dict = {
    'cvt_0' : 0,   #-486
    'cvt_1' : 1,   #0
    'cvt_2' : 2,   #1054
    'cvt_3' : 3,   #1480
    'cvt_4' : 4,   #1540
    'cvt_5' : 5,   #119
    'cvt_6' : 6,   #117
    'cvt_7' : 7,   #218
    'cvt_8' : 8,   #89
    'cvt_9' : 9,   #115
    'cvt_10' : 10,   #71
    'cvt_11' : 11,   #190
    'cvt_12' : 12,   #73
    'cvt_13' : 13,   #177
    'cvt_14' : 14,   #186
    'cvt_15' : 15,   #192
    'cvt_16' : 16,   #139
    'cvt_17' : 17,   #144
    'cvt_18' : 18,   #83
    'cvt_19' : 19,   #102
    'cvt_20' : 20,   #59
    'cvt_21' : 21,   #43
    'cvt_22' : 22,   #65
    'cvt_23' : 23,   #67
    'cvt_24' : 24,   #160
    'cvt_25' : 25,   #146
    'cvt_26' : 26,   #148
    'cvt_27' : 27,   #62
    'cvt_28' : 28,   #53
    }

pseudo_prep = """
    f_push      511        ;#--- PUSHW_1    511        ;: PUSH Words
SCANCTRL        &_511      ;511: SCAN conversion ConTRoL
    f_push      1          ;#--- PUSHB_1    1          ;: PUSH Bytes
SCANTYPE        &_1        ;1: SCANTYPE
SVTCA[y-axis]              ;: Set freedom and projection Vectors To Coordinate Axis
MPPEM                      ;: Measure Pixels Per EM
    f_push      8          ;#--- PUSHB_1    8          ;&_MPPEM_1: PUSH Bytes
LT              &_8 &_MPPEM_1 ;8 &_MPPEM_1: Less Than
IF              &_LT_1     ;&_LT_1: IF test
    f_push      1 1        ;#--- PUSHB_2    1 1        ;: PUSH Bytes
INSTCTRL        &_1 &_1    ;1 1: INSTRuction execution ConTRoL
EIF                        ;  : End IF
    f_push      6 70       ;#--- PUSHB_2    70 6       ;: PUSH Bytes
CALL            &_6        ;6 70: CALL function
IF              &_f6_retval_1 ;&_f6_retval_1 70: IF test
POP             &_70       ;70: POP top stack element
    f_push      16         ;#--- PUSHB_1    16         ;: PUSH Bytes
EIF                        ;16: End IF
MPPEM                      ;16: Measure Pixels Per EM
    f_push      20         ;#--- PUSHB_1    20         ;&_MPPEM_1 16: PUSH Bytes
GT              &_20 &_MPPEM_1 ;20 &_MPPEM_1 16: Greater Than
IF              &_GT_1     ;&_GT_1 16: IF test
POP             &_16       ;16: POP top stack element
    f_push      128        ;#--- PUSHB_1    128        ;: PUSH Bytes
EIF                        ;128: End IF
SCVTCI          &_128      ;128: Set Control Value Table Cut-In
    f_push      6          ;#--- PUSHB_1    6          ;: PUSH Bytes
CALL            &_6        ;6: CALL function
NOT             &_f6_retval_1 ;&_f6_retval_1: logical NOT
IF              &_NOT_1    ;&_NOT_1: IF test
EIF                        ;  : End IF
    f_push      20         ;#--- PUSHB_1    20         ;: PUSH Bytes
CALL            &_20       ;20: CALL function
"""

pseudo_fpgm = """
    f_push      0          ;#--- PUSHB_1    0          ;: PUSH Bytes
FDEF            &_0        ;0: Function DEFinition
    f_push      0          ;#--- PUSHB_1    0          ;: PUSH Bytes
SZP0            &_0        ;0: Set Zone Pointer 0
MPPEM                      ;: Measure Pixels Per EM
    f_push      42         ;#--- PUSHB_1    42         ;&_MPPEM_1: PUSH Bytes
LT              &_42 &_MPPEM_1 ;42 &_MPPEM_1: Less Than
IF              &_LT_1     ;&_LT_1: IF test
    f_push      74         ;#--- PUSHB_1    74         ;: PUSH Bytes
SROUND          &_74       ;74: Super ROUND
EIF                        ;  : End IF
    f_push      0          ;#--- PUSHB_1    0          ;: PUSH Bytes
SWAP            &_0 &_arg_1 ;0: SWAP the top two elements on the stack
MIAP[rnd]       &_SWAP_1 &_SWAP_2 ;&_SWAP_1 &_SWAP_2: Move Indirect Absolute Point
RTG                        ;: Round To Grid
    f_push      6          ;#--- PUSHB_1    6          ;: PUSH Bytes
CALL            &_6        ;6: CALL function
IF              &_f6_retval_1 ;&_f6_retval_1: IF test
RTDG                       ;: Round To Double Grid
EIF                        ;  : End IF
MPPEM                      ;: Measure Pixels Per EM
    f_push      42         ;#--- PUSHB_1    42         ;&_MPPEM_1: PUSH Bytes
LT              &_42 &_MPPEM_1 ;42 &_MPPEM_1: Less Than
IF              &_LT_1     ;&_LT_1: IF test
RDTG                       ;: Round Down To Grid
EIF                        ;  : End IF
DUP             &_arg_2    ;: DUPlicate top stack element
MDRP[rp0,rnd,grey] &_DUP_1    ;&_DUP_1 &_DUP_2: Move Direct Relative Point
    f_push      1          ;#--- PUSHB_1    1          ;&_DUP_2: PUSH Bytes
SZP0            &_1        ;1 &_DUP_2: Set Zone Pointer 0
MDAP[no-rnd]    &_DUP_2    ;&_DUP_2: Move Direct Absolute Point
RTG                        ;: Round To Grid
ENDF                       ;: END Function definition
#ARG_COUNT=2:
#RET_COUNT=0: 
#------------------
    f_push      1          ;#--- PUSHB_1    1          ;: PUSH Bytes
FDEF            &_1        ;1: Function DEFinition
DUP             &_arg_1    ;: DUPlicate top stack element
MDRP[rp0,min,white] &_DUP_1    ;&_DUP_1 &_DUP_2: Move Direct Relative Point
    f_push      12         ;#--- PUSHB_1    12         ;&_DUP_2: PUSH Bytes
CALL            &_12 &_DUP_2 ;12 &_DUP_2: CALL function
ENDF                       ;: END Function definition
#ARG_COUNT=1:
#RET_COUNT=0: 
#------------------
    f_push      2          ;#--- PUSHB_1    2          ;: PUSH Bytes
FDEF            &_2        ;2: Function DEFinition
MPPEM                      ;: Measure Pixels Per EM
GT              &_MPPEM_1 &_arg_1 ;&_MPPEM_1: Greater Than
IF              &_GT_1     ;&_GT_1: IF test
RCVT            &_arg_2    ;: Read Control Value Table entry
SWAP            &_RCVT_1 &_arg_3 ;&_RCVT_1: SWAP the top two elements on the stack
EIF                        ;&_SWAP_1 &_SWAP_2: End IF
POP             &_SWAP_1   ;&_SWAP_1 &_SWAP_2: POP top stack element
ENDF                       ;&_SWAP_2: END Function definition
#ARG_COUNT=3:
#RET_COUNT=1: &_SWAP_2
#RET_STACK: &_SWAP_2
#------------------
    f_push      3          ;#--- PUSHB_1    3          ;: PUSH Bytes
FDEF            &_3        ;3: Function DEFinition
ROUND[Black]    &_arg_1    ;: ROUND value
RTG                        ;&_ROUND_1: Round To Grid
DUP             &_ROUND_1  ;&_ROUND_1: DUPlicate top stack element
    f_push      64         ;#--- PUSHB_1    64         ;&_DUP_1 &_DUP_2: PUSH Bytes
LT              &_64 &_DUP_1 ;64 &_DUP_1 &_DUP_2: Less Than
IF              &_LT_1     ;&_LT_1 &_DUP_2: IF test
POP             &_DUP_2    ;&_DUP_2: POP top stack element
    f_push      64         ;#--- PUSHB_1    64         ;: PUSH Bytes
EIF                        ;64: End IF
ENDF                       ;64: END Function definition
#ARG_COUNT=1:
#RET_COUNT=1: 64
#RET_STACK: 64
#------------------
    f_push      4          ;#--- PUSHB_1    4          ;: PUSH Bytes
FDEF            &_4        ;4: Function DEFinition
    f_push      6          ;#--- PUSHB_1    6          ;: PUSH Bytes
CALL            &_6        ;6: CALL function
IF              &_f6_retval_1 ;&_f6_retval_1: IF test
POP             &_arg_1    ;: POP top stack element
SWAP            &_arg_2 &_arg_3 ;: SWAP the top two elements on the stack
POP             &_SWAP_1   ;&_SWAP_1 &_SWAP_2: POP top stack element
ROFF                       ;&_SWAP_2: Round OFF
IF              &_SWAP_2   ;&_SWAP_2: IF test
MDRP[rp0,min,rnd,black] &_arg_4    ;: Move Direct Relative Point
ELSE                       ;: ELSE clause
MDRP[min,rnd,black] &_arg_4    ;: Move Direct Relative Point
EIF                        ;  : End IF
ELSE                       ;: ELSE clause
MPPEM                      ;: Measure Pixels Per EM
GT              &_MPPEM_1 &_arg_1 ;&_MPPEM_1: Greater Than
IF              &_GT_1     ;&_GT_1: IF test
IF              &_arg_2    ; : IF test
MIRP[rp0,min,rnd,black] &_arg_3 &_arg_4 ;: Move Indirect Relative Point
ELSE                       ;: ELSE clause
MIRP[min,rnd,black] &_arg_3 &_arg_4 ;: Move Indirect Relative Point
EIF                        ;  : End IF
ELSE                       ;: ELSE clause
SWAP            &_arg_2 &_arg_3 ;: SWAP the top two elements on the stack
POP             &_SWAP_1   ;&_SWAP_1 &_SWAP_2: POP top stack element
    f_push      5          ;#--- PUSHB_1    5          ;&_SWAP_2: PUSH Bytes
CALL            &_5        ;5 &_SWAP_2: CALL function
IF              &_f5_retval_1 ;&_f5_retval_1 &_SWAP_2: IF test
    f_push      70         ;#--- PUSHB_1    70         ;&_SWAP_2: PUSH Bytes
SROUND          &_70       ;70 &_SWAP_2: Super ROUND
EIF                        ;&_SWAP_2: End IF
IF              &_SWAP_2   ;&_SWAP_2: IF test
MDRP[rp0,min,rnd,black] &_arg_4    ;: Move Direct Relative Point
ELSE                       ;: ELSE clause
MDRP[min,rnd,black] &_arg_4    ;: Move Direct Relative Point
EIF                        ;  : End IF
EIF                        ;  : End IF
EIF                        ;  : End IF
RTG                        ;: Round To Grid
ENDF                       ;: END Function definition
#ARG_COUNT=4:
#RET_COUNT=0: 
#------------------
    f_push      5          ;#--- PUSHB_1    5          ;: PUSH Bytes
FDEF            &_5        ;5: Function DEFinition
GFV                        ;: Get Freedom Vector
NOT             &_GFV_1    ;&_GFV_1 &_GFV_2: logical NOT
AND             &_NOT_1 &_GFV_2 ;&_NOT_1 &_GFV_2: logical AND
ENDF                       ;&_AND_1: END Function definition
#ARG_COUNT=0:
#RET_COUNT=1: &_AND_1
#RET_STACK: &_AND_1
#------------------
    f_push      6          ;#--- PUSHB_1    6          ;: PUSH Bytes
FDEF            &_6        ;6: Function DEFinition
    f_push      1 34       ;#--- PUSHB_2    34 1       ;: PUSH Bytes
GETINFO         &_1        ;1 34: GET INFOrmation
LT              &_GETINFO_1 &_34 ;&_GETINFO_1 34: Less Than
IF              &_LT_1     ;&_LT_1: IF test
    f_push      32         ;#--- PUSHB_1    32         ;: PUSH Bytes
GETINFO         &_32       ;32: GET INFOrmation
NOT             &_GETINFO_1 ;&_GETINFO_1: logical NOT
NOT             &_NOT_1    ;&_NOT_1: logical NOT
ELSE                       ;&_NOT_1: ELSE clause
    f_push      0          ;#--- PUSHB_1    0          ;&_NOT_1: PUSH Bytes
EIF                        ;0 &_NOT_1: End IF
ENDF                       ;&_NOT_1: END Function definition
#ARG_COUNT=0:
#RET_COUNT=1: &_NOT_1
#RET_STACK: &_NOT_1
#------------------
    f_push      7          ;#--- PUSHB_1    7          ;: PUSH Bytes
FDEF            &_7        ;7: Function DEFinition
    f_push      1 36       ;#--- PUSHB_2    36 1       ;: PUSH Bytes
GETINFO         &_1        ;1 36: GET INFOrmation
LT              &_GETINFO_1 &_36 ;&_GETINFO_1 36: Less Than
IF              &_LT_1     ;&_LT_1: IF test
    f_push      64         ;#--- PUSHB_1    64         ;: PUSH Bytes
GETINFO         &_64       ;64: GET INFOrmation
NOT             &_GETINFO_1 ;&_GETINFO_1: logical NOT
NOT             &_NOT_1    ;&_NOT_1: logical NOT
ELSE                       ;&_NOT_1: ELSE clause
    f_push      0          ;#--- PUSHB_1    0          ;&_NOT_1: PUSH Bytes
EIF                        ;0 &_NOT_1: End IF
ENDF                       ;&_NOT_1: END Function definition
#ARG_COUNT=0:
#RET_COUNT=1: &_NOT_1
#RET_STACK: &_NOT_1
#------------------
    f_push      8          ;#--- PUSHB_1    8          ;: PUSH Bytes
FDEF            &_8        ;8: Function DEFinition
SRP2            &_arg_1    ;: Set Reference Point 2
SRP1            &_arg_2    ;: Set Reference Point 1
DUP             &_arg_3    ;: DUPlicate top stack element
IP              &_DUP_1    ;&_DUP_1 &_DUP_2: Interpolate Point
MDAP[rnd]       &_DUP_2    ;&_DUP_2: Move Direct Absolute Point
ENDF                       ;: END Function definition
#ARG_COUNT=3:
#RET_COUNT=0: 
#------------------
    f_push      9          ;#--- PUSHB_1    9          ;: PUSH Bytes
FDEF            &_9        ;9: Function DEFinition
DUP             &_arg_1    ;: DUPlicate top stack element
RDTG                       ;&_DUP_1 &_DUP_2: Round Down To Grid
    f_push      6          ;#--- PUSHB_1    6          ;&_DUP_1 &_DUP_2: PUSH Bytes
CALL            &_6        ;6 &_DUP_1 &_DUP_2: CALL function
IF              &_f6_retval_1 ;&_f6_retval_1 &_DUP_1 &_DUP_2: IF test
MDRP[rnd,grey]  &_DUP_1    ;&_DUP_1 &_DUP_2: Move Direct Relative Point
ELSE                       ;&_DUP_2: ELSE clause
MDRP[min,rnd,black] &_DUP_2    ;&_DUP_2: Move Direct Relative Point
EIF                        ;  : End IF
DUP             &_DUP_2    ;&_DUP_2: DUPlicate top stack element
    f_push      3          ;#--- PUSHB_1    3          ;&_DUP_1 &_DUP_2: PUSH Bytes
CINDEX          &_3        ;3 &_DUP_1 &_DUP_2: Copy the INDEXed element to the top of the stack
MD[grid]        &_CINDEX_1 &_DUP_1 ;&_CINDEX_1 &_DUP_1 &_DUP_2: Measure Distance
SWAP            &_MD_1 &_DUP_2 ;&_MD_1 &_DUP_2: SWAP the top two elements on the stack
DUP             &_SWAP_1   ;&_SWAP_1 &_SWAP_2: DUPlicate top stack element
    f_push      4          ;#--- PUSHB_1    4          ;&_DUP_1 &_DUP_2 &_SWAP_2: PUSH Bytes
MINDEX          &_4        ;4 &_DUP_1 &_DUP_2: Move the INDEXed element to the top of the stack
MD[orig]        &_MINDEX_1 &_DUP_1 ;&_MINDEX_1 &_DUP_1 &_DUP_2: Measure Distance
    f_push      0          ;#--- PUSHB_1    0          ;&_MD_1 &_DUP_2 &_SWAP_2: PUSH Bytes
LT              &_0 &_MD_1 ;0 &_MD_1 &_DUP_2: Less Than
IF              &_LT_1     ;&_LT_1 &_DUP_2 &_SWAP_2: IF test
ROLL            &_DUP_2 &_SWAP_2 &_arg_2 ;&_DUP_2 &_SWAP_2: ROLL the top three stack elements
NEG             &_ROLL_1   ;&_ROLL_1 &_ROLL_2 &_ROLL_3: NEGate
ROLL            &_NEG_1 &_ROLL_2 &_ROLL_3 ;&_NEG_1 &_ROLL_2 &_ROLL_3: ROLL the top three stack elements
SUB             &_ROLL_1 &_ROLL_2 ;&_ROLL_1 &_ROLL_2 &_ROLL_3: SUBtract
DUP             &_SUB_1    ;&_SUB_1 &_ROLL_3: DUPlicate top stack element
    f_push      0          ;#--- PUSHB_1    0          ;&_DUP_1 &_DUP_2 &_ROLL_3: PUSH Bytes
LT              &_0 &_DUP_1 ;0 &_DUP_1 &_DUP_2: Less Than
IF              &_LT_1     ;&_LT_1 &_DUP_2 &_ROLL_3: IF test
SHPIX           &_DUP_2 &_ROLL_3 ;&_DUP_2 &_ROLL_3: SHift point by a PIXel amount
ELSE                       ;: ELSE clause
POP             &_arg_3    ;: POP top stack element
POP             &_arg_4    ;: POP top stack element
EIF                        ;  : End IF
ELSE                       ;: ELSE clause
ROLL            &_arg_2 &_arg_3 &_arg_4 ;: ROLL the top three stack elements
ROLL            &_ROLL_1 &_ROLL_2 &_ROLL_3 ;&_ROLL_1 &_ROLL_2 &_ROLL_3: ROLL the top three stack elements
SUB             &_ROLL_1 &_ROLL_2 ;&_ROLL_1 &_ROLL_2 &_ROLL_3: SUBtract
DUP             &_SUB_1    ;&_SUB_1 &_ROLL_3: DUPlicate top stack element
    f_push      0          ;#--- PUSHB_1    0          ;&_DUP_1 &_DUP_2 &_ROLL_3: PUSH Bytes
GT              &_0 &_DUP_1 ;0 &_DUP_1 &_DUP_2: Greater Than
IF              &_GT_1     ;&_GT_1 &_DUP_2 &_ROLL_3: IF test
SHPIX           &_DUP_2 &_ROLL_3 ;&_DUP_2 &_ROLL_3: SHift point by a PIXel amount
ELSE                       ;: ELSE clause
POP             &_arg_5    ;: POP top stack element
POP             &_arg_6    ;: POP top stack element
EIF                        ;  : End IF
EIF                        ;  : End IF
RTG                        ;: Round To Grid
ENDF                       ;: END Function definition
#ARG_COUNT=2:
#RET_COUNT=0: 
#------------------
    f_push      10         ;#--- PUSHB_1    10         ;: PUSH Bytes
FDEF            &_10       ;10: Function DEFinition
    f_push      6          ;#--- PUSHB_1    6          ;: PUSH Bytes
CALL            &_6        ;6: CALL function
IF              &_f6_retval_1 ;&_f6_retval_1: IF test
POP             &_arg_1    ;: POP top stack element
SRP0            &_arg_2    ;: Set Reference Point 0
ELSE                       ;: ELSE clause
SRP0            &_arg_1    ;: Set Reference Point 0
POP             &_arg_2    ;: POP top stack element
EIF                        ;  : End IF
ENDF                       ;: END Function definition
#ARG_COUNT=2:
#RET_COUNT=0: 
#------------------
    f_push      11         ;#--- PUSHB_1    11         ;: PUSH Bytes
FDEF            &_11       ;11: Function DEFinition
DUP             &_arg_1    ;: DUPlicate top stack element
MDRP[rp0,white] &_DUP_1    ;&_DUP_1 &_DUP_2: Move Direct Relative Point
    f_push      12         ;#--- PUSHB_1    12         ;&_DUP_2: PUSH Bytes
CALL            &_12 &_DUP_2 ;12 &_DUP_2: CALL function
ENDF                       ;: END Function definition
#ARG_COUNT=1:
#RET_COUNT=0: 
#------------------
    f_push      12         ;#--- PUSHB_1    12         ;: PUSH Bytes
FDEF            &_12       ;12: Function DEFinition
DUP             &_arg_1    ;: DUPlicate top stack element
MDAP[rnd]       &_DUP_1    ;&_DUP_1 &_DUP_2: Move Direct Absolute Point
    f_push      7          ;#--- PUSHB_1    7          ;&_DUP_2: PUSH Bytes
CALL            &_7        ;7 &_DUP_2: CALL function
NOT             &_f7_retval_1 ;&_f7_retval_1 &_DUP_2: logical NOT
IF              &_NOT_1    ;&_NOT_1 &_DUP_2: IF test
DUP             &_DUP_2    ;&_DUP_2: DUPlicate top stack element
DUP             &_DUP_1    ;&_DUP_1 &_DUP_2: DUPlicate top stack element
GC[orig]        &_DUP_1    ;&_DUP_1 &_DUP_2 &_DUP_2: Get Coordinate projected onto the projection vector
SWAP            &_GC_1 &_DUP_2 ;&_GC_1 &_DUP_2 &_DUP_2: SWAP the top two elements on the stack
GC[cur]         &_SWAP_1   ;&_SWAP_1 &_SWAP_2 &_DUP_2: Get Coordinate projected onto the projection vector
SUB             &_GC_1 &_SWAP_2 ;&_GC_1 &_SWAP_2 &_DUP_2: SUBtract
ROUND[White]    &_SUB_1    ;&_SUB_1 &_DUP_2: ROUND value
DUP             &_ROUND_1  ;&_ROUND_1 &_DUP_2: DUPlicate top stack element
IF              &_DUP_1    ;&_DUP_1 &_DUP_2 &_DUP_2: IF test
DUP             &_DUP_2    ;&_DUP_2 &_DUP_2: DUPlicate top stack element
ABS             &_DUP_1    ;&_DUP_1 &_DUP_2 &_DUP_2: ABSolute value
DIV             &_ABS_1 &_DUP_2 ;&_ABS_1 &_DUP_2 &_DUP_2: DIVide
SHPIX           &_DIV_1 &_DUP_2 ;&_DIV_1 &_DUP_2: SHift point by a PIXel amount
ELSE                       ;: ELSE clause
POP             &_arg_2    ;: POP top stack element
POP             &_arg_3    ;: POP top stack element
EIF                        ;  : End IF
ELSE                       ;: ELSE clause
POP             &_arg_2    ;: POP top stack element
EIF                        ;  : End IF
ENDF                       ;: END Function definition
#ARG_COUNT=1:
#RET_COUNT=0: 
#------------------
    f_push      13         ;#--- PUSHB_1    13         ;: PUSH Bytes
FDEF            &_13       ;13: Function DEFinition
SRP2            &_arg_1    ;: Set Reference Point 2
SRP1            &_arg_2    ;: Set Reference Point 1
DUP             &_arg_3    ;: DUPlicate top stack element
DUP             &_DUP_1    ;&_DUP_1 &_DUP_2: DUPlicate top stack element
IP              &_DUP_1    ;&_DUP_1 &_DUP_2 &_DUP_2: Interpolate Point
MDAP[rnd]       &_DUP_2    ;&_DUP_2 &_DUP_2: Move Direct Absolute Point
DUP             &_DUP_2    ;&_DUP_2: DUPlicate top stack element
ROLL            &_DUP_1 &_DUP_2 &_arg_4 ;&_DUP_1 &_DUP_2: ROLL the top three stack elements
DUP             &_ROLL_1   ;&_ROLL_1 &_ROLL_2 &_ROLL_3: DUPlicate top stack element
GC[orig]        &_DUP_1    ;&_DUP_1 &_DUP_2 &_ROLL_2: Get Coordinate projected onto the projection vector
ROLL            &_GC_1 &_DUP_2 &_ROLL_2 ;&_GC_1 &_DUP_2 &_ROLL_2: ROLL the top three stack elements
GC[cur]         &_ROLL_1   ;&_ROLL_1 &_ROLL_2 &_ROLL_3: Get Coordinate projected onto the projection vector
SUB             &_GC_1 &_ROLL_2 ;&_GC_1 &_ROLL_2 &_ROLL_3: SUBtract
SWAP            &_SUB_1 &_ROLL_3 ;&_SUB_1 &_ROLL_3 &_ROLL_3: SWAP the top two elements on the stack
ROLL            &_SWAP_1 &_SWAP_2 &_ROLL_3 ;&_SWAP_1 &_SWAP_2 &_ROLL_3: ROLL the top three stack elements
DUP             &_ROLL_1   ;&_ROLL_1 &_ROLL_2 &_ROLL_3: DUPlicate top stack element
ROLL            &_DUP_1 &_DUP_2 &_ROLL_2 ;&_DUP_1 &_DUP_2 &_ROLL_2: ROLL the top three stack elements
SWAP            &_ROLL_1 &_ROLL_2 ;&_ROLL_1 &_ROLL_2 &_ROLL_3: SWAP the top two elements on the stack
MD[orig]        &_SWAP_1 &_SWAP_2 ;&_SWAP_1 &_SWAP_2 &_ROLL_3: Measure Distance
    f_push      0          ;#--- PUSHB_1    0          ;&_MD_1 &_ROLL_3 &_ROLL_3: PUSH Bytes
LT              &_0 &_MD_1 ;0 &_MD_1 &_ROLL_3: Less Than
IF              &_LT_1     ;&_LT_1 &_ROLL_3 &_ROLL_3: IF test
SWAP            &_ROLL_3 &_ROLL_3 ;&_ROLL_3 &_ROLL_3: SWAP the top two elements on the stack
    f_push      0          ;#--- PUSHB_1    0          ;&_SWAP_1 &_SWAP_2: PUSH Bytes
GT              &_0 &_SWAP_1 ;0 &_SWAP_1 &_SWAP_2: Greater Than
IF              &_GT_1     ;&_GT_1 &_SWAP_2: IF test
    f_push      64         ;#--- PUSHB_1    64         ;&_SWAP_2: PUSH Bytes
SHPIX           &_64 &_SWAP_2 ;64 &_SWAP_2: SHift point by a PIXel amount
ELSE                       ;: ELSE clause
POP             &_arg_5    ;: POP top stack element
EIF                        ;  : End IF
ELSE                       ;: ELSE clause
SWAP            &_arg_5 &_arg_6 ;: SWAP the top two elements on the stack
    f_push      0          ;#--- PUSHB_1    0          ;&_SWAP_1 &_SWAP_2: PUSH Bytes
LT              &_0 &_SWAP_1 ;0 &_SWAP_1 &_SWAP_2: Less Than
IF              &_LT_1     ;&_LT_1 &_SWAP_2: IF test
    f_push      64         ;#--- PUSHB_1    64         ;&_SWAP_2: PUSH Bytes
NEG             &_64       ;64 &_SWAP_2: NEGate
SHPIX           &_NEG_1 &_SWAP_2 ;&_NEG_1 &_SWAP_2: SHift point by a PIXel amount
ELSE                       ;: ELSE clause
POP             &_arg_7    ;: POP top stack element
EIF                        ;  : End IF
EIF                        ;  : End IF
ENDF                       ;: END Function definition
#ARG_COUNT=4:
#RET_COUNT=0: 
#------------------
    f_push      14         ;#--- PUSHB_1    14         ;: PUSH Bytes
FDEF            &_14       ;14: Function DEFinition
    f_push      6          ;#--- PUSHB_1    6          ;: PUSH Bytes
CALL            &_6        ;6: CALL function
IF              &_f6_retval_1 ;&_f6_retval_1: IF test
RTDG                       ;: Round To Double Grid
MDRP[rp0,rnd,white] &_arg_1    ;: Move Direct Relative Point
RTG                        ;: Round To Grid
POP             &_arg_2    ;: POP top stack element
POP             &_arg_3    ;: POP top stack element
ELSE                       ;: ELSE clause
DUP             &_arg_1    ;: DUPlicate top stack element
MDRP[rp0,rnd,white] &_DUP_1    ;&_DUP_1 &_DUP_2: Move Direct Relative Point
ROLL            &_DUP_2 &_arg_2 &_arg_3 ;&_DUP_2: ROLL the top three stack elements
MPPEM                      ;&_ROLL_1 &_ROLL_2 &_ROLL_3: Measure Pixels Per EM
GT              &_MPPEM_1 &_ROLL_1 ;&_MPPEM_1 &_ROLL_1 &_ROLL_2: Greater Than
IF              &_GT_1     ;&_GT_1 &_ROLL_2 &_ROLL_3: IF test
DUP             &_ROLL_2   ;&_ROLL_2 &_ROLL_3: DUPlicate top stack element
ROLL            &_DUP_1 &_DUP_2 &_ROLL_3 ;&_DUP_1 &_DUP_2 &_ROLL_3: ROLL the top three stack elements
SWAP            &_ROLL_1 &_ROLL_2 ;&_ROLL_1 &_ROLL_2 &_ROLL_3: SWAP the top two elements on the stack
MD[grid]        &_SWAP_1 &_SWAP_2 ;&_SWAP_1 &_SWAP_2 &_ROLL_3: Measure Distance
DUP             &_MD_1     ;&_MD_1 &_ROLL_3: DUPlicate top stack element
    f_push      0          ;#--- PUSHB_1    0          ;&_DUP_1 &_DUP_2 &_ROLL_3: PUSH Bytes
NEQ             &_0 &_DUP_1 ;0 &_DUP_1 &_DUP_2: Not EQual
IF              &_NEQ_1    ;&_NEQ_1 &_DUP_2 &_ROLL_3: IF test
SHPIX           &_DUP_2 &_ROLL_3 ;&_DUP_2 &_ROLL_3: SHift point by a PIXel amount
ELSE                       ;: ELSE clause
POP             &_arg_4    ;: POP top stack element
POP             &_arg_5    ;: POP top stack element
EIF                        ;  : End IF
ELSE                       ;: ELSE clause
POP             &_arg_4    ;: POP top stack element
POP             &_arg_5    ;: POP top stack element
EIF                        ;  : End IF
EIF                        ;  : End IF
ENDF                       ;: END Function definition
#ARG_COUNT=3:
#RET_COUNT=0: 
#------------------
    f_push      15         ;#--- PUSHB_1    15         ;: PUSH Bytes
FDEF            &_15       ;15: Function DEFinition
SWAP            &_arg_1 &_arg_2 ;: SWAP the top two elements on the stack
DUP             &_SWAP_1   ;&_SWAP_1 &_SWAP_2: DUPlicate top stack element
MDRP[rp0,rnd,white] &_DUP_1    ;&_DUP_1 &_DUP_2 &_SWAP_2: Move Direct Relative Point
DUP             &_DUP_2    ;&_DUP_2 &_SWAP_2: DUPlicate top stack element
MDAP[rnd]       &_DUP_1    ;&_DUP_1 &_DUP_2 &_SWAP_2: Move Direct Absolute Point
    f_push      7          ;#--- PUSHB_1    7          ;&_DUP_2 &_SWAP_2: PUSH Bytes
CALL            &_7        ;7 &_DUP_2 &_SWAP_2: CALL function
NOT             &_f7_retval_1 ;&_f7_retval_1 &_DUP_2 &_SWAP_2: logical NOT
IF              &_NOT_1    ;&_NOT_1 &_DUP_2 &_SWAP_2: IF test
SWAP            &_DUP_2 &_SWAP_2 ;&_DUP_2 &_SWAP_2: SWAP the top two elements on the stack
DUP             &_SWAP_1   ;&_SWAP_1 &_SWAP_2: DUPlicate top stack element
IF              &_DUP_1    ;&_DUP_1 &_DUP_2 &_SWAP_2: IF test
MPPEM                      ;&_DUP_2 &_SWAP_2: Measure Pixels Per EM
GTEQ            &_MPPEM_1 &_DUP_2 ;&_MPPEM_1 &_DUP_2 &_SWAP_2: Greater Than or EQual
ELSE                       ;&_GTEQ_1 &_SWAP_2: ELSE clause
POP             &_GTEQ_1   ;&_GTEQ_1 &_SWAP_2: POP top stack element
    f_push      1          ;#--- PUSHB_1    1          ;&_SWAP_2: PUSH Bytes
EIF                        ;1 &_SWAP_2: End IF
IF              &_GTEQ_1   ;&_GTEQ_1 &_SWAP_2: IF test
ROLL            &_SWAP_2 &_arg_3 &_arg_4 ;&_SWAP_2: ROLL the top three stack elements
    f_push      4          ;#--- PUSHB_1    4          ;&_ROLL_1 &_ROLL_2 &_ROLL_3: PUSH Bytes
MINDEX          &_4        ;4 &_ROLL_1 &_ROLL_2: Move the INDEXed element to the top of the stack
MD[grid]        &_MINDEX_1 &_ROLL_1 ;&_MINDEX_1 &_ROLL_1 &_ROLL_2: Measure Distance
SWAP            &_MD_1 &_ROLL_2 ;&_MD_1 &_ROLL_2 &_ROLL_3: SWAP the top two elements on the stack
ROLL            &_SWAP_1 &_SWAP_2 &_ROLL_3 ;&_SWAP_1 &_SWAP_2 &_ROLL_3: ROLL the top three stack elements
SWAP            &_ROLL_1 &_ROLL_2 ;&_ROLL_1 &_ROLL_2 &_ROLL_3: SWAP the top two elements on the stack
DUP             &_SWAP_1   ;&_SWAP_1 &_SWAP_2 &_ROLL_3: DUPlicate top stack element
ROLL            &_DUP_1 &_DUP_2 &_SWAP_2 ;&_DUP_1 &_DUP_2 &_SWAP_2: ROLL the top three stack elements
MD[grid]        &_ROLL_1 &_ROLL_2 ;&_ROLL_1 &_ROLL_2 &_ROLL_3: Measure Distance
ROLL            &_MD_1 &_ROLL_3 &_ROLL_3 ;&_MD_1 &_ROLL_3 &_ROLL_3: ROLL the top three stack elements
SWAP            &_ROLL_1 &_ROLL_2 ;&_ROLL_1 &_ROLL_2 &_ROLL_3: SWAP the top two elements on the stack
SUB             &_SWAP_1 &_SWAP_2 ;&_SWAP_1 &_SWAP_2 &_ROLL_3: SUBtract
SHPIX           &_SUB_1 &_ROLL_3 ;&_SUB_1 &_ROLL_3: SHift point by a PIXel amount
ELSE                       ;: ELSE clause
POP             &_arg_3    ;: POP top stack element
POP             &_arg_4    ;: POP top stack element
POP             &_arg_5    ;: POP top stack element
POP             &_arg_6    ;: POP top stack element
EIF                        ;  : End IF
ELSE                       ;: ELSE clause
POP             &_1        ;1 &_SWAP_2: POP top stack element
POP             &_SWAP_2   ;&_SWAP_2: POP top stack element
POP             &_arg_3    ;: POP top stack element
POP             &_arg_4    ;: POP top stack element
POP             &_arg_5    ;: POP top stack element
EIF                        ;  : End IF
ENDF                       ;: END Function definition
#ARG_COUNT=4:
#RET_COUNT=0: 
#------------------
    f_push      16         ;#--- PUSHB_1    16         ;: PUSH Bytes
FDEF            &_16       ;16: Function DEFinition
DUP             &_arg_1    ;: DUPlicate top stack element
MDRP[rp0,min,white] &_DUP_1    ;&_DUP_1 &_DUP_2: Move Direct Relative Point
    f_push      18         ;#--- PUSHB_1    18         ;&_DUP_2: PUSH Bytes
CALL            &_18 &_DUP_2 &_arg_2 ;18 &_DUP_2: CALL function
ENDF                       ;: END Function definition
#ARG_COUNT=2:
#RET_COUNT=0: 
#------------------
    f_push      17         ;#--- PUSHB_1    17         ;: PUSH Bytes
FDEF            &_17       ;17: Function DEFinition
DUP             &_arg_1    ;: DUPlicate top stack element
MDRP[rp0,white] &_DUP_1    ;&_DUP_1 &_DUP_2: Move Direct Relative Point
    f_push      18         ;#--- PUSHB_1    18         ;&_DUP_2: PUSH Bytes
CALL            &_18 &_DUP_2 &_arg_2 ;18 &_DUP_2: CALL function
ENDF                       ;: END Function definition
#ARG_COUNT=2:
#RET_COUNT=0: 
#------------------
    f_push      18         ;#--- PUSHB_1    18         ;: PUSH Bytes
FDEF            &_18       ;18: Function DEFinition
DUP             &_arg_1    ;: DUPlicate top stack element
MDAP[rnd]       &_DUP_1    ;&_DUP_1 &_DUP_2: Move Direct Absolute Point
    f_push      7          ;#--- PUSHB_1    7          ;&_DUP_2: PUSH Bytes
CALL            &_7        ;7 &_DUP_2: CALL function
NOT             &_f7_retval_1 ;&_f7_retval_1 &_DUP_2: logical NOT
IF              &_NOT_1    ;&_NOT_1 &_DUP_2: IF test
DUP             &_DUP_2    ;&_DUP_2: DUPlicate top stack element
DUP             &_DUP_1    ;&_DUP_1 &_DUP_2: DUPlicate top stack element
GC[orig]        &_DUP_1    ;&_DUP_1 &_DUP_2 &_DUP_2: Get Coordinate projected onto the projection vector
SWAP            &_GC_1 &_DUP_2 ;&_GC_1 &_DUP_2 &_DUP_2: SWAP the top two elements on the stack
GC[cur]         &_SWAP_1   ;&_SWAP_1 &_SWAP_2 &_DUP_2: Get Coordinate projected onto the projection vector
SUB             &_GC_1 &_SWAP_2 ;&_GC_1 &_SWAP_2 &_DUP_2: SUBtract
ROUND[White]    &_SUB_1    ;&_SUB_1 &_DUP_2: ROUND value
ROLL            &_ROUND_1 &_DUP_2 &_arg_2 ;&_ROUND_1 &_DUP_2: ROLL the top three stack elements
DUP             &_ROLL_1   ;&_ROLL_1 &_ROLL_2 &_ROLL_3: DUPlicate top stack element
GC[orig]        &_DUP_1    ;&_DUP_1 &_DUP_2 &_ROLL_2: Get Coordinate projected onto the projection vector
SWAP            &_GC_1 &_DUP_2 ;&_GC_1 &_DUP_2 &_ROLL_2: SWAP the top two elements on the stack
GC[cur]         &_SWAP_1   ;&_SWAP_1 &_SWAP_2 &_ROLL_2: Get Coordinate projected onto the projection vector
SWAP            &_GC_1 &_SWAP_2 ;&_GC_1 &_SWAP_2 &_ROLL_2: SWAP the top two elements on the stack
SUB             &_SWAP_1 &_SWAP_2 ;&_SWAP_1 &_SWAP_2 &_ROLL_2: SUBtract
ROUND[White]    &_SUB_1    ;&_SUB_1 &_ROLL_2 &_ROLL_3: ROUND value
ADD             &_ROUND_1 &_ROLL_2 ;&_ROUND_1 &_ROLL_2 &_ROLL_3: ADD
DUP             &_ADD_1    ;&_ADD_1 &_ROLL_3: DUPlicate top stack element
IF              &_DUP_1    ;&_DUP_1 &_DUP_2 &_ROLL_3: IF test
DUP             &_DUP_2    ;&_DUP_2 &_ROLL_3: DUPlicate top stack element
ABS             &_DUP_1    ;&_DUP_1 &_DUP_2 &_ROLL_3: ABSolute value
DIV             &_ABS_1 &_DUP_2 ;&_ABS_1 &_DUP_2 &_ROLL_3: DIVide
SHPIX           &_DIV_1 &_ROLL_3 ;&_DIV_1 &_ROLL_3: SHift point by a PIXel amount
ELSE                       ;: ELSE clause
POP             &_arg_3    ;: POP top stack element
POP             &_arg_4    ;: POP top stack element
EIF                        ;  : End IF
ELSE                       ;: ELSE clause
POP             &_arg_2    ;: POP top stack element
POP             &_arg_3    ;: POP top stack element
EIF                        ;  : End IF
ENDF                       ;: END Function definition
#ARG_COUNT=2:
#RET_COUNT=0: 
#------------------
    f_push      19         ;#--- PUSHB_1    19         ;: PUSH Bytes
FDEF            &_19       ;19: Function DEFinition
DUP             &_arg_1    ;: DUPlicate top stack element
ROLL            &_DUP_1 &_DUP_2 &_arg_2 ;&_DUP_1 &_DUP_2: ROLL the top three stack elements
DUP             &_ROLL_1   ;&_ROLL_1 &_ROLL_2 &_ROLL_3: DUPlicate top stack element
ROLL            &_DUP_1 &_DUP_2 &_ROLL_2 ;&_DUP_1 &_DUP_2 &_ROLL_2: ROLL the top three stack elements
SDPVTL[orthog]  &_ROLL_1 &_ROLL_2 ;&_ROLL_1 &_ROLL_2 &_ROLL_3: Set Dual Projection Vector To Line
DUP             &_ROLL_3   ;&_ROLL_3 &_ROLL_3: DUPlicate top stack element
    f_push      3          ;#--- PUSHB_1    3          ;&_DUP_1 &_DUP_2 &_ROLL_3: PUSH Bytes
CINDEX          &_3        ;3 &_DUP_1 &_DUP_2: Copy the INDEXed element to the top of the stack
MD[orig]        &_CINDEX_1 &_DUP_1 ;&_CINDEX_1 &_DUP_1 &_DUP_2: Measure Distance
ABS             &_MD_1     ;&_MD_1 &_DUP_2 &_ROLL_3: ABSolute value
SWAP            &_ABS_1 &_DUP_2 ;&_ABS_1 &_DUP_2 &_ROLL_3: SWAP the top two elements on the stack
ROLL            &_SWAP_1 &_SWAP_2 &_ROLL_3 ;&_SWAP_1 &_SWAP_2 &_ROLL_3: ROLL the top three stack elements
SPVTL[orthog]   &_ROLL_1 &_ROLL_2 ;&_ROLL_1 &_ROLL_2 &_ROLL_3: Set Projection Vector To Line
    f_push      32         ;#--- PUSHB_1    32         ;&_ROLL_3: PUSH Bytes
LT              &_32 &_ROLL_3 ;32 &_ROLL_3: Less Than
IF              &_LT_1     ;&_LT_1: IF test
ALIGNRP         &_arg_3    ;: ALIGN to Reference Point
ELSE                       ;: ELSE clause
MDRP[grey]      &_arg_3    ;: Move Direct Relative Point
EIF                        ;  : End IF
ENDF                       ;: END Function definition
#ARG_COUNT=3:
#RET_COUNT=0: 
#------------------
    f_push      20         ;#--- PUSHB_1    20         ;: PUSH Bytes
FDEF            &_20       ;20: Function DEFinition
    f_push      64 1 64 0  ;#--- PUSHB_4    0 64 1 64  ;: PUSH Bytes
WS              &_64 &_1   ;64 1 64: Write Store
WS              &_64 &_0   ;64 0: Write Store
SVTCA[x-axis]              ;: Set freedom and projection Vectors To Coordinate Axis
MPPEM                      ;: Measure Pixels Per EM
    f_push      4096       ;#--- PUSHW_1    4096       ;&_MPPEM_1: PUSH Words
MUL             &_4096 &_MPPEM_1 ;4096 &_MPPEM_1: MULtiply
SVTCA[y-axis]              ;&_MUL_1: Set freedom and projection Vectors To Coordinate Axis
MPPEM                      ;&_MUL_1: Measure Pixels Per EM
    f_push      4096       ;#--- PUSHW_1    4096       ;&_MPPEM_1 &_MUL_1: PUSH Words
MUL             &_4096 &_MPPEM_1 ;4096 &_MPPEM_1 &_MUL_1: MULtiply
DUP             &_MUL_1    ;&_MUL_1 &_MUL_1: DUPlicate top stack element
ROLL            &_DUP_1 &_DUP_2 &_MUL_1 ;&_DUP_1 &_DUP_2 &_MUL_1: ROLL the top three stack elements
DUP             &_ROLL_1   ;&_ROLL_1 &_ROLL_2 &_ROLL_3: DUPlicate top stack element
ROLL            &_DUP_1 &_DUP_2 &_ROLL_2 ;&_DUP_1 &_DUP_2 &_ROLL_2: ROLL the top three stack elements
NEQ             &_ROLL_1 &_ROLL_2 ;&_ROLL_1 &_ROLL_2 &_ROLL_3: Not EQual
IF              &_NEQ_1    ;&_NEQ_1 &_ROLL_3 &_ROLL_3: IF test
DUP             &_ROLL_3   ;&_ROLL_3 &_ROLL_3: DUPlicate top stack element
ROLL            &_DUP_1 &_DUP_2 &_ROLL_3 ;&_DUP_1 &_DUP_2 &_ROLL_3: ROLL the top three stack elements
DUP             &_ROLL_1   ;&_ROLL_1 &_ROLL_2 &_ROLL_3: DUPlicate top stack element
ROLL            &_DUP_1 &_DUP_2 &_ROLL_2 ;&_DUP_1 &_DUP_2 &_ROLL_2: ROLL the top three stack elements
GT              &_ROLL_1 &_ROLL_2 ;&_ROLL_1 &_ROLL_2 &_ROLL_3: Greater Than
IF              &_GT_1     ;&_GT_1 &_ROLL_3 &_ROLL_3: IF test
SWAP            &_ROLL_3 &_ROLL_3 ;&_ROLL_3 &_ROLL_3: SWAP the top two elements on the stack
DIV             &_SWAP_1 &_SWAP_2 ;&_SWAP_1 &_SWAP_2: DIVide
DUP             &_DIV_1    ;&_DIV_1: DUPlicate top stack element
    f_push      0          ;#--- PUSHB_1    0          ;&_DUP_1 &_DUP_2: PUSH Bytes
SWAP            &_0 &_DUP_1 ;0 &_DUP_1 &_DUP_2: SWAP the top two elements on the stack
WS              &_SWAP_1 &_SWAP_2 ;&_SWAP_1 &_SWAP_2 &_DUP_2: Write Store
ELSE                       ;&_DUP_2: ELSE clause
DIV             &_DUP_2 &_arg_1 ;&_DUP_2: DIVide
DUP             &_DIV_1    ;&_DIV_1: DUPlicate top stack element
    f_push      1          ;#--- PUSHB_1    1          ;&_DUP_1 &_DUP_2: PUSH Bytes
SWAP            &_1 &_DUP_1 ;1 &_DUP_1 &_DUP_2: SWAP the top two elements on the stack
WS              &_SWAP_1 &_SWAP_2 ;&_SWAP_1 &_SWAP_2 &_DUP_2: Write Store
EIF                        ;&_DUP_2: End IF
DUP             &_DUP_2    ;&_DUP_2: DUPlicate top stack element
    f_push      64         ;#--- PUSHB_1    64         ;&_DUP_1 &_DUP_2: PUSH Bytes
GT              &_64 &_DUP_1 ;64 &_DUP_1 &_DUP_2: Greater Than
IF              &_GT_1     ;&_GT_1 &_DUP_2: IF test
    f_push      0 32 0     ;#--- PUSHB_3    0 32 0     ;&_DUP_2: PUSH Bytes
RS              &_0        ;0 32 0: Read Store
MUL             &_RS_1 &_32 ;&_RS_1 32 0: MULtiply
WS              &_MUL_1 &_0 ;&_MUL_1 0 &_DUP_2: Write Store
    f_push      1 32 1     ;#--- PUSHB_3    1 32 1     ;&_DUP_2: PUSH Bytes
RS              &_1        ;1 32 1: Read Store
MUL             &_RS_1 &_32 ;&_RS_1 32 1: MULtiply
WS              &_MUL_1 &_1 ;&_MUL_1 1 &_DUP_2: Write Store
    f_push      32         ;#--- PUSHB_1    32         ;&_DUP_2: PUSH Bytes
MUL             &_32 &_DUP_2 ;32 &_DUP_2: MULtiply
    f_push      25         ;#--- PUSHB_1    25         ;&_MUL_1: PUSH Bytes
NEG             &_25       ;25 &_MUL_1: NEGate
JMPR            &_NEG_1    ;&_NEG_1 &_MUL_1: JuMP Relative
POP             &_MUL_1    ;&_MUL_1: POP top stack element
EIF                        ;  : End IF
ELSE                       ;: ELSE clause
POP             &_arg_1    ;: POP top stack element
POP             &_arg_2    ;: POP top stack element
EIF                        ;  : End IF
ENDF                       ;: END Function definition
#ARG_COUNT=0:
#RET_COUNT=0: 
#------------------
    f_push      21         ;#--- PUSHB_1    21         ;: PUSH Bytes
FDEF            &_21       ;21: Function DEFinition
    f_push      1          ;#--- PUSHB_1    1          ;: PUSH Bytes
RS              &_1        ;1: Read Store
MUL             &_RS_1 &_arg_1 ;&_RS_1: MULtiply
SWAP            &_MUL_1 &_arg_2 ;&_MUL_1: SWAP the top two elements on the stack
    f_push      0          ;#--- PUSHB_1    0          ;&_SWAP_1 &_SWAP_2: PUSH Bytes
RS              &_0        ;0 &_SWAP_1 &_SWAP_2: Read Store
MUL             &_RS_1 &_SWAP_1 ;&_RS_1 &_SWAP_1 &_SWAP_2: MULtiply
SWAP            &_MUL_1 &_SWAP_2 ;&_MUL_1 &_SWAP_2: SWAP the top two elements on the stack
ENDF                       ;&_SWAP_1 &_SWAP_2: END Function definition
#ARG_COUNT=2:
#RET_COUNT=2: &_SWAP_2 &_SWAP_1
#RET_STACK: &_SWAP_2 &_SWAP_1
#------------------
"""

