#!/usr/bin/env python
from dttcmd import *

func_arg_list = [
[2, 0], [1, 0], [3, 1], [1, 1], [4, 0], 
[0, 1], [0, 1], [0, 1], [3, 0], [2, 0], 
[2, 0], [1, 0], [1, 0], [4, 0], [3, 0], 
[4, 0], [2, 0], [2, 0], [2, 0], [3, 0], 
[0, 0], [2, 2], [4, 0], [3, 0], [0, 0],
]

cvt_dict = {
    'evheight_p'    : 0,   #-486
        'tvheight_lu' : 0,   #-486
    'cvt_1' : 1,   #0
    'evheight'      : 2,   #1054
    'ecvheight'     : 3,   #1480
    'evheight_b'    : 4,   #1540
    'cvt_5' : 5,   #119
    'tstemw_sara_thin' : 6,   #117
    'ecstemw'       : 7,   #218
    'ecstemw_M'     : 8,   #89
    'tstemtc_num_thick' : 9,   #115
    'cvt_10': 10,   #71
    'estemw'        : 11,   #190
    'cvt_12' : 12,   #73
    'estemw_s'      : 13,   #177
    'tstemw'        : 14,   #186
    'cvt_15' : 15,   #192
    'estem_139' : 16,   #139
    'cvt_17' : 17,   #144
    'cvt_18' : 18,   #83
    'cvt_19' : 19,   #102
    'cvt_20' : 20,   #59
    'cvt_21' : 21,   #43
    'cvt_22' : 22,   #65
    'cvt_23' : 23,   #67
    'cvt_24' : 24,   #160
    'cvt_25' : 25,   #146
    'estemwc_thin'  : 26,   #148
        'tstemw_sara'   : 26,   #148
        'tstemwc_sara'  : 26,   #148
    'cvt_27' : 27,   #62
    'cvt_28' : 28,   #53
    'estemwc'       : 29,   #198
    'estemt'        : 30,   #68
        'tstemt'        : 30,   #68
    'estemtc'       : 31,   #72
        'estemtc_thin'       : 31,   #72
    'ecstemwc'      : 32,   #229
    'ecstemt'       : 33,   #76
        'ecstemt_thin'       : 33,   #76
    'ecstemtc'      : 34,   #80
    'tstemtc_top'   : 35,   #88
        'estemtc_thick'   : 35,   #88
    'tstemtc'       : 36,   #72
        'tstemtc_thin'       : 36,   #72
        'tstemt_thin'        : 36,   #72
        'tstemtc_sara'       : 36,   #72
    'tstemwc_thin'  : 37,   #109
    'estem_50'      : 38,   #50
    'estem_123'     : 39,   #123
    'estem_154'     : 40,   #154
    'headstem'      : 41,   #60
    'hhsph'         : 42,   #240
    'vhsph'         : 43,   #300
    'tstemt_sara'   : 44,   #60
    'xheadl'        : 45,   #234
    'xheadr'        : 46,   #420
    'tstemt_ro'     : 47,   #132
        'estemtc_y'     : 47,   #132
    'hhsph_sara'    : 48,   #200
    'vhsph_sara'    : 49,   #260
    'tvheight'      : 50,   #1128
    'evheight_shoot': 51,   #1054
    'ecvheight_shoot': 52,   #1506
    'tvheight_shoot': 53,   #1155
    'evbase_shoot'  : 54,   #26
    'd_399p'        : 55,   #399
    'tvheight_po'   : 56,   #1641
    'estemw_w'      : 57,   #72
    'tstemwc_num'   : 58,   #178
    'tvheight_num'  : 59,   #844
    'tstemw_num'    : 60,   #163

    }

#PUT THESE LINE IN THE BOTTOM OF CODE
#   #----- MODIFY pseudo_code_dict BY -----------
#   #----- SUBSTITUTE FUNCTION IN TEXT FORM -----
#   #----- TO REAL pseudo_code ------------------
#   from dttcmd import *
#   self_func = []
#   for i in dir():
#       if callable(eval(i)): self_func.append(i)
#   
#   
#   for i in pseudo_code_dict.keys():
#       p_list = pseudo_code_dict[i].sp_listit('\n')
#       for j in range(len(p_list)):
#           if '(' in p_list[j]:
#               if p_list[j].sp_listit('(',1)[0] in self_func:
#                   l = [n for n in range(len(p_list[j])) if p_list[j][n] == ')']
#                   t = p_list[j][:l[-1]+1]
#                   p_list[j] = p_list[j].rep_listace(t, eval(t))
#       pseudo_code_dict[i] = '\n'.join(p_list)

#----------------------------------------
#   code
#----------------------------------------


#----------------------------------------

#---GENERATE STEM FUNCTION---
#predefine delta string of stem (put before gen_cvt_func)
#ds_headstem = "9-4 30-4 31-4 32-4 33-4 34-4 "
#ds_hsph = "9-4 30+4 31+4 32-4 33-4 34-4 "
#ds_headsara = "9-4 "
#
#deprecated, MOVE TO prep table

#SPECIAL
#ds_slant = ""
ds_slant = "11-1 12-2 13-2 14-3 15-3 16-4 "
ds_ec_slant = ""
#ds_ec_slant = "11-1 12-2 13-3 14-3 15-4 16-5 "

#AUTO THIN DELTA STRING, USE IN AUTO GENERATE stemt FUNCTION
ds_autothin = "14-1 15-1 16-1 "
#
gen_cvt_func_dict = {
    #MIRP[min,black]
#    'mirp-mb':   ['ecstem*','estem*','tstem*','stem*','headdia'],
#'mirp-mb':   ['ecstemw*','estemw*','tstemw*','stemw*','headdia','estem_*'],
    #MIRP[min,rnd,grey]
    #'mirp-mrg':  ['headdia','headstem*','head_sara_stem','head_sara'],
    #MIRP[white]
    'mirp-w':  ['headhole'],
    #MIRP[rnd,grey]
    'mirp-rg':  ['hhsph*','vhsph*','d_*','xhead*'],
    #MIRP[black]
#    'mirp-b' : ['headstem*','head_sara_stem','head_sara'],
#    'mirp-b' : ['headstem*','head_sara_stem','head_sara','ecstemt*','estemt*','tstemt*','stemt*'],
    'mirp-b' : ['headstem*','head_sara_stem','head_sara','ecstemt*','estemt*','tstemt*','stemt*','ecstemw*','estemw*','tstemw*','stemw*','headdia','estem_*'],
    #MIAP[rnd]
    'miap-r' : ['evheight*','tvheight*','ecvheight*','evbase*'],
    }

#create function from cvt value
#ex: estemw
#   -> estemw_1  = mirpmb('estemw',ds_estemw,direction='+')
#   -> estemw0_1 = mirp0mb('estemw',ds_estemw,direction='+')
#   -> estemw_2  = mirpmb('estemw',ds_estemw,direction='-')
#   -> estemw0_2 = mirp0mb('estemw',ds_estemw,direction='-')
for arg,cvt_list in gen_cvt_func_dict.iteritems():
    new_list = []
    for i in cvt_list:
        if i[-1]=='*': 
            c = i.strip('*')
            n = len(c)
            l = [x for x in cvt_dict.keys() if x[:n]==c]
            new_list.extend(l)
        else:
            new_list.append(i)

    for i in new_list:
        for j in ['_1','0_1','_2','0_2']:
           #1=forward/bottomup, #2=reverse/topdown
            add1 = ''
            if arg[:4] == 'call':
                cmd_line = '"%s %s ' % (arg.upper(),i,) + '%s" ' + '% (s,)'
                if j[0] == '0':
                    add1 = 'srp0(s)'
            else:
                c,a = arg.split('-')
                if c in ['miap','mdap']:
                    if j[0] == '0':
                        cmd = c + a
                    else:
                        #MIAP and MDAP the point must be rp0 only
                        continue
                else:
                    if j[0] == '0':    #m=move rp0
                        cmd = c + '0' + a
                    else:
                        cmd = c + a
                cmd_line = '%s("%s",s)' % (cmd,i,)  #mirp('cvt',s)

            if j[-1] == '1': #1=forward/bottomup, #2=reverse/topdown
                direction = '+'
            else:
                direction = '-'

            #AUTO GENERATE delta string
            try:    #if ds_CVT is defined
                exec "ds = ds_%s " % (i,)
            except: #else
                exec "ds_%s = ''" % (i,)

            #GEN FUNCTION
            exec '''def %s%s(s,direction="%s"):
    return pl(""
        , %s
        , f_dstr(s,ds_%s,direction)
        , %s
        )
''' % (i,j,direction,cmd_line,i,add1,)

            #GEN EXTRA FUNC FOR THIN OF estemt, tstemt
            #USE IN UPPER STEM OF kho_khai, kho_kwai
            #***PREDEFINE: ds_estemt_autothin
            #if arg[:4] == 'mirp' and i in ['ecstemt','ecstemtc','estemt','estemtc','tstemt','tstemtc']:
            if i in ['ecstemt','ecstemtc','estemt','estemtc','tstemt','tstemtc']:
                #AUTO GENERATE delta string
                try:
                    exec "ds_%s_autothin = sum_dstr(ds_%s + ds_autothin" % (i,i,)
                except:
                    exec "ds_%s_autothin = ds_autothin" % (i,)
                #GEN FUNC
                exec '''def %s_autothin%s(s,direction="%s"):
    return pl(""
        , %s
        , f_dstr(s,ds_%s_autothin,direction)
        )
''' % (i,j,direction,cmd_line,i,)


pseudo_prep = pl("""
    f_push      511        ;#--- PUSHW_1    511        ;: PUSH Words
SCANCTRL        &_511      ;511: SCAN conversion ConTRoL
    f_push      1          ;#--- PUSHB_1    1          ;: PUSH Bytes
SCANTYPE        &_1        ;1: SCANTYPE
SVTCA[y-axis]              ;: Set freedom and projection Vectors To Coordinate Axis
MPPEM                      ;: Measure Pixels Per EM
    f_push      8          ;#--- PUSHB_1    8          ;&_MPPEM_1: PUSH Bytes
LT              &_8 &_MPPEM_1 ;8 &_MPPEM_1: Less Than
IF              &_LT_1     ;&_LT_1: IF test
    f_push      1 1        ;#--- PUSHB_2    1 1        ;: PUSH Bytes
INSTCTRL        &_1 &_1    ;1 1: INSTRuction execution ConTRoL
EIF                        ;  : End IF
#    f_push      6 70       ;#--- PUSHB_2    70 6       ;: PUSH Bytes
#CALL            &_6        ;6 70: CALL function
#IF              &_f6_retval_1 ;&_f6_retval_1 70: IF test
#POP             &_70       ;70: POP top stack element
#    f_push      16         ;#--- PUSHB_1    16         ;: PUSH Bytes
#EIF                        ;16: End IF
#MPPEM                      ;16: Measure Pixels Per EM
#    f_push      20         ;#--- PUSHB_1    20         ;&_MPPEM_1 16: PUSH Bytes
#GT              &_20 &_MPPEM_1 ;20 &_MPPEM_1 16: Greater Than
#IF              &_GT_1     ;&_GT_1 16: IF test
#POP             &_16       ;16: POP top stack element
#    f_push      128        ;#--- PUSHB_1    128        ;: PUSH Bytes
#EIF                        ;128: End IF
#SCVTCI          &_128      ;128: Set Control Value Table Cut-In
    f_push      6          ;#--- PUSHB_1    6          ;: PUSH Bytes
#CALL            &_6        ;6: CALL function
#NOT             &_f6_retval_1 ;&_f6_retval_1: logical NOT
#IF              &_NOT_1    ;&_NOT_1: IF test
#SVTCA[y-axis]              ;: Set freedom and projection Vectors To Coordinate Axis
#    f_push      6          ;#--- PUSHB_1    6          ;: PUSH Bytes
#DUP             &_6        ;6: DUPlicate top stack element
#RCVT            &_DUP_1    ;&_DUP_1 &_DUP_2: Read Control Value Table entry
#    f_push      3          ;#--- PUSHB_1    3          ;&_RCVT_1 &_DUP_2: PUSH Bytes
#CALL            &_3 &_RCVT_1 ;3 &_RCVT_1 &_DUP_2: CALL function
#WCVTP           &_f3_retval_1 &_DUP_2 ;&_f3_retval_1 &_DUP_2: Write Control Value Table in Pixel units
#    f_push      9          ;#--- PUSHB_1    9          ;: PUSH Bytes
#DUP             &_9        ;9: DUPlicate top stack element
#RCVT            &_DUP_1    ;&_DUP_1 &_DUP_2: Read Control Value Table entry
#    f_push      2 99 6     ;#--- PUSHB_3    6 99 2     ;&_RCVT_1 &_DUP_2: PUSH Bytes
#CALL            &_2 &_99 &_6 &_RCVT_1 ;2 99 6: CALL function
#    f_push      3          ;#--- PUSHB_1    3          ;&_f2_retval_1 &_DUP_2: PUSH Bytes
#CALL            &_3 &_f2_retval_1 ;3 &_f2_retval_1 &_DUP_2: CALL function
#WCVTP           &_f3_retval_1 &_DUP_2 ;&_f3_retval_1 &_DUP_2: Write Control Value Table in Pixel units
#    f_push      8          ;#--- PUSHB_1    8          ;: PUSH Bytes
#DUP             &_8        ;8: DUPlicate top stack element
#RCVT            &_DUP_1    ;&_DUP_1 &_DUP_2: Read Control Value Table entry
#    f_push      2 24 9     ;#--- PUSHB_3    9 24 2     ;&_RCVT_1 &_DUP_2: PUSH Bytes
#CALL            &_2 &_24 &_9 &_RCVT_1 ;2 24 9: CALL function
#    f_push      3          ;#--- PUSHB_1    3          ;&_f2_retval_1 &_DUP_2: PUSH Bytes
#CALL            &_3 &_f2_retval_1 ;3 &_f2_retval_1 &_DUP_2: CALL function
#WCVTP           &_f3_retval_1 &_DUP_2 ;&_f3_retval_1 &_DUP_2: Write Control Value Table in Pixel units
#    f_push      7          ;#--- PUSHB_1    7          ;: PUSH Bytes
#DUP             &_7        ;7: DUPlicate top stack element
#RCVT            &_DUP_1    ;&_DUP_1 &_DUP_2: Read Control Value Table entry
#    f_push      2 15 8     ;#--- PUSHB_3    8 15 2     ;&_RCVT_1 &_DUP_2: PUSH Bytes
#CALL            &_2 &_15 &_8 &_RCVT_1 ;2 15 8: CALL function
#    f_push      3          ;#--- PUSHB_1    3          ;&_f2_retval_1 &_DUP_2: PUSH Bytes
#CALL            &_3 &_f2_retval_1 ;3 &_f2_retval_1 &_DUP_2: CALL function
#WCVTP           &_f3_retval_1 &_DUP_2 ;&_f3_retval_1 &_DUP_2: Write Control Value Table in Pixel units
#SVTCA[x-axis]              ;: Set freedom and projection Vectors To Coordinate Axis
#    f_push      10         ;#--- PUSHB_1    10         ;: PUSH Bytes
#DUP             &_10       ;10: DUPlicate top stack element
#RCVT            &_DUP_1    ;&_DUP_1 &_DUP_2: Read Control Value Table entry
#    f_push      3          ;#--- PUSHB_1    3          ;&_RCVT_1 &_DUP_2: PUSH Bytes
#CALL            &_3 &_RCVT_1 ;3 &_RCVT_1 &_DUP_2: CALL function
#WCVTP           &_f3_retval_1 &_DUP_2 ;&_f3_retval_1 &_DUP_2: Write Control Value Table in Pixel units
#    f_push      11         ;#--- PUSHB_1    11         ;: PUSH Bytes
#DUP             &_11       ;11: DUPlicate top stack element
#RCVT            &_DUP_1    ;&_DUP_1 &_DUP_2: Read Control Value Table entry
#    f_push      2 32767 10 ;#--- PUSHW_3    10 32767 2  ;&_RCVT_1 &_DUP_2: PUSH Words
#CALL            &_2 &_32767 &_10 &_RCVT_1 ;2 32767 10: CALL function
#    f_push      70 3       ;#--- PUSHB_2    3 70       ;&_f2_retval_1 &_DUP_2: PUSH Bytes
#SROUND          &_70       ;70 3 &_f2_retval_1: Super ROUND
#CALL            &_3 &_f2_retval_1 ;3 &_f2_retval_1 &_DUP_2: CALL function
#WCVTP           &_f3_retval_1 &_DUP_2 ;&_f3_retval_1 &_DUP_2: Write Control Value Table in Pixel units
#    f_push      12         ;#--- PUSHB_1    12         ;: PUSH Bytes
#DUP             &_12       ;12: DUPlicate top stack element
#RCVT            &_DUP_1    ;&_DUP_1 &_DUP_2: Read Control Value Table entry
#    f_push      2 89 11    ;#--- PUSHB_3    11 89 2    ;&_RCVT_1 &_DUP_2: PUSH Bytes
#CALL            &_2 &_89 &_11 &_RCVT_1 ;2 89 11: CALL function
#    f_push      70 3       ;#--- PUSHB_2    3 70       ;&_f2_retval_1 &_DUP_2: PUSH Bytes
#SROUND          &_70       ;70 3 &_f2_retval_1: Super ROUND
#CALL            &_3 &_f2_retval_1 ;3 &_f2_retval_1 &_DUP_2: CALL function
#WCVTP           &_f3_retval_1 &_DUP_2 ;&_f3_retval_1 &_DUP_2: Write Control Value Table in Pixel units
#EIF                        ;  : End IF
#    f_push      20         ;#--- PUSHB_1    20         ;: PUSH Bytes
#CALL            &_20       ;20: CALL function
#F#
"""
, sx()
#, fc_dstr('estemw', "12-1 13-1 14-2 15-3 16-4 ")
#, fc_dstr('estemwc',"11-1 12-2 13-2 14-3 15-4 16-5 ")
#, fc_dstr('estemw_s',"14-1 15-2 16-3 ")
#, fc_dstr('ecstemw',"11-1 12-2 13-3 14-4 15-5 16-6 ")
#, fc_dstr('ecstemwc',"10-1 11-2 12-3 13-3 14-4 15-5 16-6 ")
#, fc_dstr('tstemw', "12-1 13-1 14-2 15-3 16-4 ")
#, fc_dstr('tstemw_num', "15-1 16-2 ")
#
, fc_dstr('estemw', "13-1 14-1 15-2 16-3 ")
, fc_dstr('estemwc',"12-1 13-1 14-2 15-3 16-4 ")
, fc_dstr('estemw_s',"15-1 16-2 ")
, fc_dstr('ecstemw',"12-1 13-2 14-3 15-4 16-5 ")
, fc_dstr('ecstemwc',"11-1 12-2 13-2 14-3 15-4 16-5 ")
, fc_dstr('tstemw', "13-1 14-1 15-2 16-3 ")
, fc_dstr('tstemw_num', "16-1 ")
#
, fc_dstr('hhsph',  "13-8 22-8 30-8 ")
, fc_dstr('hhsph_sara',  "26-8 ")
, fc_dstr('xheadl', "22-8 31-8 ")
, fc_dstr('xheadr', "13-8 22-8 ")
, fc_dstr('headstem', "9+2 10+3 11+3 12+4 13+4 14+1 15+1 16+1 ")
, '#F#'
, sy()
, fc_dstr('tstemt', "9+2 10+2 11+2 12+1 13+1 ")
, fc_dstr('tstemtc', "9+2 10+2 11+2 12+1 13+1 ")
, fc_dstr('tstemtc_top', "9+2 10+2 11+2 12+1 13+1 ")
, fc_dstr('vhsph',  "11-8 12-8 13-8 18-8 19-8 ")
, fc_dstr('d_399p', "17+8 ")
, '#F#'
    )

pseudo_fpgm = """
    f_push      0          ;#--- PUSHB_1    0          ;: PUSH Bytes
FDEF &_0        ;0: Function DEFinition
    f_push      0          ;#--- PUSHB_1    0          ;: PUSH Bytes
SZP0            &_0        ;0: Set Zone Pointer 0
MPPEM                      ;: Measure Pixels Per EM
    f_push      42         ;#--- PUSHB_1    42         ;&_MPPEM_1: PUSH Bytes
LT              &_42 &_MPPEM_1 ;42 &_MPPEM_1: Less Than
IF              &_LT_1     ;&_LT_1: IF test
    f_push      74         ;#--- PUSHB_1    74         ;: PUSH Bytes
SROUND          &_74       ;74: Super ROUND
EIF                        ;  : End IF
    f_push      0          ;#--- PUSHB_1    0          ;: PUSH Bytes
SWAP            &_0 &_arg_1 ;0: SWAP the top two elements on the stack
MIAP[rnd]       &_SWAP_1 &_SWAP_2 ;&_SWAP_1 &_SWAP_2: Move Indirect Absolute Point
RTG                        ;: Round To Grid
    f_push      6          ;#--- PUSHB_1    6          ;: PUSH Bytes
CALL            &_6        ;6: CALL function
IF              &_f6_retval_1 ;&_f6_retval_1: IF test
RTDG                       ;: Round To Double Grid
EIF                        ;  : End IF
MPPEM                      ;: Measure Pixels Per EM
    f_push      42         ;#--- PUSHB_1    42         ;&_MPPEM_1: PUSH Bytes
LT              &_42 &_MPPEM_1 ;42 &_MPPEM_1: Less Than
IF              &_LT_1     ;&_LT_1: IF test
RDTG                       ;: Round Down To Grid
EIF                        ;  : End IF
DUP             &_arg_2    ;: DUPlicate top stack element
MDRP[rp0,rnd,grey] &_DUP_1    ;&_DUP_1 &_DUP_2: Move Direct Relative Point
    f_push      1          ;#--- PUSHB_1    1          ;&_DUP_2: PUSH Bytes
SZP0            &_1        ;1 &_DUP_2: Set Zone Pointer 0
MDAP[no-rnd]    &_DUP_2    ;&_DUP_2: Move Direct Absolute Point
RTG                        ;: Round To Grid
ENDF                       ;: END Function definition
#ARG_COUNT=2:
#RET_COUNT=0: 
#------------------
    f_push      1          ;#--- PUSHB_1    1          ;: PUSH Bytes
FDEF &_1        ;1: Function DEFinition
DUP             &_arg_1    ;: DUPlicate top stack element
MDRP[rp0,min,white] &_DUP_1    ;&_DUP_1 &_DUP_2: Move Direct Relative Point
    f_push      12         ;#--- PUSHB_1    12         ;&_DUP_2: PUSH Bytes
CALL            &_12 &_DUP_2 ;12 &_DUP_2: CALL function
ENDF                       ;: END Function definition
#ARG_COUNT=1:
#RET_COUNT=0: 
#------------------
    f_push      2          ;#--- PUSHB_1    2          ;: PUSH Bytes
FDEF &_2        ;2: Function DEFinition
MPPEM                      ;: Measure Pixels Per EM
GT              &_MPPEM_1 &_arg_1 ;&_MPPEM_1: Greater Than
IF              &_GT_1     ;&_GT_1: IF test
RCVT            &_arg_2    ;: Read Control Value Table entry
SWAP            &_RCVT_1 &_arg_3 ;&_RCVT_1: SWAP the top two elements on the stack
EIF                        ;&_SWAP_1 &_SWAP_2: End IF
POP             &_SWAP_1   ;&_SWAP_1 &_SWAP_2: POP top stack element
ENDF                       ;&_SWAP_2: END Function definition
#ARG_COUNT=3:
#RET_COUNT=1: &_SWAP_2
#RET_STACK: &_SWAP_2
#------------------
    f_push      3          ;#--- PUSHB_1    3          ;: PUSH Bytes
FDEF &_3        ;3: Function DEFinition
ROUND[Black]    &_arg_1    ;: ROUND value
RTG                        ;&_ROUND_1: Round To Grid
DUP             &_ROUND_1  ;&_ROUND_1: DUPlicate top stack element
    f_push      64         ;#--- PUSHB_1    64         ;&_DUP_1 &_DUP_2: PUSH Bytes
LT              &_64 &_DUP_1 ;64 &_DUP_1 &_DUP_2: Less Than
IF              &_LT_1     ;&_LT_1 &_DUP_2: IF test
POP             &_DUP_2    ;&_DUP_2: POP top stack element
    f_push      64         ;#--- PUSHB_1    64         ;: PUSH Bytes
EIF                        ;64: End IF
ENDF                       ;64: END Function definition
#ARG_COUNT=1:
#RET_COUNT=1: 64
#RET_STACK: 64
#------------------
    f_push      4          ;#--- PUSHB_1    4          ;: PUSH Bytes
FDEF &_4        ;4: Function DEFinition
    f_push      6          ;#--- PUSHB_1    6          ;: PUSH Bytes
CALL            &_6        ;6: CALL function
IF              &_f6_retval_1 ;&_f6_retval_1: IF test
POP             &_arg_1    ;: POP top stack element
SWAP            &_arg_2 &_arg_3 ;: SWAP the top two elements on the stack
POP             &_SWAP_1   ;&_SWAP_1 &_SWAP_2: POP top stack element
ROFF                       ;&_SWAP_2: Round OFF
IF              &_SWAP_2   ;&_SWAP_2: IF test
MDRP[rp0,min,rnd,black] &_arg_4    ;: Move Direct Relative Point
ELSE                       ;: ELSE clause
MDRP[min,rnd,black] &_arg_4    ;: Move Direct Relative Point
EIF                        ;  : End IF
ELSE                       ;: ELSE clause
MPPEM                      ;: Measure Pixels Per EM
GT              &_MPPEM_1 &_arg_1 ;&_MPPEM_1: Greater Than
IF              &_GT_1     ;&_GT_1: IF test
IF              &_arg_2    ; : IF test
MIRP[rp0,min,rnd,black] &_arg_3 &_arg_4 ;: Move Indirect Relative Point
ELSE                       ;: ELSE clause
MIRP[min,rnd,black] &_arg_3 &_arg_4 ;: Move Indirect Relative Point
EIF                        ;  : End IF
ELSE                       ;: ELSE clause
SWAP            &_arg_2 &_arg_3 ;: SWAP the top two elements on the stack
POP             &_SWAP_1   ;&_SWAP_1 &_SWAP_2: POP top stack element
    f_push      5          ;#--- PUSHB_1    5          ;&_SWAP_2: PUSH Bytes
CALL            &_5        ;5 &_SWAP_2: CALL function
IF              &_f5_retval_1 ;&_f5_retval_1 &_SWAP_2: IF test
    f_push      70         ;#--- PUSHB_1    70         ;&_SWAP_2: PUSH Bytes
SROUND          &_70       ;70 &_SWAP_2: Super ROUND
EIF                        ;&_SWAP_2: End IF
IF              &_SWAP_2   ;&_SWAP_2: IF test
MDRP[rp0,min,rnd,black] &_arg_4    ;: Move Direct Relative Point
ELSE                       ;: ELSE clause
MDRP[min,rnd,black] &_arg_4    ;: Move Direct Relative Point
EIF                        ;  : End IF
EIF                        ;  : End IF
EIF                        ;  : End IF
RTG                        ;: Round To Grid
ENDF                       ;: END Function definition
#ARG_COUNT=4:
#RET_COUNT=0: 
#------------------
    f_push      5          ;#--- PUSHB_1    5          ;: PUSH Bytes
FDEF &_5        ;5: Function DEFinition
GFV                        ;: Get Freedom Vector
NOT             &_GFV_1    ;&_GFV_1 &_GFV_2: logical NOT
AND             &_NOT_1 &_GFV_2 ;&_NOT_1 &_GFV_2: logical AND
ENDF                       ;&_AND_1: END Function definition
#ARG_COUNT=0:
#RET_COUNT=1: &_AND_1
#RET_STACK: &_AND_1
#------------------
    f_push      6          ;#--- PUSHB_1    6          ;: PUSH Bytes
FDEF &_6        ;6: Function DEFinition
    f_push      1 34       ;#--- PUSHB_2    34 1       ;: PUSH Bytes
GETINFO         &_1        ;1 34: GET INFOrmation
LT              &_GETINFO_1 &_34 ;&_GETINFO_1 34: Less Than
IF              &_LT_1     ;&_LT_1: IF test
    f_push      32         ;#--- PUSHB_1    32         ;: PUSH Bytes
GETINFO         &_32       ;32: GET INFOrmation
NOT             &_GETINFO_1 ;&_GETINFO_1: logical NOT
NOT             &_NOT_1    ;&_NOT_1: logical NOT
ELSE                       ;&_NOT_1: ELSE clause
    f_push      0          ;#--- PUSHB_1    0          ;&_NOT_1: PUSH Bytes
EIF                        ;0 &_NOT_1: End IF
ENDF                       ;&_NOT_1: END Function definition
#ARG_COUNT=0:
#RET_COUNT=1: &_NOT_1
#RET_STACK: &_NOT_1
#------------------
    f_push      7          ;#--- PUSHB_1    7          ;: PUSH Bytes
FDEF &_7        ;7: Function DEFinition
    f_push      1 36       ;#--- PUSHB_2    36 1       ;: PUSH Bytes
GETINFO         &_1        ;1 36: GET INFOrmation
LT              &_GETINFO_1 &_36 ;&_GETINFO_1 36: Less Than
IF              &_LT_1     ;&_LT_1: IF test
    f_push      64         ;#--- PUSHB_1    64         ;: PUSH Bytes
GETINFO         &_64       ;64: GET INFOrmation
NOT             &_GETINFO_1 ;&_GETINFO_1: logical NOT
NOT             &_NOT_1    ;&_NOT_1: logical NOT
ELSE                       ;&_NOT_1: ELSE clause
    f_push      0          ;#--- PUSHB_1    0          ;&_NOT_1: PUSH Bytes
EIF                        ;0 &_NOT_1: End IF
ENDF                       ;&_NOT_1: END Function definition
#ARG_COUNT=0:
#RET_COUNT=1: &_NOT_1
#RET_STACK: &_NOT_1
#------------------
    f_push      8          ;#--- PUSHB_1    8          ;: PUSH Bytes
FDEF &_8        ;8: Function DEFinition
SRP2            &_arg_1    ;: Set Reference Point 2
SRP1            &_arg_2    ;: Set Reference Point 1
DUP             &_arg_3    ;: DUPlicate top stack element
IP              &_DUP_1    ;&_DUP_1 &_DUP_2: Interpolate Point
MDAP[rnd]       &_DUP_2    ;&_DUP_2: Move Direct Absolute Point
ENDF                       ;: END Function definition
#ARG_COUNT=3:
#RET_COUNT=0: 
#------------------
    f_push      9          ;#--- PUSHB_1    9          ;: PUSH Bytes
FDEF &_9        ;9: Function DEFinition
DUP             &_arg_1    ;: DUPlicate top stack element
RDTG                       ;&_DUP_1 &_DUP_2: Round Down To Grid
    f_push      6          ;#--- PUSHB_1    6          ;&_DUP_1 &_DUP_2: PUSH Bytes
CALL            &_6        ;6 &_DUP_1 &_DUP_2: CALL function
IF              &_f6_retval_1 ;&_f6_retval_1 &_DUP_1 &_DUP_2: IF test
MDRP[rnd,grey]  &_DUP_1    ;&_DUP_1 &_DUP_2: Move Direct Relative Point
ELSE                       ;&_DUP_2: ELSE clause
MDRP[min,rnd,black] &_DUP_2    ;&_DUP_2: Move Direct Relative Point
EIF                        ;  : End IF
DUP             &_DUP_2    ;&_DUP_2: DUPlicate top stack element
    f_push      3          ;#--- PUSHB_1    3          ;&_DUP_1 &_DUP_2: PUSH Bytes
CINDEX          &_3        ;3 &_DUP_1 &_DUP_2: Copy the INDEXed element to the top of the stack
MD[grid]        &_CINDEX_1 &_DUP_1 ;&_CINDEX_1 &_DUP_1 &_DUP_2: Measure Distance
SWAP            &_MD_1 &_DUP_2 ;&_MD_1 &_DUP_2: SWAP the top two elements on the stack
DUP             &_SWAP_1   ;&_SWAP_1 &_SWAP_2: DUPlicate top stack element
    f_push      4          ;#--- PUSHB_1    4          ;&_DUP_1 &_DUP_2 &_SWAP_2: PUSH Bytes
MINDEX          &_4        ;4 &_DUP_1 &_DUP_2: Move the INDEXed element to the top of the stack
MD[orig]        &_MINDEX_1 &_DUP_1 ;&_MINDEX_1 &_DUP_1 &_DUP_2: Measure Distance
    f_push      0          ;#--- PUSHB_1    0          ;&_MD_1 &_DUP_2 &_SWAP_2: PUSH Bytes
LT              &_0 &_MD_1 ;0 &_MD_1 &_DUP_2: Less Than
IF              &_LT_1     ;&_LT_1 &_DUP_2 &_SWAP_2: IF test
ROLL            &_DUP_2 &_SWAP_2 &_arg_2 ;&_DUP_2 &_SWAP_2: ROLL the top three stack elements
NEG             &_ROLL_1   ;&_ROLL_1 &_ROLL_2 &_ROLL_3: NEGate
ROLL            &_NEG_1 &_ROLL_2 &_ROLL_3 ;&_NEG_1 &_ROLL_2 &_ROLL_3: ROLL the top three stack elements
SUB             &_ROLL_1 &_ROLL_2 ;&_ROLL_1 &_ROLL_2 &_ROLL_3: SUBtract
DUP             &_SUB_1    ;&_SUB_1 &_ROLL_3: DUPlicate top stack element
    f_push      0          ;#--- PUSHB_1    0          ;&_DUP_1 &_DUP_2 &_ROLL_3: PUSH Bytes
LT              &_0 &_DUP_1 ;0 &_DUP_1 &_DUP_2: Less Than
IF              &_LT_1     ;&_LT_1 &_DUP_2 &_ROLL_3: IF test
SHPIX           &_DUP_2 &_ROLL_3 ;&_DUP_2 &_ROLL_3: SHift point by a PIXel amount
ELSE                       ;: ELSE clause
POP             &_arg_3    ;: POP top stack element
POP             &_arg_4    ;: POP top stack element
EIF                        ;  : End IF
ELSE                       ;: ELSE clause
ROLL            &_arg_2 &_arg_3 &_arg_4 ;: ROLL the top three stack elements
ROLL            &_ROLL_1 &_ROLL_2 &_ROLL_3 ;&_ROLL_1 &_ROLL_2 &_ROLL_3: ROLL the top three stack elements
SUB             &_ROLL_1 &_ROLL_2 ;&_ROLL_1 &_ROLL_2 &_ROLL_3: SUBtract
DUP             &_SUB_1    ;&_SUB_1 &_ROLL_3: DUPlicate top stack element
    f_push      0          ;#--- PUSHB_1    0          ;&_DUP_1 &_DUP_2 &_ROLL_3: PUSH Bytes
GT              &_0 &_DUP_1 ;0 &_DUP_1 &_DUP_2: Greater Than
IF              &_GT_1     ;&_GT_1 &_DUP_2 &_ROLL_3: IF test
SHPIX           &_DUP_2 &_ROLL_3 ;&_DUP_2 &_ROLL_3: SHift point by a PIXel amount
ELSE                       ;: ELSE clause
POP             &_arg_5    ;: POP top stack element
POP             &_arg_6    ;: POP top stack element
EIF                        ;  : End IF
EIF                        ;  : End IF
RTG                        ;: Round To Grid
ENDF                       ;: END Function definition
#ARG_COUNT=2:
#RET_COUNT=0: 
#------------------
    f_push      10         ;#--- PUSHB_1    10         ;: PUSH Bytes
FDEF &_10       ;10: Function DEFinition
    f_push      6          ;#--- PUSHB_1    6          ;: PUSH Bytes
CALL            &_6        ;6: CALL function
IF              &_f6_retval_1 ;&_f6_retval_1: IF test
POP             &_arg_1    ;: POP top stack element
SRP0            &_arg_2    ;: Set Reference Point 0
ELSE                       ;: ELSE clause
SRP0            &_arg_1    ;: Set Reference Point 0
POP             &_arg_2    ;: POP top stack element
EIF                        ;  : End IF
ENDF                       ;: END Function definition
#ARG_COUNT=2:
#RET_COUNT=0: 
#------------------
    f_push      11         ;#--- PUSHB_1    11         ;: PUSH Bytes
FDEF &_11       ;11: Function DEFinition
DUP             &_arg_1    ;: DUPlicate top stack element
MDRP[rp0,white] &_DUP_1    ;&_DUP_1 &_DUP_2: Move Direct Relative Point
    f_push      12         ;#--- PUSHB_1    12         ;&_DUP_2: PUSH Bytes
CALL            &_12 &_DUP_2 ;12 &_DUP_2: CALL function
ENDF                       ;: END Function definition
#ARG_COUNT=1:
#RET_COUNT=0: 
#------------------
    f_push      12         ;#--- PUSHB_1    12         ;: PUSH Bytes
FDEF &_12       ;12: Function DEFinition
DUP             &_arg_1    ;: DUPlicate top stack element
MDAP[rnd]       &_DUP_1    ;&_DUP_1 &_DUP_2: Move Direct Absolute Point
    f_push      7          ;#--- PUSHB_1    7          ;&_DUP_2: PUSH Bytes
CALL            &_7        ;7 &_DUP_2: CALL function
NOT             &_f7_retval_1 ;&_f7_retval_1 &_DUP_2: logical NOT
IF              &_NOT_1    ;&_NOT_1 &_DUP_2: IF test
DUP             &_DUP_2    ;&_DUP_2: DUPlicate top stack element
DUP             &_DUP_1    ;&_DUP_1 &_DUP_2: DUPlicate top stack element
GC[orig]        &_DUP_1    ;&_DUP_1 &_DUP_2 &_DUP_2: Get Coordinate projected onto the projection vector
SWAP            &_GC_1 &_DUP_2 ;&_GC_1 &_DUP_2 &_DUP_2: SWAP the top two elements on the stack
GC[cur]         &_SWAP_1   ;&_SWAP_1 &_SWAP_2 &_DUP_2: Get Coordinate projected onto the projection vector
SUB             &_GC_1 &_SWAP_2 ;&_GC_1 &_SWAP_2 &_DUP_2: SUBtract
ROUND[White]    &_SUB_1    ;&_SUB_1 &_DUP_2: ROUND value
DUP             &_ROUND_1  ;&_ROUND_1 &_DUP_2: DUPlicate top stack element
IF              &_DUP_1    ;&_DUP_1 &_DUP_2 &_DUP_2: IF test
DUP             &_DUP_2    ;&_DUP_2 &_DUP_2: DUPlicate top stack element
ABS             &_DUP_1    ;&_DUP_1 &_DUP_2 &_DUP_2: ABSolute value
DIV             &_ABS_1 &_DUP_2 ;&_ABS_1 &_DUP_2 &_DUP_2: DIVide
SHPIX           &_DIV_1 &_DUP_2 ;&_DIV_1 &_DUP_2: SHift point by a PIXel amount
ELSE                       ;: ELSE clause
POP             &_arg_2    ;: POP top stack element
POP             &_arg_3    ;: POP top stack element
EIF                        ;  : End IF
ELSE                       ;: ELSE clause
POP             &_arg_2    ;: POP top stack element
EIF                        ;  : End IF
ENDF                       ;: END Function definition
#ARG_COUNT=1:
#RET_COUNT=0: 
#------------------
    f_push      13         ;#--- PUSHB_1    13         ;: PUSH Bytes
FDEF &_13       ;13: Function DEFinition
SRP2            &_arg_1    ;: Set Reference Point 2
SRP1            &_arg_2    ;: Set Reference Point 1
DUP             &_arg_3    ;: DUPlicate top stack element
DUP             &_DUP_1    ;&_DUP_1 &_DUP_2: DUPlicate top stack element
IP              &_DUP_1    ;&_DUP_1 &_DUP_2 &_DUP_2: Interpolate Point
MDAP[rnd]       &_DUP_2    ;&_DUP_2 &_DUP_2: Move Direct Absolute Point
DUP             &_DUP_2    ;&_DUP_2: DUPlicate top stack element
ROLL            &_DUP_1 &_DUP_2 &_arg_4 ;&_DUP_1 &_DUP_2: ROLL the top three stack elements
DUP             &_ROLL_1   ;&_ROLL_1 &_ROLL_2 &_ROLL_3: DUPlicate top stack element
GC[orig]        &_DUP_1    ;&_DUP_1 &_DUP_2 &_ROLL_2: Get Coordinate projected onto the projection vector
ROLL            &_GC_1 &_DUP_2 &_ROLL_2 ;&_GC_1 &_DUP_2 &_ROLL_2: ROLL the top three stack elements
GC[cur]         &_ROLL_1   ;&_ROLL_1 &_ROLL_2 &_ROLL_3: Get Coordinate projected onto the projection vector
SUB             &_GC_1 &_ROLL_2 ;&_GC_1 &_ROLL_2 &_ROLL_3: SUBtract
SWAP            &_SUB_1 &_ROLL_3 ;&_SUB_1 &_ROLL_3 &_ROLL_3: SWAP the top two elements on the stack
ROLL            &_SWAP_1 &_SWAP_2 &_ROLL_3 ;&_SWAP_1 &_SWAP_2 &_ROLL_3: ROLL the top three stack elements
DUP             &_ROLL_1   ;&_ROLL_1 &_ROLL_2 &_ROLL_3: DUPlicate top stack element
ROLL            &_DUP_1 &_DUP_2 &_ROLL_2 ;&_DUP_1 &_DUP_2 &_ROLL_2: ROLL the top three stack elements
SWAP            &_ROLL_1 &_ROLL_2 ;&_ROLL_1 &_ROLL_2 &_ROLL_3: SWAP the top two elements on the stack
MD[orig]        &_SWAP_1 &_SWAP_2 ;&_SWAP_1 &_SWAP_2 &_ROLL_3: Measure Distance
    f_push      0          ;#--- PUSHB_1    0          ;&_MD_1 &_ROLL_3 &_ROLL_3: PUSH Bytes
LT              &_0 &_MD_1 ;0 &_MD_1 &_ROLL_3: Less Than
IF              &_LT_1     ;&_LT_1 &_ROLL_3 &_ROLL_3: IF test
SWAP            &_ROLL_3 &_ROLL_3 ;&_ROLL_3 &_ROLL_3: SWAP the top two elements on the stack
    f_push      0          ;#--- PUSHB_1    0          ;&_SWAP_1 &_SWAP_2: PUSH Bytes
GT              &_0 &_SWAP_1 ;0 &_SWAP_1 &_SWAP_2: Greater Than
IF              &_GT_1     ;&_GT_1 &_SWAP_2: IF test
    f_push      64         ;#--- PUSHB_1    64         ;&_SWAP_2: PUSH Bytes
SHPIX           &_64 &_SWAP_2 ;64 &_SWAP_2: SHift point by a PIXel amount
ELSE                       ;: ELSE clause
POP             &_arg_5    ;: POP top stack element
EIF                        ;  : End IF
ELSE                       ;: ELSE clause
SWAP            &_arg_5 &_arg_6 ;: SWAP the top two elements on the stack
    f_push      0          ;#--- PUSHB_1    0          ;&_SWAP_1 &_SWAP_2: PUSH Bytes
LT              &_0 &_SWAP_1 ;0 &_SWAP_1 &_SWAP_2: Less Than
IF              &_LT_1     ;&_LT_1 &_SWAP_2: IF test
    f_push      64         ;#--- PUSHB_1    64         ;&_SWAP_2: PUSH Bytes
NEG             &_64       ;64 &_SWAP_2: NEGate
SHPIX           &_NEG_1 &_SWAP_2 ;&_NEG_1 &_SWAP_2: SHift point by a PIXel amount
ELSE                       ;: ELSE clause
POP             &_arg_7    ;: POP top stack element
EIF                        ;  : End IF
EIF                        ;  : End IF
ENDF                       ;: END Function definition
#ARG_COUNT=4:
#RET_COUNT=0: 
#------------------
    f_push      14         ;#--- PUSHB_1    14         ;: PUSH Bytes
FDEF &_14       ;14: Function DEFinition
    f_push      6          ;#--- PUSHB_1    6          ;: PUSH Bytes
CALL            &_6        ;6: CALL function
IF              &_f6_retval_1 ;&_f6_retval_1: IF test
RTDG                       ;: Round To Double Grid
MDRP[rp0,rnd,white] &_arg_1    ;: Move Direct Relative Point
RTG                        ;: Round To Grid
POP             &_arg_2    ;: POP top stack element
POP             &_arg_3    ;: POP top stack element
ELSE                       ;: ELSE clause
DUP             &_arg_1    ;: DUPlicate top stack element
MDRP[rp0,rnd,white] &_DUP_1    ;&_DUP_1 &_DUP_2: Move Direct Relative Point
ROLL            &_DUP_2 &_arg_2 &_arg_3 ;&_DUP_2: ROLL the top three stack elements
MPPEM                      ;&_ROLL_1 &_ROLL_2 &_ROLL_3: Measure Pixels Per EM
GT              &_MPPEM_1 &_ROLL_1 ;&_MPPEM_1 &_ROLL_1 &_ROLL_2: Greater Than
IF              &_GT_1     ;&_GT_1 &_ROLL_2 &_ROLL_3: IF test
DUP             &_ROLL_2   ;&_ROLL_2 &_ROLL_3: DUPlicate top stack element
ROLL            &_DUP_1 &_DUP_2 &_ROLL_3 ;&_DUP_1 &_DUP_2 &_ROLL_3: ROLL the top three stack elements
SWAP            &_ROLL_1 &_ROLL_2 ;&_ROLL_1 &_ROLL_2 &_ROLL_3: SWAP the top two elements on the stack
MD[grid]        &_SWAP_1 &_SWAP_2 ;&_SWAP_1 &_SWAP_2 &_ROLL_3: Measure Distance
DUP             &_MD_1     ;&_MD_1 &_ROLL_3: DUPlicate top stack element
    f_push      0          ;#--- PUSHB_1    0          ;&_DUP_1 &_DUP_2 &_ROLL_3: PUSH Bytes
NEQ             &_0 &_DUP_1 ;0 &_DUP_1 &_DUP_2: Not EQual
IF              &_NEQ_1    ;&_NEQ_1 &_DUP_2 &_ROLL_3: IF test
SHPIX           &_DUP_2 &_ROLL_3 ;&_DUP_2 &_ROLL_3: SHift point by a PIXel amount
ELSE                       ;: ELSE clause
POP             &_arg_4    ;: POP top stack element
POP             &_arg_5    ;: POP top stack element
EIF                        ;  : End IF
ELSE                       ;: ELSE clause
POP             &_arg_4    ;: POP top stack element
POP             &_arg_5    ;: POP top stack element
EIF                        ;  : End IF
EIF                        ;  : End IF
ENDF                       ;: END Function definition
#ARG_COUNT=3:
#RET_COUNT=0: 
#------------------
    f_push      15         ;#--- PUSHB_1    15         ;: PUSH Bytes
FDEF &_15       ;15: Function DEFinition
SWAP            &_arg_1 &_arg_2 ;: SWAP the top two elements on the stack
DUP             &_SWAP_1   ;&_SWAP_1 &_SWAP_2: DUPlicate top stack element
MDRP[rp0,rnd,white] &_DUP_1    ;&_DUP_1 &_DUP_2 &_SWAP_2: Move Direct Relative Point
DUP             &_DUP_2    ;&_DUP_2 &_SWAP_2: DUPlicate top stack element
MDAP[rnd]       &_DUP_1    ;&_DUP_1 &_DUP_2 &_SWAP_2: Move Direct Absolute Point
    f_push      7          ;#--- PUSHB_1    7          ;&_DUP_2 &_SWAP_2: PUSH Bytes
CALL            &_7        ;7 &_DUP_2 &_SWAP_2: CALL function
NOT             &_f7_retval_1 ;&_f7_retval_1 &_DUP_2 &_SWAP_2: logical NOT
IF              &_NOT_1    ;&_NOT_1 &_DUP_2 &_SWAP_2: IF test
SWAP            &_DUP_2 &_SWAP_2 ;&_DUP_2 &_SWAP_2: SWAP the top two elements on the stack
DUP             &_SWAP_1   ;&_SWAP_1 &_SWAP_2: DUPlicate top stack element
IF              &_DUP_1    ;&_DUP_1 &_DUP_2 &_SWAP_2: IF test
MPPEM                      ;&_DUP_2 &_SWAP_2: Measure Pixels Per EM
GTEQ            &_MPPEM_1 &_DUP_2 ;&_MPPEM_1 &_DUP_2 &_SWAP_2: Greater Than or EQual
ELSE                       ;&_GTEQ_1 &_SWAP_2: ELSE clause
POP             &_GTEQ_1   ;&_GTEQ_1 &_SWAP_2: POP top stack element
    f_push      1          ;#--- PUSHB_1    1          ;&_SWAP_2: PUSH Bytes
EIF                        ;1 &_SWAP_2: End IF
IF              &_GTEQ_1   ;&_GTEQ_1 &_SWAP_2: IF test
ROLL            &_SWAP_2 &_arg_3 &_arg_4 ;&_SWAP_2: ROLL the top three stack elements
    f_push      4          ;#--- PUSHB_1    4          ;&_ROLL_1 &_ROLL_2 &_ROLL_3: PUSH Bytes
MINDEX          &_4        ;4 &_ROLL_1 &_ROLL_2: Move the INDEXed element to the top of the stack
MD[grid]        &_MINDEX_1 &_ROLL_1 ;&_MINDEX_1 &_ROLL_1 &_ROLL_2: Measure Distance
SWAP            &_MD_1 &_ROLL_2 ;&_MD_1 &_ROLL_2 &_ROLL_3: SWAP the top two elements on the stack
ROLL            &_SWAP_1 &_SWAP_2 &_ROLL_3 ;&_SWAP_1 &_SWAP_2 &_ROLL_3: ROLL the top three stack elements
SWAP            &_ROLL_1 &_ROLL_2 ;&_ROLL_1 &_ROLL_2 &_ROLL_3: SWAP the top two elements on the stack
DUP             &_SWAP_1   ;&_SWAP_1 &_SWAP_2 &_ROLL_3: DUPlicate top stack element
ROLL            &_DUP_1 &_DUP_2 &_SWAP_2 ;&_DUP_1 &_DUP_2 &_SWAP_2: ROLL the top three stack elements
MD[grid]        &_ROLL_1 &_ROLL_2 ;&_ROLL_1 &_ROLL_2 &_ROLL_3: Measure Distance
ROLL            &_MD_1 &_ROLL_3 &_ROLL_3 ;&_MD_1 &_ROLL_3 &_ROLL_3: ROLL the top three stack elements
SWAP            &_ROLL_1 &_ROLL_2 ;&_ROLL_1 &_ROLL_2 &_ROLL_3: SWAP the top two elements on the stack
SUB             &_SWAP_1 &_SWAP_2 ;&_SWAP_1 &_SWAP_2 &_ROLL_3: SUBtract
SHPIX           &_SUB_1 &_ROLL_3 ;&_SUB_1 &_ROLL_3: SHift point by a PIXel amount
ELSE                       ;: ELSE clause
POP             &_arg_3    ;: POP top stack element
POP             &_arg_4    ;: POP top stack element
POP             &_arg_5    ;: POP top stack element
POP             &_arg_6    ;: POP top stack element
EIF                        ;  : End IF
ELSE                       ;: ELSE clause
POP             &_1        ;1 &_SWAP_2: POP top stack element
POP             &_SWAP_2   ;&_SWAP_2: POP top stack element
POP             &_arg_3    ;: POP top stack element
POP             &_arg_4    ;: POP top stack element
POP             &_arg_5    ;: POP top stack element
EIF                        ;  : End IF
ENDF                       ;: END Function definition
#ARG_COUNT=4:
#RET_COUNT=0: 
#------------------
    f_push      16         ;#--- PUSHB_1    16         ;: PUSH Bytes
FDEF &_16       ;16: Function DEFinition
DUP             &_arg_1    ;: DUPlicate top stack element
MDRP[rp0,min,white] &_DUP_1    ;&_DUP_1 &_DUP_2: Move Direct Relative Point
    f_push      18         ;#--- PUSHB_1    18         ;&_DUP_2: PUSH Bytes
CALL            &_18 &_DUP_2 &_arg_2 ;18 &_DUP_2: CALL function
ENDF                       ;: END Function definition
#ARG_COUNT=2:
#RET_COUNT=0: 
#------------------
    f_push      17         ;#--- PUSHB_1    17         ;: PUSH Bytes
FDEF &_17       ;17: Function DEFinition
DUP             &_arg_1    ;: DUPlicate top stack element
MDRP[rp0,white] &_DUP_1    ;&_DUP_1 &_DUP_2: Move Direct Relative Point
    f_push      18         ;#--- PUSHB_1    18         ;&_DUP_2: PUSH Bytes
CALL            &_18 &_DUP_2 &_arg_2 ;18 &_DUP_2: CALL function
ENDF                       ;: END Function definition
#ARG_COUNT=2:
#RET_COUNT=0: 
#------------------
    f_push      18         ;#--- PUSHB_1    18         ;: PUSH Bytes
FDEF &_18       ;18: Function DEFinition
DUP             &_arg_1    ;: DUPlicate top stack element
MDAP[rnd]       &_DUP_1    ;&_DUP_1 &_DUP_2: Move Direct Absolute Point
    f_push      7          ;#--- PUSHB_1    7          ;&_DUP_2: PUSH Bytes
CALL            &_7        ;7 &_DUP_2: CALL function
NOT             &_f7_retval_1 ;&_f7_retval_1 &_DUP_2: logical NOT
IF              &_NOT_1    ;&_NOT_1 &_DUP_2: IF test
DUP             &_DUP_2    ;&_DUP_2: DUPlicate top stack element
DUP             &_DUP_1    ;&_DUP_1 &_DUP_2: DUPlicate top stack element
GC[orig]        &_DUP_1    ;&_DUP_1 &_DUP_2 &_DUP_2: Get Coordinate projected onto the projection vector
SWAP            &_GC_1 &_DUP_2 ;&_GC_1 &_DUP_2 &_DUP_2: SWAP the top two elements on the stack
GC[cur]         &_SWAP_1   ;&_SWAP_1 &_SWAP_2 &_DUP_2: Get Coordinate projected onto the projection vector
SUB             &_GC_1 &_SWAP_2 ;&_GC_1 &_SWAP_2 &_DUP_2: SUBtract
ROUND[White]    &_SUB_1    ;&_SUB_1 &_DUP_2: ROUND value
ROLL            &_ROUND_1 &_DUP_2 &_arg_2 ;&_ROUND_1 &_DUP_2: ROLL the top three stack elements
DUP             &_ROLL_1   ;&_ROLL_1 &_ROLL_2 &_ROLL_3: DUPlicate top stack element
GC[orig]        &_DUP_1    ;&_DUP_1 &_DUP_2 &_ROLL_2: Get Coordinate projected onto the projection vector
SWAP            &_GC_1 &_DUP_2 ;&_GC_1 &_DUP_2 &_ROLL_2: SWAP the top two elements on the stack
GC[cur]         &_SWAP_1   ;&_SWAP_1 &_SWAP_2 &_ROLL_2: Get Coordinate projected onto the projection vector
SWAP            &_GC_1 &_SWAP_2 ;&_GC_1 &_SWAP_2 &_ROLL_2: SWAP the top two elements on the stack
SUB             &_SWAP_1 &_SWAP_2 ;&_SWAP_1 &_SWAP_2 &_ROLL_2: SUBtract
ROUND[White]    &_SUB_1    ;&_SUB_1 &_ROLL_2 &_ROLL_3: ROUND value
ADD             &_ROUND_1 &_ROLL_2 ;&_ROUND_1 &_ROLL_2 &_ROLL_3: ADD
DUP             &_ADD_1    ;&_ADD_1 &_ROLL_3: DUPlicate top stack element
IF              &_DUP_1    ;&_DUP_1 &_DUP_2 &_ROLL_3: IF test
DUP             &_DUP_2    ;&_DUP_2 &_ROLL_3: DUPlicate top stack element
ABS             &_DUP_1    ;&_DUP_1 &_DUP_2 &_ROLL_3: ABSolute value
DIV             &_ABS_1 &_DUP_2 ;&_ABS_1 &_DUP_2 &_ROLL_3: DIVide
SHPIX           &_DIV_1 &_ROLL_3 ;&_DIV_1 &_ROLL_3: SHift point by a PIXel amount
ELSE                       ;: ELSE clause
POP             &_arg_3    ;: POP top stack element
POP             &_arg_4    ;: POP top stack element
EIF                        ;  : End IF
ELSE                       ;: ELSE clause
POP             &_arg_2    ;: POP top stack element
POP             &_arg_3    ;: POP top stack element
EIF                        ;  : End IF
ENDF                       ;: END Function definition
#ARG_COUNT=2:
#RET_COUNT=0: 
#------------------
    f_push      19         ;#--- PUSHB_1    19         ;: PUSH Bytes
FDEF &_19       ;19: Function DEFinition
DUP             &_arg_1    ;: DUPlicate top stack element
ROLL            &_DUP_1 &_DUP_2 &_arg_2 ;&_DUP_1 &_DUP_2: ROLL the top three stack elements
DUP             &_ROLL_1   ;&_ROLL_1 &_ROLL_2 &_ROLL_3: DUPlicate top stack element
ROLL            &_DUP_1 &_DUP_2 &_ROLL_2 ;&_DUP_1 &_DUP_2 &_ROLL_2: ROLL the top three stack elements
SDPVTL[orthog]  &_ROLL_1 &_ROLL_2 ;&_ROLL_1 &_ROLL_2 &_ROLL_3: Set Dual Projection Vector To Line
DUP             &_ROLL_3   ;&_ROLL_3 &_ROLL_3: DUPlicate top stack element
    f_push      3          ;#--- PUSHB_1    3          ;&_DUP_1 &_DUP_2 &_ROLL_3: PUSH Bytes
CINDEX          &_3        ;3 &_DUP_1 &_DUP_2: Copy the INDEXed element to the top of the stack
MD[orig]        &_CINDEX_1 &_DUP_1 ;&_CINDEX_1 &_DUP_1 &_DUP_2: Measure Distance
ABS             &_MD_1     ;&_MD_1 &_DUP_2 &_ROLL_3: ABSolute value
SWAP            &_ABS_1 &_DUP_2 ;&_ABS_1 &_DUP_2 &_ROLL_3: SWAP the top two elements on the stack
ROLL            &_SWAP_1 &_SWAP_2 &_ROLL_3 ;&_SWAP_1 &_SWAP_2 &_ROLL_3: ROLL the top three stack elements
SPVTL[orthog]   &_ROLL_1 &_ROLL_2 ;&_ROLL_1 &_ROLL_2 &_ROLL_3: Set Projection Vector To Line
    f_push      32         ;#--- PUSHB_1    32         ;&_ROLL_3: PUSH Bytes
LT              &_32 &_ROLL_3 ;32 &_ROLL_3: Less Than
IF              &_LT_1     ;&_LT_1: IF test
ALIGNRP         &_arg_3    ;: ALIGN to Reference Point
ELSE                       ;: ELSE clause
MDRP[grey]      &_arg_3    ;: Move Direct Relative Point
EIF                        ;  : End IF
ENDF                       ;: END Function definition
#ARG_COUNT=3:
#RET_COUNT=0: 
#------------------
    f_push      20         ;#--- PUSHB_1    20         ;: PUSH Bytes
FDEF &_20       ;20: Function DEFinition
    f_push      64 1 64 0  ;#--- PUSHB_4    0 64 1 64  ;: PUSH Bytes
WS              &_64 &_1   ;64 1 64: Write Store
WS              &_64 &_0   ;64 0: Write Store
SVTCA[x-axis]              ;: Set freedom and projection Vectors To Coordinate Axis
MPPEM                      ;: Measure Pixels Per EM
    f_push      4096       ;#--- PUSHW_1    4096       ;&_MPPEM_1: PUSH Words
MUL             &_4096 &_MPPEM_1 ;4096 &_MPPEM_1: MULtiply
SVTCA[y-axis]              ;&_MUL_1: Set freedom and projection Vectors To Coordinate Axis
MPPEM                      ;&_MUL_1: Measure Pixels Per EM
    f_push      4096       ;#--- PUSHW_1    4096       ;&_MPPEM_1 &_MUL_1: PUSH Words
MUL             &_4096 &_MPPEM_1 ;4096 &_MPPEM_1 &_MUL_1: MULtiply
DUP             &_MUL_1    ;&_MUL_1 &_MUL_1: DUPlicate top stack element
ROLL            &_DUP_1 &_DUP_2 &_MUL_1 ;&_DUP_1 &_DUP_2 &_MUL_1: ROLL the top three stack elements
DUP             &_ROLL_1   ;&_ROLL_1 &_ROLL_2 &_ROLL_3: DUPlicate top stack element
ROLL            &_DUP_1 &_DUP_2 &_ROLL_2 ;&_DUP_1 &_DUP_2 &_ROLL_2: ROLL the top three stack elements
NEQ             &_ROLL_1 &_ROLL_2 ;&_ROLL_1 &_ROLL_2 &_ROLL_3: Not EQual
IF              &_NEQ_1    ;&_NEQ_1 &_ROLL_3 &_ROLL_3: IF test
DUP             &_ROLL_3   ;&_ROLL_3 &_ROLL_3: DUPlicate top stack element
ROLL            &_DUP_1 &_DUP_2 &_ROLL_3 ;&_DUP_1 &_DUP_2 &_ROLL_3: ROLL the top three stack elements
DUP             &_ROLL_1   ;&_ROLL_1 &_ROLL_2 &_ROLL_3: DUPlicate top stack element
ROLL            &_DUP_1 &_DUP_2 &_ROLL_2 ;&_DUP_1 &_DUP_2 &_ROLL_2: ROLL the top three stack elements
GT              &_ROLL_1 &_ROLL_2 ;&_ROLL_1 &_ROLL_2 &_ROLL_3: Greater Than
IF              &_GT_1     ;&_GT_1 &_ROLL_3 &_ROLL_3: IF test
SWAP            &_ROLL_3 &_ROLL_3 ;&_ROLL_3 &_ROLL_3: SWAP the top two elements on the stack
DIV             &_SWAP_1 &_SWAP_2 ;&_SWAP_1 &_SWAP_2: DIVide
DUP             &_DIV_1    ;&_DIV_1: DUPlicate top stack element
    f_push      0          ;#--- PUSHB_1    0          ;&_DUP_1 &_DUP_2: PUSH Bytes
SWAP            &_0 &_DUP_1 ;0 &_DUP_1 &_DUP_2: SWAP the top two elements on the stack
WS              &_SWAP_1 &_SWAP_2 ;&_SWAP_1 &_SWAP_2 &_DUP_2: Write Store
ELSE                       ;&_DUP_2: ELSE clause
DIV             &_DUP_2 &_arg_1 ;&_DUP_2: DIVide
DUP             &_DIV_1    ;&_DIV_1: DUPlicate top stack element
    f_push      1          ;#--- PUSHB_1    1          ;&_DUP_1 &_DUP_2: PUSH Bytes
SWAP            &_1 &_DUP_1 ;1 &_DUP_1 &_DUP_2: SWAP the top two elements on the stack
WS              &_SWAP_1 &_SWAP_2 ;&_SWAP_1 &_SWAP_2 &_DUP_2: Write Store
EIF                        ;&_DUP_2: End IF
DUP             &_DUP_2    ;&_DUP_2: DUPlicate top stack element
    f_push      64         ;#--- PUSHB_1    64         ;&_DUP_1 &_DUP_2: PUSH Bytes
GT              &_64 &_DUP_1 ;64 &_DUP_1 &_DUP_2: Greater Than
IF              &_GT_1     ;&_GT_1 &_DUP_2: IF test
    f_push      0 32 0     ;#--- PUSHB_3    0 32 0     ;&_DUP_2: PUSH Bytes
RS              &_0        ;0 32 0: Read Store
MUL             &_RS_1 &_32 ;&_RS_1 32 0: MULtiply
WS              &_MUL_1 &_0 ;&_MUL_1 0 &_DUP_2: Write Store
    f_push      1 32 1     ;#--- PUSHB_3    1 32 1     ;&_DUP_2: PUSH Bytes
RS              &_1        ;1 32 1: Read Store
MUL             &_RS_1 &_32 ;&_RS_1 32 1: MULtiply
WS              &_MUL_1 &_1 ;&_MUL_1 1 &_DUP_2: Write Store
    f_push      32         ;#--- PUSHB_1    32         ;&_DUP_2: PUSH Bytes
MUL             &_32 &_DUP_2 ;32 &_DUP_2: MULtiply
    f_push      25         ;#--- PUSHB_1    25         ;&_MUL_1: PUSH Bytes
NEG             &_25       ;25 &_MUL_1: NEGate
JMPR            &_NEG_1    ;&_NEG_1 &_MUL_1: JuMP Relative
POP             &_MUL_1    ;&_MUL_1: POP top stack element
EIF                        ;  : End IF
ELSE                       ;: ELSE clause
POP             &_arg_1    ;: POP top stack element
POP             &_arg_2    ;: POP top stack element
EIF                        ;  : End IF
ENDF                       ;: END Function definition
#ARG_COUNT=0:
#RET_COUNT=0: 
#------------------
    f_push      21         ;#--- PUSHB_1    21         ;: PUSH Bytes
FDEF &_21       ;21: Function DEFinition
    f_push      1          ;#--- PUSHB_1    1          ;: PUSH Bytes
RS              &_1        ;1: Read Store
MUL             &_RS_1 &_arg_1 ;&_RS_1: MULtiply
SWAP            &_MUL_1 &_arg_2 ;&_MUL_1: SWAP the top two elements on the stack
    f_push      0          ;#--- PUSHB_1    0          ;&_SWAP_1 &_SWAP_2: PUSH Bytes
RS              &_0        ;0 &_SWAP_1 &_SWAP_2: Read Store
MUL             &_RS_1 &_SWAP_1 ;&_RS_1 &_SWAP_1 &_SWAP_2: MULtiply
SWAP            &_MUL_1 &_SWAP_2 ;&_MUL_1 &_SWAP_2: SWAP the top two elements on the stack
ENDF                       ;&_SWAP_1 &_SWAP_2: END Function definition
#ARG_COUNT=2:
#RET_COUNT=2: &_SWAP_2 &_SWAP_1
#RET_STACK: &_SWAP_2 &_SWAP_1
#------------------
FDEF 22
#check distance 
#1.s1,s4 between grid/orig if lt/gt 12/48 then shift left/right s1
#2.s0,s1 between grid/orig if lt/gt 64/42 then shift left/right s1,s3,sx
#ARG:s0 s1 s3 sx
#START                      ;s0 s1 s3 sx
CINDEX  3                   ;s3 s0 s1 s3 sx
CINDEX  3                   ;s1 s3 s0 s1 s3 sx
MD[grid]    &_s1 &_s3       ;mdg s0 s1 s3 sx
CINDEX  4                   ;s3 mdg s0 s1 s3 sx
CINDEX  4                   ;s1 s3 mdg s0 s1 s3 sx
MD[orig]    &_s1 &_s3       ;mdo mdg s0 s1 s3 sx
SUB &_mdo &_mdg             ;sub s0 s1 s3 sx
DUP                         ;sub sub s0 s1 s3 sx
LT  -12 &_sub               ;sub s0 s1 s3 sx
IF  &_lt                    ;sub s0 s1 s3 sx
    CINDEX  3               ;s1 sub s0 s1 s3 sx
    SHPIX -64 &_s1          ;sub s0 s1 s3 sx
EIF
GT  48 &_sub                ;gt s0 s1 s3 sx
IF  &_gt                    ;s0 s1 s3 sx
    CINDEX  2               ;s1 s0 s1 s3 sx
    SHPIX 64 &_s1           ;s0 s1 s3 sx
EIF
#
#START                      ;s0 s1 s3 sx
CINDEX  2                   ;s1 s0 s1 s3 sx
CINDEX  2                   ;s0 s1 s0 s1 s3 sx
MD[grid]    &_s0 &_s1       ;mdg s0 s1 s3 sx
CINDEX  3                   ;s1 mdg s0 s1 s3 sx
MINDEX  3                   ;s0 s1 mdg s1 s3 sx
MD[orig]    &_s0 &_s1       ;mdo mdg s1 s3 sx
SUB     &_mdo &_mdg         ;sub s1 s3 sx
DUP                         ;sub sub s1 s3 sx
GT      42 &_sub            ;gt sub s1 s3 sx
IF      &_gt                ;sub s1 s3 sx
    POP &_sub               ;s1 s3 sx
    SLOOP   3 #F#           ;
    SHPIX   -64 #F#            ;
ELSE                        ;sub s1 s3 sx
    LT  -64 &_sub            ;lt s1 s3 sx
    IF  &_lt                ;s1 s3 sx
        SLOOP   3 #F#       ;
        SHPIX   64 #F#         ;
    ELSE                    ;s1 s3 sx
        POP
        POP
        POP
    EIF
EIF
ENDF
#ARG_COUNT=4:
#RET_COUNT=0:
#------------------
FDEF 23
#test gap(grid) of s4,sx, if < orig or < 48 then move left s3,s4
#ARG:s3 s4 sx
#START:                     ;s3 s4 sx
CINDEX  3                   ;sx s3 s4 sx
CINDEX  3                   ;s4 sx s3 s4 sx
MD[grid]    &_s4 &_sx       ;mdg s3 s4 sx
MINDEX  4                   ;sx mdg s3 s4
CINDEX  4                   ;s4 sx mdg s3 s4
MD[orig]    &_s4 &_sx       ;mdo mdg s3 s4
SUB     &_mdo &_mdg         ;sub s3 s4
LT  -12 &_sub                 ;lt s3 s4
IF  &_lt                    ;s3 s4
    SHPIX -64 &_s3          ;s4
    SHPIX -64 &_s4          ;
ELSE
    POP
    POP
EIF
ENDF
#ARG_COUNT=3:
#RET_COUNT=0:
#------------------
FDEF 24
#measure ppem, if > 42 then RTDG else RDTG
#ARG:0
MPPEM
GT  41  &_mppem
IF  &_gt
    RTDG
EIF
ENDF
#ARG_COUNT=0:
#RET_COUNT=0:
#------------------
"""

#EXAMPLE OF CVT FUNCTION DEFINED:
#
#def estemw_1(s): = """
#   MIRP[rnd,black]    estemw s
#   f_dstr(s,"ds_estemw")
#   """
#
#def estemw_2(s): = """
#   MIRP[rnd,black]    estemw s
#   f_dstr(s,"ds_estemw",direction="-")
#   """

#----------------------------------------
#DRY HEAD
#ENABLE DRY HEAD FOR BOOK
ds_dryhead = "14+3 15+3 16+3 "
def dh1(*l): #dry head
    d = {}
    for s in l:
        d[s-1] = ds_dryhead
        d[s+1] = swap_dstr(ds_dryhead)
    return f_dstr_dict(d)
#    return f_dstr_dict({
#        s-1: "15+4 16+3 17+3 18+3 ",
#        s+1: "15-4 16-3 17-3 18-3 " })

def dh2(*l): #dry head
    d = {}
    for s in l:
        d[s-1] = swap_dstr(ds_dryhead)
        d[s+1] = ds_dryhead
    return f_dstr_dict(d)
#    return f_dstr_dict({
#        s-1: "15-4 16-3 17-3 18-3 ",
#        s+1: "15+4 16+3 17+3 18+3 " })

def dh11(s): #dry 1 point +
    return f_dstr(s,ds_dryhead)

def dh12(s): #dry 1 point -
    return f_dstr(s,ds_dryhead,direction='-')


#DISABLE DRY HEAD FOR BOLD
#def dh1(*l):
#    return ""
#def dh2(*l):
#    return ""
#def dh11(s):
#    return ""
#def dh12(s):
#    return ""



#----------------------------------------
def dx(s,x):
    return """
SHPIX   %s %s
""" % (x,s)

#================================================
def vbc_base(s,cvt1,li=[]):
    s,adds = gen_alignrp(s)
    return pl(""
        , mirp0rg(cvt1,s)
        , f_ip(li)
        , adds
        )

def tvbc(s,li=[]):  #thai vbase curve
    return vbc_base(s,"tvbase_shoot",li)

def evbc(s,li=[]):  #thai vbase curve
    return vbc_base(s,"evbase_shoot",li)

def tvblu(s,li=[]):
    return pl(""
        , mirprg("tvheight_lu",s)
        , f_ip(li)
        )

def tvblum(s,li=[]):
    return vbc_base(s,"tvheight_lu",li)

def tvtc2(s,li=[]): #thai vtop curve
    return vbc_base(s,"tvheight_shoot",li)

def evtc2(s,li=[]): #vtop curve
    return vbc_base(s,"evheight_shoot",li)

def tvt2(s,li=[]):
    return pl(""
        , mirprg("tvheight",s,"15+8 17+8 22+8 24+8 26+8 29+8 31+8 33+8 35+8 36+8 38+8 40+8 42+8 ")
        , f_ip(li)
        )

def vt2m(s,li=[]):
    return pl(""
        , mirp0rg("vheight",s,ds_vheight)
        , f_ip(li)
        )

def tvtpo(s,li=[]):
    return pl(""
        , mirprg("tvheight_po",s)
        , f_ip(li)
        )

def vtpom(s,li=[]):
    return pl(""
        , mirp0rg("vheight_po",s)
        , f_ip(li)
        )

def tvtsara(s):
    return mdapr(s,"12+8 15+8 ")

def tvtwanayuk(s):
    return mdapr(s,"12+8 15+8 17+8 ")


#ds_tvheight_num = "10+8 19+8 21+8 28+8 30+8 32+8 37+8 39+8 41+8 "
ds_tvheight_num = ""
def tvtn(s, li=[]):
    return pl(""
        , mirp0rg("tvheight_num",s,ds_tvheight_num)
        , f_ip(li)
        )

def tvtnc(s, li=[]):
    return pl(""
        , mirp0rg("tvheight_num_shoot",s)
        , f_ip(li)
        )

def head_0(s,li,direction="+",ss=-1,l1s=-1,l2s=-1,dia="headdia"):
    exec "ds = ds_%s" % (dia,)
    if direction == "-":
        l1 = li[1]
        l2 = li[0]
        temp = l1s
        l1s = l2s
        l2s = temp
        ds = swap_dstr(ds)
        if dia == "head_sara":
            stem1 = head_sara_stem_2(l1)
            stem2 = head_sara_stem_1(l2)
        else:
            stem1 = headstem_2(l1)
            stem2 = headstem_1(l2)
    else:
        l1 = li[0]
        l2 = li[1]
        if dia == "head_sara":
            stem1 = head_sara_stem_1(l1)
            stem2 = head_sara_stem_2(l2)
        else:
            stem1 = headstem_1(l1)
            stem2 = headstem_2(l2)
    if len(li)>2:
        ip = f_ip(li[2:])
    else:
        ip = ""
    if ss >= 0:
        add_ss = alignrp(ss)
    else:
        add_ss = ""
    if l1s >= 0:
        add_l1s = shprp2(l1s)
    else:
        add_l1s = ""
    if l2s >= 0:
        add_l2s = shprp2(l2s)
    else:
        add_l2s = ""
    return pl(""
        , stem1
        , add_l1s
        , mirp0rg(dia,s,ds)
        , add_ss
        , ip
        , stem2
        , add_l2s
        )

def head1(s,li,ss=-1,l1s=-1,l2s=-1):
    #left to right
    return head_0(s,li,direction="+",ss=ss,l1s=l1s,l2s=l2s)

def head2(s,li,ss=-1,l1s=-1,l2s=-1):
    #right to left
    return head_0(s,li,direction="-",ss=ss,l1s=l1s,l2s=l2s)

def headsara1(s,li,ss=-1,l1s=-1,l2s=-1,dia="head_sara"):
    #left to right
    return head_0(s,li,direction="+",ss=ss,l1s=l1s,l2s=l2s,dia=dia)

def headsara2(s,li,ss=-1,l1s=-1,l2s=-1,dia="head_sara"):
    #right to left
    return head_0(s,li,direction="-",ss=ss,l1s=l1s,l2s=l2s,dia=dia)


def xhead0(s2,s3,direction="+",s2s=-1,s3s=-1):
    add2 = add3 = ""
    if s2s >=0 : add2 = shprp2(s2s)
    if s3s >=0 : add3 = shprp2(s3s)
    return pl(""
        , headstem_1(s2,direction=direction)
        , add2
        , hhsph_1(s3,direction=direction)
        , add3
        )


def xhead1(s1,s2,s3,dstr="11+8 12+8 13+8 26+8 27+8 28+8 ",direction="+",s1s=-1,s2s=-1,s3s=-1):
    add1 = ""
    if s1s >=0 : add1 = alignrp(s1s)
    return pl(""
        , mdrp0rg(s1,dstr)
        , add1
        , xhead0(s2,s3,direction,s2s,s3s)
        )

def xhead2(s1,s2,s3,dstr="12-8 13-8 16-8 25-8 26-8 ",direction="-"):
    return xhead1(s1,s2,s3,dstr,direction)


#================================================
def v_notch_ko_kai(s1,s1s,s2):
    return pl(""
        , mdrp0rg(s1,"23+8 ")
        , alignrp(s1s)
        , stem_notch_1(s2)
        , dx(s2,-8)
        )

def v_head_kho_khai(s1,li1, s2, s3,s4, li4, add1=""):
    return pl(""
        , tvtc2(s1,li1)
        , add1
        , tstemt_thin_2(s2)
        , mdrp0rg(s3)
        , head2(s4,li4)
        )

def v_head_kho_khuat(s1,s1s,li1, s2,s2s, s3,s4, s5,s6,li6 , add1=""):
    return pl(""
        , tvtc2(s1, li1)
        , alignrp(s1s)
        , add1
        , tstemt_2(s2)
        , shprp2(s2s)
        , mdrp0mrg(s3,"9-3 10-3 11-3 12-3 17-3 18-3 19-3 20-3 21-3 ")
        , mdrpb(s4)
        , mdrp0rg(s5)
        , mdapr(s5)
        , head2(s6,li6)
        )

def v_top_kho_khwai(s1,li1,s2, s3,s4,li4,add1=""):
    if len(li4) > 3:
        add4 = f_dstr_dict({
            li4[2]:"14+2 15+2 16+2 ",
            li4[3]:"14-4 15-4 16-4 ",
            })
    else:
        add4 = ""
    return pl(""
        , tvtc2(s1,li1)
        , add1
        , tstemtc_thin_2(s2)
        , mdrp0rw(s3)
        , head2(s4,li4)
        , add4
        )

def v_top_kho_khon(s1,s1s,li1, s2,s2s, s3,s4, s5,s6,li6):
    if len(li6) > 3:
        add6 = f_dstr_dict({
            li6[2]:"14+2 15+2 16+2 ",
            li6[3]:"14-4 15-4 16-4 ",
            })
    else:
        add6 = ""
    return pl(""
        , tvtc2(s1,li1)
        , alignrp(s1s)
        , tstemt_2(s2)
        , shprp2(s2s)
        , mdrp0rg(s3,"9-8 10-8 12-3 13-3 14-3 15-3 16-3 17-3 ")
        , tstemt_sara_2(s4)
        , mdrp0mrw(s5)
        , mdapr(s5)
        , head2(s6,li6)
        , add6
        )
        
def v_top_ro_rua(s1,li1, s2, s3,s4,s5,s6):
    return pl(""
        , tvtc2(s1,li1)
        , tstemtc_thin_2(s2)
#        , mdrp0rg(s3,"9-4 10-4 11-4 12+4 13+4 ")
#, mdrp0g(s3)
, mdrp0g(s3,"9+1 10+2 11+2 12+2 13+1 ")
        , tstemt_1(s4)
        , srp0(s1)
        , mdrp0g(s5)
        , tstemt_2(s6)
        )

#================================================
def hs1(s,ds="9-8 "):    #start point #1 forward
    #ko_kai, kho_khwai
    return mdapr(s,ds)

def hs2(s,ds="9-8 14-8 "):    #start point #2 reverse
    #kho_khai, cho_chan
    return mdapr(s,ds)

def hw1(s,li=[],ds="11+8 23+8 26+8 "): 
    #make width #1  forward
    #move from front stem of ko_kai to rear stem
    return pl(""
        , mirp0rg("w_316",s,ds)
        , f_ip(li)
        )

def hw2(s,li=[],ds="11-8 12-8 "): 
    #make width #2  reverse
    return pl(""
        , mirp0rg("w_362",s,ds)
        , f_ip(li)
        )

def hw3(s,li=[],ds="17-8 "): 
    #make width #3 forward, pho_samphao
    return pl(""
        , mirp0rg("w_266",s,ds)
        , f_ip(li)
        )

def hw4(s,li=[],ds="11+8 "): 
    #make width #4 forward
    return pl(""
        , mirp0rg("w_214",s,ds)
        , f_ip(li)
        )

def hw5(s,li=[],ds="9-8 11+8 12+8 15+8 17-8 26+8 33+8 "): 
    #make width #5 forward, tho_thahan
    return pl(""
        , mirp0rg("w_285",s,ds)
        , f_ip(li)
        )

def tg_0(s0,s1,s2,ds=""):  #thai gap
    return pl(""
        , srp0(s0)
        , mdrp0rg(s1,ds)
        , tstemw_1(s2)
        )


def tgf_148(s0,s1,s2):  #thai front gap
    return tg_0(s0,s1,s2,"9-8 10-8 ")

def tgf_112(s0,s1,s2):  #thai front gap
    return tg_0(s0,s1,s2,"9-8 10-8 11-8 ")

def tgf_162(s0,s1,s2):  #thai front gap
    return tg_0(s0,s1,s2,"9-8 10-8 ")


def tgr_112(s0,s1,s2):  #thai rear gap
    return tg_0(s0,s1,s2,"9-8 10-8 17-8 ")

def tgr_140(s0,s1,s2):  #thai rear gap
    return tg_0(s0,s1,s2,"9-8 16+8 ")

def tgr_160(s0,s1,s2):
    return tg_0(s0,s1,s2,"16+8 ")


def hf1(s0,s1,s2,s3,s4,s5,s1s=-1,s2s=-1,s3s=-1,s4s=-1,s5s=-1,dstr1="9-8 10-8 11-8 19+8 ",add1=""):
    #front h for tho_thahan, po_pan, no_nu, etc.
    if s1s >= 0:
        add1 = pl(alignrp(s1s), add1)
    if s2s >= 0:
        add2 = shprp2(s2s)
    else:
        add2 = ""
    add3 = xhead1(s3,s4,s5,s1s=s3s,s2s=s4s,s3s=s5s) 
    return pl(""
        , srp0(s0)
        , mdrp0rw(s1,dstr1)
        , add1
        , tstemw_1(s2)
        , add2
        , add3
        )

def hf_ko_kai(s0, s1,s2, s3,s4, s5,s6):
    return pl(""
        , tgf_162(s0,s1,s2)
#        , mdrp0g(s3,"9+4 10+4 14+4 15+4 16+4 17+4 18+4 ")
, mdrp0g(s3)
        , mdrpg(s4)
        , srp0(s2)
        , mdrpg(s5)
        , add_ip(s3,s2,[s6])
        , dx(s6,-8)
        )


def hf_kho_khai(s0,s1,t1, s2,li):
    return pl(""
        , srp0(s0)
        , mdrp0rw(s1,"15+8 16+8 17+8 18+8 19+8 ")
        , tstemw_1(t1)
        #, head1(s2,li)
        , mirp0rg('headdia',s2,ds_headdia)
        , xhead0(li[1],li[0],direction='-')
        )

def hr_kho_khai(s0,s1,s2,s3,s4,s5,s6,add1="",add6=""):
    return pl(""
        , tgr_160(s0,s1,s2)
        , add1
        , mdrp0rg(s3,"13-8 ")
        , tstemw_1(s4)
        , mdrp0rg(s5,"10+8 11+8 13+8 14+8 15+8 16+8 ")
        , tstemw_1(s6)
        , add6
        )

def hr_cho_chang(s0,s1,s2, t11,t12, s3,s4,s5,s6, i56, s7):
    return hr_kho_khai(s0,s1,s2,s3,s4,s5,s6,
            add1=pl(""
                , mdrp0mrg(t11)
                , tstemw_1(t12)
                , srp0(s1)
                ),
            add6=pl(""
                , f_ip([i56])
                , srp0(s6)
                , mdrpg(s7,"13-4 14-8 15-8 16-8 ")
                )
            )

def hf_kho_khwai(s0, s1,s2, s3,s4, i4, s5,s6,li6,ds5="15-8 16-8 28-8 29-8 "):
    return pl(""
        , tgf_112(s0,s1,s2)
        , mdrp0rg(s3,"10-8 ")
        , tstemw_1(s4)
        , add_ip(s2,s4,[i4])
        , srp0(s1)
        , mdrp0rg(s5,ds5)
        , head1(s6,li6)
        )

def hr_no_nu(s0, s1,s2, s3,s4,li):
    return pl(""
        , srp0(s0)
        , mdrp0rg(s1,"9-8 10-8 11-8 22+8 27+8 ")
        , tstemw_1(s2)
        , mdrp0rg(s3,"14-8 15-8 16-8 20-8 21-8 22-8 25-8 26-8 27-8 30-8 31-8 ")
        , head2(s4,li)
        )

def hf_pho_samphao(s0, s1,s2, s3,s4,s5, s6,s7,s8,s9):
    return pl(""
        , hf1(s0, s1,s2, s3,s4,s5)
        , srp0(s1)
        , mdrp0g(s6)
        , mdrpg(s7)
        , srp0(s2)
        , mdrp0g(s8)
        , mdrpg(s9)
        )

#================================================
def h_edge(s0, s1, s2 ,sx, ds1="", ds2="", dsx="", min2=True):
    s1,add1 = gen_alignrp(s1)
    s2,add2 = gen_alignrp(s2)
    sx,addx = gen_alignrp(sx)
    if add1:    add1 = pl(srp0(s1),add1)
    if add2:    add2 = pl(srp0(s2),add2)
    if addx:    addx = pl(srp0(sx),addx)
    if min2:
        fxx2 = mdrp0mrw
    else:
        fxx2 = mdrprw
    return pl(""
        , mdapr(sx)
        , fxx2(s2)
        , mdrp0rg(s1)
        , 'CALL 22 %s %s %s %s' % (s0,s1,s2,sx,)
        , f_dstr(s1,ds1)
        , add1
        , f_dstr(s2,ds2)
        , add2
        , f_dstr(sx,dsx)
        , addx
        )

def h_main_1(s0, s1,fx12,s2, sx, ds1="",dsx=""):
    s1,add1 = gen_alignrp(s1)
    s2,add2 = gen_alignrp(s2,a=2)
    sx,addx = gen_alignrp(sx)
    if addx:    addx = pl(srp0(sx),addx)
    return pl(""
        , mdapr(sx)
        , mdrp0mw(s2)
        , mdrp0mb(s1)
        , mdapr(s1)
        , fx12(s2)
        , 'CALL 23 %s %s %s' % (s1,s2,sx,)
        , 'CALL 22 %s %s %s %s' % (s0,s1,s2,sx,)
        , srp0(s1)
        , f_dstr(s1,ds1)
        , add1
        , fx12(s2)
        , add2
        , f_dstr(sx,dsx)
        , addx
        )

def h_main_10(s0, s1,fx12,s2, s3, sx, ds1="",ds3="",dsx="",min3=True):
    s1,add1 = gen_alignrp(s1)
    s2,add2 = gen_alignrp(s2,a=2)
    s3,add3 = gen_alignrp(s3)
    sx,addx = gen_alignrp(sx)
    if add3:    add3 = pl(srp0(s3),add3)
    if addx:    addx = pl(srp0(sx),addx)
    if min3:
        fxx3=mdrp0mrw
    else:
        fxx3=mdrp0rw
    return pl(""
        , mdapr(sx)
        , fxx3(s3)
        , mdrp0rg(s1)
        , 'CALL 22 %s %s %s %s' % (s0,s1,s3,sx,)
        , srp0(s1)
        , f_dstr(s1,ds1)
        , add1
        , fx12(s2)
        , add2
        , f_dstr(s3,ds3)
        , add3
        , f_dstr(sx,dsx)
        , addx
        )

def h_main_10r(s0, s1, s2,fx32,s3, sx, ds1="",ds3="",dsx="",min3=True):
    s1,add1 = gen_alignrp(s1)
    s2,add2 = gen_alignrp(s2,a=2)
    s3,add3 = gen_alignrp(s3)
    sx,addx = gen_alignrp(sx)
    if add1:    add1 = pl(srp0(s1),add1)
    if addx:    addx = pl(srp0(sx),addx)
    if min3:
        fxx3=mdrp0mrw
    else:
        fxx3=mdrp0rw
    return pl(""
        , mdapr(sx)
        , fxx3(s3)
        , mdrp0rg(s1)
        , 'CALL 22 %s %s %s %s' % (s0,s1,s3,sx,)
        , f_dstr(s1,ds1)
        , add1
        , f_dstr(s3,ds3)
        , srp0(s3)
        , add3
        , fx32(s2)
        , add2
        , f_dstr(sx,dsx)
        , addx
        )

def h_main_01(s0, s1, s2,fx23,s3, sx, ds1="",ds2="",dsx="",min3=True):
    s1,add1 = gen_alignrp(s1)
    s2,add2 = gen_alignrp(s2)
    s3,add3 = gen_alignrp(s3,a=2)
    sx,addx = gen_alignrp(sx)
    if add1:    add1 = pl(srp0(s1),add1)
    if add3:    add3 = pl(srp0(s3),add3)
    if addx:    addx = pl(srp0(sx),addx)
    if min3:
        fxx3=mdrp0mrw
    else:
        fxx3=mdrp0rw
    return pl(""
        , mdapr(sx)
        , fxx3(s3)
        , mdrp0rg(s2)
        , mdrp0g(s3)
        , 'CALL 23 %s %s %s' % (s2,s3,sx,)
        , mdrp0rg(s1)
        , mdapr(s1)
        , 'CALL 22 %s %s %s %s' % (s0,s1,s2,sx,)
        , f_dstr(s1,ds1)
        , add1
        , srp0(s2)
        , f_dstr(s2,ds2)
        , add2
        , fx23(s3)
        , add3
        , f_dstr(sx,dsx)
        , addx
        )

def h_2s(s0, s1,fx12,s2, s3,fx34,s4, sx, ds1="",ds3="",dsx=""):
    s1,add1 = gen_alignrp(s1)
    s2,add2 = gen_alignrp(s2,a=2)
    s3,add3 = gen_alignrp(s3)
    s4,add4 = gen_alignrp(s4,a=2)
    sx,addx = gen_alignrp(sx,a=2)
    return pl(""
#        , srp0(s0)
#        , 'SROUND 69'
#        , mdrp0rg(s1)
#        , 'RTG'
#        , add1
#        , fx12(s2)
#        , add2
#        , mdrp0g(s4)
#        , fx34(s3)
#        , 'SROUND 74'
#        , mdapr(s3)
#        , 'RTG'
#        , add3
#        , fx34(s4)
#        , srp0(s4)
#        , mdrpmw(sx)
#        , 'SROUND 73'
#        , mdapr(sx)
#        , 'RTG'
#        , addx
, mdapr(sx)
, addx
, 'SROUND 74'
, mdrp0rg(s3)
, 'RTG'
, mdrp0rg(s1)
#, 'CALL 22 %s %s %s %s' % (s0,s1,s3,sx,)
#, srp0(s1)
, add1
, fx12(s2)
, add2
, srp0(s3)
, add3
, fx34(s4)
, add4
, srp0(s4)
, mdrpmw(sx)
, 'SROUND 74'
, mdapr(sx)
, 'RTG'
, addx
        )

def h_main_2(s0, s1,fx12,s2, s3,fx34,s4, sx, ds1="",ds3="",dsx=""):
    s1,add1 = gen_alignrp(s1)
    s2,add2 = gen_alignrp(s2,a=2)
    s3,add3 = gen_alignrp(s3)
    s4,add4 = gen_alignrp(s4,a=2)
    sx,addx = gen_alignrp(sx,a=2)
    return pl(""
        , mdapr(sx)
        , mdrp0mw(s4)
#        , mdrp0mb(s3)
, fx34(s3)
        , mdapr(s3)
        , fx34(s4)
        , 'CALL 23 %s %s %s' % (s3,s4,sx,)
        , srp0(s4)
        , mdrp0g(s1)
        , mdapr(s1)
        , 'CALL 22 %s %s %s %s' % (s0,s1,s3,sx,)
        , srp0(s1)
        , f_dstr(s1,ds1)
        , add1
        , fx12(s2)
        , add2
        , srp0(s3)
        , f_dstr(s3,ds3)
        , add3
        , 'UTP %s' % (s4,)
        , fx34(s4)
        , add4
        , srp0(sx)
        , f_dstr(sx,dsx)
        , addx
        )

#================================================
def h_head1(s2, s3,s4, hs=headstem_1, hsph=hhsph0_1, li=[]):
    s2,add2 = gen_alignrp(s2,2)
    s3,add3 = gen_alignrp(s3)
    s4,add4 = gen_alignrp(s4,2)
    if li:
        add_li = f_ip(li)
    else:
        add_li = ""
    return pl(""
        , hs(s2)
        , add2
        , hsph(s3)
        , add_li
        , add3
        , hs(s4)
        , add4
        )

def h_head2(s2, s3,s4,li=[]):
    return h_head1(s2, s3,s4,li=li)

def h_head_sara1(s2, s3,s4, hs=headstem_1, hsph=hhsph_sara0_1,li=[]):
    return h_head1(s2, s3,s4, hs=hs,hsph=hsph,li=li)

def h_head_sara2(s2, s3,s4, hs=headstem_1, hsph=hhsph_sara0_1, li=[]):
    return h_head1(s2, s3,s4, hs=hs,hsph=hsph,li=li)

def hxheadr1(s2,s3,s4):
    s2,add2 = gen_alignrp(s2,2)
    s3,add3 = gen_alignrp(s3,2)
    s4,add4 = gen_alignrp(s4)
    return pl(""
        , xheadr0_1(s4)
        , add4
        , headstem_2(s3)
        , add3
        , hhsph_2(s2)
        , add2
        )

def hxheadl2(s2,s3,s4):
    s2,add2 = gen_alignrp(s2)
    s3,add3 = gen_alignrp(s3,2)
    s4,add4 = gen_alignrp(s4,2)
    return pl(""
        , xheadl0_2(s2)
        , add2
        , headstem_1(s3)
        , add3
        , hhsph_1(s4)
        , add4
        )

def h_notch_ko(s1, s2,s3,s4,s5):
    return pl(""
        , srp0(s1)
        , mdrp0g(s2)
        , mdrpg(s5)
        , f_ip([s3,s4])
        )

def h_base_khai(s1,s2, s3,s4,s5,s6, li36, s7,s8, ds3=""):
    s8,add8 = gen_alignrp(s8,2)
    return pl(""
        , srp0(s1)
        , mdrp0rg(s3,ds3)
        , headstem_1(s4)
        , hhsph0_1(s5)
        , headstem_1(s6)
        , add_ip(s3,s6,li36)
        , ip_round(s1,s2,s7)
        , tstemwc_thin_1(s8)
        , add8
        )

def h_khai(s1,s2, s3,s4,s5,s6, li36, s7,s8, ds3="10-8 "):
    return h_base_khai(s1,s2, s3,s4,s5,s6, li36, s7,s8, ds3)

def h_khuat(s1, s2,s3, s4,s5,s6, li36, s7,s8, li38, ds3="9+8 15+8 "):
    x8,temp = gen_alignrp(s8,2)
    return pl(""
        , h_base_khai(s1,s2, s3,s4,s5,s6, li36, s7,s8, ds3)
        , add_ip(s3,x8,li38)
        )

def h_roll_no(s2,s3):   #roll of no nu
    return pl(""
        , d_399p0_1(s2)
        , tstemtc_thin_2(s3)
        )

def h_roll_mo(s2,s3,ds2=""):   #roll of mo ma
    return pl(""
        , mdrp0rg(s2,ds2)
        , tstemtc_thin_2(s3)
        )

#================================================
def v_b(s0):    #vertical base; use both eng.& thai
    s0,add0 = gen_alignrp(s0)
    return pl(""
        , mdapr(s0)
        , add0
        )

def v_b_stemt(s0,fx,s1): #vertical thai base
    s1,add1 = gen_alignrp(s1,2)
    return pl(""
        , v_b(s0)
        , fx(s1)
        , add1
        )

def vecb_stemt(s0,s1):
    return v_b_stemt(s0,ecstemt_1,s1)

def veb_stemt(s0,s1):
    return v_b_stemt(s0,estemt_1,s1)

def vtb_stemt(s0,s1):
    return v_b_stemt(s0,tstemt_1,s1)

#---
def v_b_stemtc(s0,s1,fx,s2): #vertical thai base
    s1,add1 = gen_alignrp(s1)
    s2,add2 = gen_alignrp(s2,2)
    return pl(""
        , v_b(s0)
        , 'CALL 24'
        , mdrp0rg(s1)
        , 'RTG'
        , add1
        , fx(s2)
        , add2
        )

def veb_stemtc(s0,s1,s2):
    return v_b_stemtc(s0,s1,estemtc_1,s2)

def vecb_stemtc(s0,s1,s2):
    return v_b_stemtc(s0,s1,ecstemtc_1,s2)

def vtb_stemtc(s0,s1,s2): #vertical thai base
    return v_b_stemtc(s0,s1,tstemtc_1,s2)

def vtb_stemtc_num_thick(s0,s1,s2): #vertical thai base
    return v_b_stemtc(s0,s1,tstemtc_num_thick_1,s2)

#---
def vtb_head(s0, s1,s2,s3,s4):
    s1,add1 = gen_alignrp(s1)
    return pl(""
        , mdapr(s0)
        , 'CALL 24'
        , mdrp0rg(s1)
        , 'RTG'
        , add1
        , v_head1(s2,s3,s4)
        )

def vtb_roll_no(s0, s1,s2,s3,s4):
    s1,add1 = gen_alignrp(s1)
    s2,add2 = gen_alignrp(s2,2)
    s3,add3 = gen_alignrp(s3)
    s4,add4 = gen_alignrp(s4,2)
    return pl(""
        , srp0(s0)
        , 'CALL 24'
        , mdrp0rg(s1)
        , 'RTG'
        , add1
        , tstemtc_top_1(s2)
        , add2
        , mdrp0rg(s3,"12-8 13-8 ")
        , add3
        , tstemtc_thin_1(s4)
        , add4
        )

#================================================
def v_t(s0, fx_cvt, s1, li):
    s1,add1 = gen_alignrp(s1)
    if li:
        add_li = add_ip(s1,s0,li)
    else:
        add_li = ""
    return pl(""
        , fx_cvt(s1)
        , add1
        , add_li
        )

def vet(s0, s1, li):
    return v_t(s0, evheight0_1, s1, li)

def vect(s0, s1, li):
    return v_t(s0, ecvheight0_1, s1, li)

def vtt(s0, s1, li):
    return v_t(s0, tvheight0_1, s1, li)

def v_t_stemt(s0, fx_cvt, s1,li,fx12,s2):
    s2,add2 = gen_alignrp(s2,2)
    return pl(""
        , v_t(s0, fx_cvt,s1,li)
        , fx12(s2)
        , add2
        )

def vet_stemt(s0, s1,li,s2):
    return v_t_stemt(s0, evheight0_1, s1,li,estemt_2,s2)

def vect_stemt(s0, s1,li,s2):
    return v_t_stemt(s0, ecvheight0_1, s1,li,ecstemt_2,s2)


#================================================

def v_t_base(s0, fx_cvt0_1,s1, li, s2,fx23=None,s3=-1):   #vertical top stem
    s1,add1 = gen_alignrp(s1)
    s2,add2 = gen_alignrp(s2)
    if s3 > 0:
        if '0' in fx23.__name__:
            s3,add3 = gen_alignrp(s3)
        else:
            s3,add3 = gen_alignrp(s3,2)
        add3_0 = pl(""
                    , fx23(s3)
                    , add3
                    )
    else:
        add3_0 = ""
    if li:
        add2_1 = pl(""
            , srp1(s2)
            , srp2(s0)
            , f_ip(li)
            )
    else:
        add2_1 = ""
    if s1 < 0:      #use -1 to set zone 0; phantom state
        add0_0 = "SZP0  0"
        add2_0 = "SZP0  1"
        s1 = 0
    else:
        add0_0 = add2_0 = ""
    return pl(""
        , add0_0
        , fx_cvt0_1(s1)
        , add1
        , 'CALL 24'
        , mdrp0rg(s2)
        , add2_0
        , add2
        , add2_1
        , 'RTG'
        , add3_0
        )

def vet_stemtc(s0, s1,li, s2,s3):  #vertical thai top stem
    return v_t_base(s0, evheight0_1,s1, li, s2,estemtc_2,s3)

def vect_stemtc(s0, s1,li, s2,s3):  #vertical thai top stem
    return v_t_base(s0, ecvheight0_1,s1, li, s2,ecstemtc_2,s3)

def old_vect_stemtc(s1,s2):
    return ""

def vtt_sara(s2):
    return v_t_base(-1, tvheight0_1,-1, [], s2)

def vttn_stemtc(s0, s1,li, s2,s3):  #vertical thai top stem
    return v_t_base(s0, tvheight_num0_1,s1, li, s2,tstemtc_2,s3)

def vttn_one(s0, s1,li, s2,s3):  #vertical thai top stem
    return v_t_base(s0, tvheight_num0_1,s1, li, s2,tstemtc_top_2,s3)

def vttn_stem139(s0, s1,li, s2,s3):  #vertical thai top stem
    return v_t_base(s0, tvheight_num0_1,s1, li, s2,estem_139_2,s3)

def vttn_stem88(s0, s1,li, s2,s3):  #vertical thai top stem
    return v_t_base(s0, tvheight_num0_1,s1, li, s2,tstemtc_top_2,s3)

def vtt_ko(s0, s1,li, s2,s3):  #vertical thai top stem
    return v_t_base(s0, tvheight0_1,s1, li, s2,tstemtc_top_2,s3)

def vtt_ko2to(s4,s5, s6,s7,s8,s9):
    return pl(""
        , mdrp0rg(s4,"9-5 10-5 11-5 12-5 ")
        , f_ip([s5])
        , mdrp0rw(s6)
        , mdapr(s6)
        , v_head2(s7,s8,s9)
        )

def vtt_base_khai(s0, s1, li, s2,s3, s4,s5,s6,s7, ds4="",addx=""):  #vertical thai top stem for kho khai
    s4,add4 = gen_alignrp(s4)
    return pl(""
        , v_t_base(s0, tvheight0_1,s1, li, s2,tstemtc_thin_2,s3)
        , mdrp0rg(s4,ds4)
        , add4
        , v_head2(s5,s6,s7)
        )

def vtt_khai(s0, s1, li, s2,s3, s4,s5,s6,s7, ds4="9+8 10+8 11+8 "):
    return vtt_base_khai(s0, s1, li, s2,s3, s4,s5,s6,s7, ds4=ds4)

def vtt_khuat(s0, s1, li, s2,s3, s31,s32, s4,s5,s6,s7):
    addx = pl(""
        , mdrprg(s32)
        , f_ip([s31])
        )
    return vtt_base_khai(s0, s1, li, s2,s3, s4,s5,s6,s7, addx=addx)

def vtt_ngo(s0, s1, li, s2, s3,s4,s5):    #vertical thai top ngo ngu
    s3,add3 = gen_alignrp(s3,2)
    s4,add4 = gen_alignrp(s4)
    s5,add5 = gen_alignrp(s5,2)
    return pl(""
        , v_t_base(s0, tvheight0_1,s1, li, s2)
        , headstem_2(s3)
        , add3
        , vhsph0_2(s4)
        , add4
        , headstem_2(s5)
        , add5
        )

def vtt_ro(s0, li, s2,s3, s4,s5, s6,s7, h=tvheight0_1, ds4="13+1 14+2 15+3 16+4 17+1 18+2 19+3 20+4 "):    #vertical thai top ngo ngu
    s3,add3 = gen_alignrp(s3,2)
    s4,add4 = gen_alignrp(s4)
    s5,add5 = gen_alignrp(s5,2)
    s6,add6 = gen_alignrp(s6)
    s7,add7 = gen_alignrp(s7,2)
    return pl(""
        , v_t_base(s0, h,-1, li+[s6], s2)
        , tstemt_ro_2(s3)
        , add3
        , mdrp0g(s4,ds4)
        , add4
        , tstemt_ro_2(s5)
        , add5
        , mdapr(s6)
        , add6
        , tstemtc_2(s7)
        , add7
        )

#================================================
def v_head1(s2, s3,s4, hs=headstem_1, hsph=vhsph0_1):
    s2,add2 = gen_alignrp(s2,2)
    s3,add3 = gen_alignrp(s3)
    s4,add4 = gen_alignrp(s4,2)
    return pl(""
        , hs(s2)
        , add2
        , hsph(s3)
        , add3
        , hs(s4)
        , add4
        )

def v_head2(s2, s3,s4, hs=headstem_2, hsph=vhsph0_2):
    return v_head1(s2, s3,s4, hs=hs, hsph=hsph)

def v_head_sara1(s2, s3,s4, hs=headstem_1, hsph=vhsph_sara0_1):
    return v_head1(s2, s3,s4, hs=hs, hsph=hsph)

def v_head_sara2(s2, s3,s4, hs=headstem_2, hsph=vhsph_sara0_2):
    return v_head1(s2, s3,s4, hs=hs, hsph=hsph)

#================================================


#================================================
pseudo_code_dict = {

    'exclam':
        packline(""
        , h_main_1(18, 14,estemw_1,17, 19)
        , srp0(14)
        , mdrpg(15)
        , shprp2(3)
        , srp0(17)
        , mdrpg(16)
        , shprp2(9)
        , ix()
        #y
        , sy()
        , v_b(18)
        , 'CALL 24'
        , mdrp0rg(0)
        , mdrp0mrb(6)
        , mdrpmrw(12)
        , vect(18, 16, [])
        , iy()
        ),

    'quotedbl':
        packline(""
        , h_main_2(12, 2,estemw_1,5, 8,estemw_1,11, 13)
        , ix()
        #y
        , sy()
        , mdapr(10)
        , alignrp(4)
        , mdrprg(6)
        , shprp2(0)
        , iy()
        ),

    'numbersign':
        packline(""
        , mdapr(7)
        , alignrp(11)
        , mdrp0rg(25)
        , alignrp(21)
        , f_ip([14,18,5,1])
        , mdrp0mrw(29)
        , ix()
        #y
        , sy()
        , mdapr(0)
        , alignrp(4)
        , mdrp0rg(19)
        , alignrp(15)
        , f_ip([21,25])
        , mdapr(21)
        , alignrp(17)
        , alignrp(13)
        , estem_123_2(22)
        , shprp2(29)
        , shprp2(10)
        , mdapr(25)
        , alignrp(28)
        , alignrp(9)
        , estem_123_2(26)
        , shprp2(2)
        , shprp2(6)
        , iy()
, sx()
, fo_mdrp(5,14,5,[4])
, fp_mdrp(5,14,4,[15])
, fp_mdrp(5,14,5,[6,9,10,13])
, fp_mdrp(4,15,4,[3,31,30,16])
, fo_mdrp(1,18,1,[0])
, fp_mdrp(1,18,0,[19])
, fp_mdrp(1,18,1,[2,28,29,17])
, fp_mdrp(0,19,0,[27,24,23,20])
        ),

    'dollar':
        packline(""
        , h_main_2(52, 15,estemw_1,49, 41,estemwc_1,34, 53)
        , srp0(15)
        , mdrpg(6)
        , srp0(34)
        , mdrpg(25)
        , ip_round(15,34,10)
        , alignrp(1)
        , alignrp(45)
        , alignrp(18)
        , mdrpg(44)
        , shprp2(37)
        , shprp2(29)
        , shprp2(20)
        , ix()
        #y
        , sy()
        , mdapr(37)
        , alignrp(2)
        , mdrpg(0)
        , estemtc_1(38)
        , shprp2(10)
        #
        , mdapr(21)
        , alignrp(18)
        , mdrpg(20)
        , estemtc_2(29)
        , shprp2(46)
        , add_ip(21,38,[45])
, fo_mirp(45,31,45,'estemwc',[44])
, sy()
, add_ip(45,44,[30,11])
        , iy()
        ),

    'percent':
        packline(""
        , h_main_2(52, 31,estem_154_1,49, 19,estem_154_1,13, 53)
        , srp0(31)
        , mdrp0g(37)
        , mdrp0g(43)
        , mdapr(43)
        , estem_154_1(37)
        , srp0(13)
        , mdrp0g(7)
        , mdapr(7)
        , estem_154_1(25)
        , add_ip(31,13,[1,2])
, fp_mirp(1,2,1,'estem_123',[0],parm="black")
        , ix()
        #y
        , sy()
        , mdapr(0)
        , 'CALL 24'
        , mdrp0rg(4)
        , estem_50_1(16)
        , mdrp0rg(10)
        , estem_50_2(22)
        , 'RTG'
        , vect(0, 3,[])
        , 'CALL 24'
        , mdrp0rg(34)
        , estem_50_2(46)
        , mdrp0rg(28)
        , estem_50_1(40)
        , 'RTG'
        , iy()
        ),

    'ampersand':
        packline(""
        , h_main_2(60, 8,ecstemwc_1,57, 1,ecstemwc_1,36, 61)
        , srp0(8)
        , mdrp0rg(14)
        , estemwc_1(47)
        , mdrp0rg(41)
        , estemtc_thick_1(20)
        , add_ip(8,36,[11,38,23,54,53,24,35,2])
        , ix()
        #y,
        , sy()
        , vecb_stemtc(60, 5,50)
        , vect_stemtc(60, -1,[30,11,38,23,54,53,24,35,2], 17,44)
        , mdapr(30)
        , iy()
, sx()
, fo_mirp(1,12,1,'ecstemw',[36],parm="black")
, fo_mirp(12,1,12,'ecstemw',[49],parm="black")
, 'ISECT 1 12 2 35 2'
, 'ISECT 1 12 53 24 53'
, 'ISECT 1 12 54 23 54'
, 'ISECT 1 12 11 38 11'
, 'ISECT 36 49 2 35 35'
, 'ISECT 36 49 53 24 24'
, 'ISECT 36 49 54 23 23'
, 'ISECT 36 49 11 38 38'
        ),

    'quotesingle':
        packline(""
        , h_main_1(6, 2,ecstemw_1,5, 7)
        , ix()
        #y
        , sy()
        , mdapr(4)
        , mdrprg(0)
        , iy()
        ),

    'parenleft':
        packline(""
        , h_main_10(14, 3,estemwc_1,10, (13,7), 15)
        , ix()
        #y
        , sy()
        , mdapr(0)
        , mdrprg(8)
        , iy()
        ),

    'parenright':
        packline(""
        , h_main_10r(14, (1,7), 4,estemwc_2,11, 15)
        , ix()
        #y
        , sy()
        , mdapr(0)
        , mdrprg(8)
        , iy()
        ),

    'asterisk':
        packline(""
        , mdapr(1)
        , ix()
        #y
        , sy()
        , mdapr(10)
        , iy()
        ),

    'plus':
        packline(""
        , h_main_1(12, (1,5),estem_123_1,(11,7), 13)
        , srp0(1)
        , mdrpg(3)
        , srp0(11)
        , mdrpg(10)
        , ix()
        #y
        , sy()
        , mdapr(10)
        , alignrp(2)
        , mdrpg(0)
        , estem_1230_1(9)
        , shprp2(5)
        , mdrpg(7)
        , iy()
        ),

    'comma':
        packline(""
#        , h_main_1(17, 8,ecstemwc_1,14, 18)
#        , srp0(14)
, mdapr(8)
, ecstemwc0_1(14)
        , mdrpg(3)
        , ix()
        #y
        , sy()
        , mdapr(5)
        , ecstemwc_1(11)
        , mdrpg(0)
        , iy()
        ),

    'hyphen':
        packline(""
        , h_edge(4, 1,3, 5)
        , ix()
        #y
        , sy()
        , mdapr(0)
        , estem_154_1(3)
        , iy()
        ),

    'period':
        packline(""
#        , h_main_1(12, 3,ecstemwc_1,9, 13)
, mdapr(3)
, ecstemwc_1(9)
        , ix()
        #y
        , sy()
        , mdapr(0)
        , ecstemwc_1(6)
        , iy()
        ),

    'slash':
        packline(""
        , mdapr(1)
        , mdapr(3)
        , ix()
        #y
        , sy()
        , mdapr(0)
        , mdapr(3)
        , iy()
, sx()
, fo_mirp(1,2,1,'estem_123',[0])
, fo_mirp(3,0,3,'estem_123',[2])
        ),

    'zero':
        packline(""
        , h_main_2(24, 3,ecstemwc_1,21, 15,ecstemw_1,9, 25)
        , ix()
        #y
        , sy()
        , vecb_stemtc(24, 0,12)
        , vect_stemtc(24, -1,[], 6,18)
        , iy()
        ),

    'one':
        packline(""
        , h_main_1(11, 3,ecstemw_1,8, 12)
        , ix()
        #y
        , sy()
        , v_b(0)
        , vect(0, 8,[])
        , iy()
        ),

    'two':
        packline(""
        , h_main_2(27, 1,estemwc_1,22, 5,ecstemwc_1,19, 28)
        , srp0(1)
        , mdrp0g(12)
        , srp0(19)
        , mdrpg(26)
        , ix()
        #y
        , sy()
        , v_b(0)
        , estemw_s_1(23)
        , vect_stemtc(0, -1, [], 16,8)
        , iy()
        ),

    'three':
        packline(""
        , h_main_01(43, 4, 11,ecstemwc_1,40, 44)
        , srp0(4)
        , mdrp0g(27)
        , srp0(11)
        , mdrp0g(20)
        , ecstemw_1(34)
        , ip_round(4,11,15)
        , ix()
        #y
        , sy()
        , vecb_stemtc(43, 0,8)
        , vect_stemtc(43, -1,[], 31,23)
        , ip_round(31,8,16)
        , ecstemt_2(15)
        , f_ip([37])
        , iy()
        ),

    'four':
        packline(""
        , h_edge(18, 5, 10, 19)
        , ip_round(5,10,3)
        , alignrp(15)
        , ecstemw_1(12)
        , shprp2(8)
        , ix()
        #y
        , sy()
        , v_b(0)
        , vect(0, 8, [9])
        , mdapr(9)
        , alignrp(15)
        , estemtc_y_2(12)
        , shprp2(4)
        , iy()
, sx()
, fo_mirp(6,7,6,'ecstemw_M',[17],parm="black")
, sy()
, fp_mdrp(6,7,17,[16])
        ),

    'five':
        packline(""
        , h_main_01(35, 4, 11,ecstemwc_1,32, 36)
        , srp0(4)
        , mdrp0g(18)
        , ecstemw_M_1(25)
        , shprp2(17)
        , srp0(32)
        , mdrpg(24)
        , ix()
        #y
        , sy()
        , vecb_stemtc(35, 0,8)
        , vect(35, 20, [])
        , estemw_s_2(24)
        , ip_round(20,8,29)
        , ecstemtc_2(14)
        , iy()
        ),

    'six':
        packline(""
        , h_main_2(39, 3,ecstemwc_1,(35,17), 29,ecstemwc_1,23, 40)
        , srp0(23)
        , mdrpg(10)
        , ix()
        #y
        , sy()
        , vecb_stemtc(39, 0,26)
        , vect_stemtc(39, -1,[], 6,14)
        , ip_round(6,26,20)
        , ecstemtc_2(32)
        , iy()
        ),

    'seven':
        packline(""
        , h_main_01(14, 8, 4,estemw_s_1,10, 15)
        , ip_round(8,10,1)
        , ecstemwc_1(0)
        , ix()
        #y
        , sy()
        , v_b(0)
        , vect(0, 10, [])
        , estemw_s_2(4)
        , iy()
        ),

    'eight':
        packline(""
        , h_main_2(48, 3,estemw_s_1,45, 39,ecstemwc_1,21, 49)
        , srp0(3)
        , mdrp0g(9)
        , estemw_s_1(33)
        , srp0(39)
        , mdrp0g(27)
        , estemw_s_1(15)
        , add_ip(9,39,[6,42])
        , add_ip(33,21,[24,18])
        , ix()
        #y
        , sy()
        , vecb_stemtc(48, 0,36)
        , vect_stemtc(48, -1,[], 12,30)
        , add_ip(12,36,[24])
, fo_mirp(24,35,24,'estemwc',[42],parm="black")
, sy()
, add_ip(24,42,[18,6])
        , iy()

        ),

    'nine':
        packline(""
        , h_main_2(39, 17,ecstemwc_1,36, (29,11),ecstemwc_1,23, 40)
        , srp0(17)
        , mdrpg(4)
        , ix()
        #y
        , sy()
        , vecb_stemtc(39, 0,8)
        , vect_stemtc(39, -1,[14], 20,33)
        , mdapr(14)
        , ecstemtc_1(26)
        , iy()
        ),

#    'colon':
#        packline(""
#        , h_main_1(8, (1,5),ecstemw_1,(3,7), 9)
#        , ix()
#        #y
#        , sy()
#        , mdapr(0)
#        , ecstemw_1(3)
#        , mdapr(4)
#        , ecstemw_1(7)
#        , iy()
#        ),
#
#    'semicolon':
#        packline(""
#        , h_main_1(15, (5,12),ecstemw_1,(7,14), 16)
#        , srp0(7)
#        , mdrpg(4)
#        , ix()
#        #y
#        , sy()
#        , mdapr(4)
#        , ecstemw_1(7)
#        , mdapr(11)
#        , ecstemw_1(14)
#        , iy()
#        ),
#
    'less':
        packline(""
        , h_edge(7, 1, (0,4), 8)
        , srp0(1)
        , mdrpg(5)
        , ix()
        #
        , sy()
        , mdapr(0)
        , mdapr(3)
        , iy()
        ),

    'equal':
        packline(""
        , h_edge(8, (1,5), (3,7), 9)
        , ix()
        #
        , sy()
        , mdapr(0)
        , estem_123_1(3)
        , mdapr(4)
        , estem_123_1(7)
        , iy()
        ),

    'greater':
        packline(""
        , h_edge(7, (0,3), 6, 8)
        , srp0(6)
        , mdrpg(2)
        , ix()
        #
        , sy()
        , mdapr(0)
        , mdapr(4)
        , iy()
        ),

    'question':
        packline(""
        , h_main_01(36, 26, 19,ecstemwc_1,33, 37)
        , ip_round(26,33,3)
        , ecstemwc_1(9)
        , f_ip([14,12])
        , ix()
        #
        , sy()
        , mdapr(0)
        , ecstemwc0_1(6)
        , mdrpmrw(12)
        , vect_stemtc(36, -1,[], 30,22)
        , iy()
        ),

    'at':
        packline(""
        , h_main_2(67, 3,estem_154_1,44, 38,estemtc_thin_1,9, 68)
        , ip_round(3,38,21)
        , estemwc_1(64)
        , ip_round(21,38,57)
        , alignrp(27)
        , alignrp(15)
        , estemw_1(29)
        , srp0(38)
        , mdrprg(51)
        , ix()
        #y
        , sy()
        , 'CALL 24'
        , mdapr(0)
        , 'RTG'
        , estemtc_thin_1(47)
        , mdapr(18)
        , alignrp(12)
        , estemtc_1(54)
        , shprp2(33)
        , mdapr(28)
        , 'CALL 24'
        , mdrp0rg(24)
        , 'RTG'
        , estemtc_2(61)
        , srp0(28)
        , 'CALL 24'
        , mdrp0rg(6)
        , 'RTG'
        , estemtc_thin_2(41)
        , iy()
        ),

    'A':
        packline(""
        , h_edge(19, 11, 14, 20)
        , add_ip(11,14,[12,13])
#        , ix()
        #y
        , sy()
        , v_b((0,8))
        , ecvheight0_1(13)
        , ip_round(13,0,16)
        , ecstemt_2(4)
        , iy()
, sx()
, fo_mirp(11,12,11,'ecstemt',[6],parm="black")
, fo_mirp(14,13,14,'ecstemw',[3],parm="black")
, fp_mdrp(11,12,6,[5,18])
, fp_mdrp(14,13,3,[4,16])
, sx()
, add_ip(18,16,[17])
, sy()
, fp_mdrp(14,13,3,[17])
, ix()
        ),

    'B':
        packline(""
        , h_main_2(37, 3,ecstemw_1,(35,26), 31,ecstemwc_1,16, 38)
        , srp0(31)
        , mdrp0g(22)
        , estemwc_1(10)
        , ix()
        #y
        , sy()
        , vecb_stemt(0,(28,3))
        , vect_stemt(0, 7, [19], (25,4))
        , 'SROUND 74'
        , mdapr(19)
        , 'RTG'
        , ecstemt_2(34)
        , f_ip([13])
        , iy()
        ),

    'C':
        packline(""
        , h_main_10(26, 3,ecstemwc_1,16, (23,9), 27)
        , ix()
        #y
        , sy()
        , vecb_stemtc(26, 0,19)
        , vect_stemtc(26, -1, [], 6,13)
        , add_ip(6,0,[9,23])
        , iy()
        ),

    'D':
        packline(""
        , h_main_2(22, 3,ecstemw_1,20, 16,ecstemwc_1,10, 23)
        , ix()
        #y
        , sy()
        , vecb_stemt(0, (13,3))
        , vect_stemt(0, 7,[],(19,4))
        , iy()
        ),

    'E':
        packline(""
        , h_main_10(26, 3,ecstemw_1,(20,12), (25,8), 27)
        , srp0(25)
        , mdrprg(17)
        , ix()
        #y
        , sy()
        , vecb_stemt(0, (22,3))
        , vect_stemt(0, 7,[14], (11,4))
        , 'SROUND 74'
        , mdapr(14)
        , ecstemt_2(19)
        , iy()
        ),

    'F':
        packline(""
        , h_main_10(23, 3,ecstemw_1,(20,12), 8, 24)
        , srp0(8)
        , mdrpg(16)
        , ix()
        #y
        , sy()
        , v_b(0)
        , vect_stemt(0, 7,[14], 11)
        , 'SROUND 74'
        , mdapr(14)
        , ecstemt_2(19)
        , iy()
        ),

    'G':
        packline(""
        , h_main_2(31, 3,ecstemwc_1,17, 23,ecstemw_1,27, 32)
        , srp0(27)
        , mdrprg(10)
        , ix()
        #y
        , sy()
        , vecb_stemtc(31, 0,20)
        , vect_stemtc(31, -1,[27], 6,14)
        , mdapr(27)
        , iy()
        ),

    'H':
        packline(""
        , h_main_2(28, 11,ecstemw_1,(5,17), (3,19),ecstemw_1,25, 29)
        , ix()
        #y
        , sy()
        , v_b((0,8))
        , ecvheight0_1(23)
        , alignrp(15)
        , 'SROUND 74'
        , ip_round(23,0,19)
        , 'RTG'
        , ecstemt_2(4)
        , iy()
        ),

    'I':
        packline(""
        , mdapr(3)
        , ecstemw0_1(9)
        , mdrpmrw(13)
        , mdapr(13)
        , ix()
        #y
        , sy()
        , v_b(0)
        , ecvheight0_1(7)
        , iy()
        ),

    'J':
        packline(""
        , mdapr(4)
        , mdrprg(1)
        , estemw0_1(10)
        , mdrpmrw(15)
        , ix()
        #y
        , sy()
        , vecb_stemtc(14,0,1)
        , ecvheight0_1(8)
        , iy()
        ),

    'K':
        packline(""
        , h_main_10(28, 11,ecstemw_1,(5,18), 26, 29)
        , srp0(26)
        , mdrpg(24)
        , ix()
        #y
        , sy()
        , v_b((0,8))
        , vect(0, (22,15),[18,4])
        , f_dstr(18,"10-2 11-3 12-4 13-5 14-6 15-7 16-8 ")
        , f_dstr(4,"10-2 11-3 12-4 13-5 14-6 15-7 16-8 ",direction="-")
        , iy()
, sx()
, fo_mirp(26,25,26,'ecstemw',[3],parm="black")
, fo_mirp(24,5,24,'ecstemw_M',[19],parm="black")
, sy()
, fp_mdrp(19,18,24,[28,5])
, sx()
, fp_mdrp(26,25,3,[4])
        ),

    'L':
        packline(""
        , h_main_10(15, 3,ecstemw_1,9, 0, 16)
        , ix()
        #y
        , sy()
        , v_b(0)
        , vect(0, 7,[])
        , iy()
        ),

    'M':
        packline(""
        , h_main_2(25, 13,ecstemw_M_1,7, 3,ecstemw_1,22, 26)
        , ix()
        #y
        , sy()
        , v_b((0,5,10))
        , vect(0, (20,17), [7,4,18])
        , f_dstr(18,"10-2 11-3 12-4 13-5 14-6 15-7 16-8 ")
        , iy()
, sx()
, fo_mirp(7,6,7,'ecstemw',[17],parm="black")
, fo_mirp(4,5,4,'ecstemw_M',[19],parm="black")
        ),

    'N':
        packline(""
        , h_main_2(20, 8,ecstemw_M_1,2, 13,ecstemw_M_1,19, 21)
        , ix()
        #y
        , sy()
        , v_b((0,5))
        , vect(0, (17,12), [2,13])
        , iy()
, sx()
, fo_mirp(2,1,2,'ecstemw',[12])
, fo_mirp(13,12,13,'ecstemw',[1])
        ),

    'O':
        packline(""
        , h_main_2(24, 3,ecstemwc_1,21, 15,ecstemwc_1,9, 25)
        , ix()
        #y
        , sy()
        , vecb_stemtc(24, 0,12)
        , vect_stemtc(24, -1, [], 6,18)
        , iy()
        ),

    'P':
        packline(""
        , h_main_2(26, 3,ecstemw_1,(14,24), 20,ecstemwc_1,10, 27)
        , ix()
        #y
        , sy()
        , v_b(0)
        , vect_stemt(0, 7, [17],23)
        , mdapr(17)
        , ecstemt_2(13)
        , iy()
        ),

    'Q':
        packline(""
        , h_main_2(35, 3,ecstemwc_1,32, 26,ecstemwc_1,9, 36)
        , srp0(36)
        , mdrprg(18)
        , add_ip(3,9,[0,12])
        , add_ip(3,26,[21])
        , add_ip(32,9,[14])
        , ix()
        #y
        , sy()
        , vecb_stemtc(35, 0,23)
        , f_ip([12])
        , vect_stemtc(35, -1, [], 6,29)
        , srp0(35)
        , mdrp0rg(17)
        , ecstemt_2(18)
        , iy()
        ),

    'R':
        packline(""
        , h_main_2(36, 11,ecstemw_1,(5,34), 30,ecstemwc_1,18, 37)
        , srp0(18)
        , mdrpg(25)
        , srp0(30)
        , mdrpg(1)
        , add_ip(11,30,[4])
        , add_ip(5,18,[22])
        , ix()
        #y
        , sy()
        , v_b((0,8))
        , vect_stemt(0, 15,[27], 33)
        , mdapr(27)
        , ecstemt_2(4)
        , f_ip([22])
        , iy()
        ),

    'S':
        packline(""
        , h_main_2(38, 16,estemw_1,30, 11,estemw_1,35, 39)
        , srp0(16)
        , mdrprg(4)
        , srp0(35)
        , mdrpg(23)
        , ix()
        #y
        , sy()
        , vecb_stemtc(38, 0,8)
        , vect_stemtc(38, -1, [], 19,27)
        , add_ip(19,8,[32])
, fo_mirp(32,33,32,'ecstemwc',[13])
        , iy()
        ),

    'T':
        packline(""
, mdapr(3)
, mdrpg(8)
, ecstemw0_1(15)
, mdrp0g(11)
, mdrpmrw(19)
, mdapr(19)
        , ix()
        #y
        , sy()
        , v_b(0)
        , vect_stemt(0, 10,[],(15,4))
        , iy()
        ),

    'U':
        packline(""
        , h_main_2(26, 3,ecstemw_1,9, 16,ecstemw_M_1,22, 27)
        , ix()
        #y
        , sy()
        , vecb_stemtc(26, 0,13)
        , vect(0, (20,7),[])
        , iy()
        ),

    'V':
        packline(""
        , h_edge(15, 3, 14, 16, min2=True)
        , add_ip(3,14,[8])
        , ix()
        #y
        , sy()
        , v_b(0)
        , vect(0, (12,5), [8])
        , f_dstr(8,"10-2 11-3 12-4 13-5 14-6 15-7 16-8 ")
        , iy()
, sx()
, fo_mirp(2,1,2,'ecstemw',[7],parm="black")
, fo_mirp(14,0,14,'ecstemw_M',[9],parm="black")
, fp_mdrp(7,8,2,[1])
, fp_mdrp(9,8,14,[0])
        ),

    'W':
        packline(""
        , h_edge(21, 6, 20, 22, min2=True)
        , ix()
        #y
        , sy()
        , v_b((0,3))
        , vect(0, (18,13,8), [2,14])
        , f_dstr(14,"10-2 11-3 12-4 13-5 14-6 15-7 16-8 ")
        , f_dstr(2,"10-2 11-3 12-4 13-5 14-6 15-7 16-8 ",direction='-')
        , srp0(14)
        , alignrp(11)
        , iy()
, sx()
, fo_mirp(5,4,5,'ecstemw',[10],parm="black")
, fo_mirp(20,0,20,'ecstemw_M',[15],parm="black")
, fp_mdrp(5,4,10,[11])
, fp_mdrp(20,0,15,[14])
, fp_mdrp(14,13,1,[2])
, fo_mirp(11,12,11,'ecstemw_M',[3],parm="black")
, fo_mirp(14,13,14,'ecstemw',[1],parm="black")
, sy()
, fp_mdrp(14,13,1,[2])
        ),

    'X':
        packline(""
        , h_edge(28, 13, 26, 29, min2=True)
        , srp0(13)
        , mdrpg(9)
        , srp0(26)
        , mdrpg(24)
        , ix()
        #y
        , sy()
        , v_b((0,7))
        , vect(0, (22,15), [])
        , iy()
, sx()
, fo_mirp(12,3,12,'ecstemw',[17], parm="black")
, fo_mirp(26,17,26,'ecstemw',[3], parm="black")
, fo_mirp(10,19,10,'ecstemw_M',[5], parm="black")
, fo_mirp(24,5,24,'ecstemw_M',[19], parm="black")
, 'ISECT 12 3 5 24 4'
, 'ISECT 10 19 12 3 11'
, 'ISECT 17 26 10 19 18'
, 'ISECT 24 5 17 26 25'
        ),

    'Y':
        packline(""
        , h_main_1(21, 3,ecstemw_1,18, 22)
        , srp0(3)
        , mdrpg(5)
        , srp0(18)
        , mdrpg(17)
        , ix()
        #y
        , sy()
        , v_b(0)
        , vect(0, (15,8),[4,11,18])
        , f_dstr(11,"13-1 14-1 15-1 16-2 ")
        , iy()
, sx()
, fo_mirp(5,4,5,'ecstemw',[10],parm="black")
, fo_mirp(17,18,17,'ecstemw_M',[12],parm="black")
, fp_mdrp(5,4,10,[11])
        ),

    'Z':
        packline(""
        , h_edge(16, 1, 15, 17)
        , srp0(1)
        , mdrpg(7)
        , srp0(15)
        , mdrpg(10)
        , ix()
        #y
        , sy()
        , vecb_stemt(0, 12)
        , vect_stemt(0, 9,[],3)
        , iy()
, sx()
, fo_mirp(2,3,2,'ecstemw',[11])
, fo_mirp(10,11,10,'ecstemw',[3])
        ),

    'bracketleft':
        packline(""
        , h_main_10(12, 1,estemw_1,7, (11,4), 13)
        , ix()
        #y
        , sy()
        , mdapr(0)
        , mdapr(3)
        , iy()
        ),

    'backslash':
        packline(""
        , mdapr(2)
        , mdapr(0)
        , ix()
        #y
        , sy()
        , mdapr(0)
        , mdapr(3)
        , iy()
, sx()
, fo_mirp(2,1,2,'estem_123',[3],parm="black")
, fo_mirp(0,3,0,'estem_123',[1],parm="black")
        ),

    'bracketright':
        packline(""
        , h_main_10r(12, (2,9), 5,estemw_1,11, 13)
        , ix()
        #y
        , sy()
        , mdapr(1)
        , mdapr(6)
        , iy()
        ),

    'asciicircum':
        packline(""
        , h_edge(7, 4, 0, 8)
        , ix()
        #y
        , sy()
        , mdapr(0)
        , alignrp(3)
        , mdapr(6)
        , iy()
, sx()
, fo_mdrp(4,5,4,[3])
, fo_mdrp(0,6,0,[1])
, sy()
, fp_mdrp(4,5,3,[2])
        ),

    'underscore':
        packline(""
        , h_edge(4, 1, 3, 5, min2=False)
        , ix()
        #y
        , sy()
        , mdapr(0)
        , estem_123_1(3)
        , iy()
        ),

    'grave':
        packline(""
        , mdapr(0)
        , ix()
        #y
        , sy()
        , mdapr(3)
        , mdrpmb(0)
        , iy()
        ),

    'a':
        packline(""
        , h_main_2(40, 7,estemwc_1,37, (32,11,2),estemw_1,26, 41)
        , srp0(7)
        , mdrp0g(19)
        , ix()
        #y
        , sy()
        , veb_stemtc(1,4,29)
        , vet_stemtc(1, -1, [12,26,11,33,32,2], 23,15)
        , iy()
        ),

    'b':
        packline(""
        , h_main_2(34, 3,estemw_1,(30,7,20), 24,estemwc_1,14, 35)
        , ix()
        #y
        , sy()
        , veb_stemtc(0,17,21)
        , evheight_b0_1(7)
        , vet_stemtc(0, -1, [], 11,27)
        , iy()
        ),

    'c':
        packline(""
        , h_main_10(27, 3,estemwc_1,17, (10,23), 28)
        , ix()
        #y
        , sy()
        , veb_stemtc(27,0,20)
        , vet_stemtc(27, -1, [23], 6,14)
        , iy()
        ),

    'd':
        packline(""
        , h_main_2(34, 8,estemwc_1,31, (24,14,2),estemw_1,18, 35)
        , ix()
        #y
        , sy()
        , veb_stemtc(1,5,21)
        , evheight_b0_1(18)
        , vet_stemtc(1, -1, [], 11,28)
        , iy()
        ),

    'e':
        packline(""
        , h_main_2(29, 3,estemwc_1,(11,28), 22,estemwc_1,(9,19), 30)
        , ix()
        #y
        , sy()
        , veb_stemtc(29, 0,15)
        , vet_stemtc(29, -1, [22], 6,25)
        #, 'SROUND 74'
        , mdapr(22)
        , 'RTG'
        , estemt_2(10)
        , iy()
        ),

    'f':
        packline(""
        , h_main_1(29, (3,7),estemw_1,(26,22), 30)
        , srp0(3)
        , mdrprg(15)
        , ix()
        #y
        , sy()
        , v_b(0)
        , vet_stemt(0, (23,7), [], (26,4))
        , 'CALL 24'
        , mdrp0rg(11)
        , 'RTG'
        , estemtc_2(19)
        , iy()
        ),

    'g':
        packline(""
        , h_main_2(70, 15,estemwc_1,54, 48,estemw_1,27, 71)
        , srp0(15)
        , mdrp0rg(9)
        , estemtc_thick_1(35)
        , srp0(15)
        , mdrp0rg(3)
        , estemwc_thin_1(67)
        , srp0(27)
        , mdrp0rg(60)
        , mdapr(60)
        , estemtc_thick_1(42)
        , add_ip(15,27,[12,32])
        , add_ip(3,42,[6,64])
        , ix()
        #y
        , sy() 
        , v_b(63)
        , estemw_1(39)
        , f_ip([6])
        , vet_stemtc(63, 22, [30], 18,51)
        , mdapr(30)
        , estemtc_1(45)
        , f_ip([12,32])
        , srp0(63)
        , 'CALL 24'
        , mdrp0rg(0)
        , 'RTG'
        , estemtc_thick_1(57)
        , iy()
        ),

    'h':
        packline(""
        , h_main_2(30, 16,estemw_1,(10,20), 3,estemw_1,27, 31)
        , ix()
        #y
        , sy()
        , v_b((0,13))
        , evheight_b0_1(20)
        , vet_stemtc(0, -1, [], 24,7)
        , iy()
        ),

    'i':
        packline(""
        , h_main_1(22, 3,estemw_1,7, 23)
        , srp0(3)
        , mdrpg(13)
        , srp0(7)
        , mdrpg(19)
        , ix()
        #y
        , sy()
        , v_b(0)
        , evheight0_1(7)
        , mdrp0mrw(10)
        , mdrpb(16)
        , iy()
        ),

    'j':
        packline(""
        , h_main_1(24, 4,estemw_1,8, 25)
        , srp0(4)
        , mdrpg(15)
        , mdrprg(0)
        , srp0(8)
        , mdrpg(21)
        , ix()
        #y
        , sy()
        , v_b(24)
        , mdrp0rg(0)
        , estemt_1(1)
        , evheight0_1(8)
        , mdrp0mrw(12)
        , mdrpb(18)
        , iy()
        ),

    'k':
        packline(""
        , h_main_10(26, 11,estemw_1,(5,15), 24, 27)
        , srp0(24)
        , mdrpg(22)
        , ix()
        #y
        , sy()
        , v_b((0,8))
        , evheight_b0_1(15)
        , evheight0_1(20)
        , iy()
, sx()
, fo_mdrp(22,5,22,[17])
, fo_mdrp(24,23,24,[3])
, sx()
#, f_dstr(17,ds_slant,direction="-")
, f_dstr(3,ds_slant,direction="-")
, sy()
, fp_mdrp(22,5,17,[16])
, fp_mdrp(22,5,22,[23,4])
, sx()
, fp_mdrp(24,23,3,[4])
, sy()
, fp_mdrp(22,5,22,[4])
        ),

    'l':
        packline(""
        , h_main_1(10, 3,estemw_1,7, 11)
        , ix()
        #y
        , sy()
        , v_b(0)
        , evheight_b0_1(7)
        , iy()
        ),

    'm':
        packline(""
#        , h_main_2(52, 32,estemw_1,(26,37), 3,estemw_1,49, 53, ds3="9+8 12-8 13+8 15-8 16+8 19-8 20-8 23-8 24+8 26-8 27+8 30+8 31+8 34-8 37-8 38-8 41+8 42+8 ",dsx="9+8 12-8 13+8 15-8 16+8 19-8 20-8 23-8 24+8 26-8 27+8 30+8 31+8 34-8 37-8 38-8 41+8 42+8 ")
#        , ip_round(32,3,19)
#        , estemw_1(13)
#
, 'SROUND 68'
, mdapr(32)
, 'RTG'
, estemw_1(26)
, shprp2(37)
, mdrp0rg(19)
, estemw_1(13)
, f_ip([43])
, mdrp0rg(3)
, estemw0_1(49)
, mdrp0mrw(53)
, mdapr(53)
        , ix()
        #y
        , sy()
        , v_b((0,16,29))
        , vet_stemtc(0, 36, [], (46,40),(7,23))
        , iy()
        ),

    'n':
        packline(""
        , h_main_2(30, 16,estemw_1,(10,21), 3,estemw_1,27, 31)
#        , h_2s(30, 16,estemw_1,(10,21), 3,estemw_1,27, 31)
        , ix()
        #y
        , sy()
        , v_b((0,13))
        , vet_stemtc(0, 20, [], 24,7)
        , iy()
        ),

    'o':
        packline(""
        , h_main_2(24, 3,estemwc_1,21, 15,estemwc_1,9, 25)
#        , h_2s(24, 3,estemwc_1,21, 15,estemwc_1,9, 25)
        , ix()
        #y
        , sy()
        , veb_stemtc(24,0,12)
        , vet_stemtc(24, -1, [], 6,18)
        , iy()
        ),

    'p':
        packline(""
        , h_main_2(36, 3,estemw_1,(32,8,20), 26,estemwc_1,14, 37)
#        , h_2s(36, 3,estemw_1,(32,8,20), 26,estemwc_1,14, 37)
        , ix()
        #y
        , sy()
        , veb_stemtc(36, 17,23)
        , vet_stemtc(36, 7, [], 11,29)
        , evheight_p0_1(0)
        , iy()
        ),

    'q':
        packline(""
        , h_main_2(36, 10,estemwc_1,33, (27,16,3),estemw_1,20, 37)
#        , h_2s(36, 10,estemwc_1,33, (27,16,3),estemw_1,20, 37)
        , ix()
        #y
        , sy()
        , veb_stemtc(36, 7,23)
        , vet_stemtc(36, 17, [], 13,30)
        , evheight_p0_1(1)
        , iy()
        ),

    'r':
        packline(""
        , h_main_10(24, 3,estemw_1,(21,8), 15, 25)
        , ix()
        #y
        , sy()
        , v_b(0)
        , vet_stemtc(0, 7, [], 11,18)
        , iy()
        ),

    's':
        packline(""
        , h_main_2(38, (16,4),estemw_s_1,30, 11,estemw_s_1,35, 39)
        , srp0(35)
        , mdrprg(23)
        , mdapr(23)
        , ix()
        #y
        , sy()
        , veb_stemtc(38, 0,8)
        , vet_stemtc(38, -1, [], 19,27)
        , iy()
, sy()
, fo_mirp(33,32,33,'estemwc',[13])
, 'UTP 32'
, 'UTP 14'
, iy()
        ),

    't':
        packline(""
        , h_main_10(25, 3,estemw_1,(14,10), (21,13), 26)
        , ix()
        #y
        , sy()
        , veb_stemtc(25, 0,18)
        , vet_stemt(25, 11, [], (14,4))
        , mdrprg(10)
        , iy()
        ),

    'u':
        packline(""
        , h_main_2(26, 8,estemw_1,12, (19,2),estemw_1,23, 27)
        , ix()
        #y
        , sy()
        , veb_stemtc(26, 5,16)
        , evheight0_1(23)
        , alignrp(12)
        , iy()
        ),

    'v':
        packline(""
        , h_edge(15, 3, 14, 16, min2=True)
        , ix()
        #y
        , sy()
        , v_b(0)
        , vet(0,(12,5),[8])
        , f_dstr(8,"10-2 11-3 12-4 13-5 14-6 15-7 16-8 ")
        , iy()
, sx()
, fo_mirp(2,1,2,'estemw',[7],parm="black")
, fo_mirp(14,0,14,'estemw_w',[9],parm="black")
, fp_mdrp(7,8,2,[1])
, fp_mdrp(9,8,14,[0])
        ),

    'w':
        packline(""
        , h_edge(21, 6, 20, 22, min2=True)
        , ix()
        #y
        , sy()
        , v_b((0,3))
        , vet(0, (18,13,8), [2,14])
        , f_dstr(14,"10-2 11-3 12-4 13-5 14-6 15-7 16-8 ")
        , f_dstr(2,"10-2 11-3 12-4 13-5 14-6 15-7 16-8 ",direction='-')
        , srp0(14)
        , alignrp(11)
        , iy()
, sx()
, fo_mirp(5,4,5,'estemw',[10],parm="black")
, fo_mirp(20,0,20,'estemw_w',[15],parm="black")
, fp_mdrp(5,4,10,[11])
, fp_mdrp(20,0,15,[14])
, fp_mdrp(14,13,1,[2])
, fo_mirp(11,12,11,'estemw_w',[3],parm="black")
, fo_mirp(14,13,14,'estemw',[1],parm="black")
, sy()
, fp_mdrp(14,13,1,[2])
        ),

    'x':
        packline(""
        , h_edge(28, 13, 26, 29, min2=True)
        , srp0(12)
        , mdrpg(10)
        , srp0(26)
        , mdrpg(24)
        , ix()
        #y
        , sy()
        , v_b((0,7))
        , vect(0, (22,15), [])
        , iy()
, sx()
, fo_mirp(12,3,12,'estemw',[17], parm="black")
, fo_mirp(26,17,26,'estemw',[3], parm="black")
, fo_mirp(10,19,10,'estemw_w',[5], parm="black")
, fo_mirp(24,5,24,'estemw_w',[19], parm="black")
, 'ISECT 12 3 5 24 4'
, 'ISECT 10 19 12 3 11'
, 'ISECT 17 26 10 19 18'
, 'ISECT 24 5 17 26 25'
        ),

    'y':
        packline(""
        , h_edge(24, 10, 21, 25)
        , srp0(10)
        , mdrprg(3)
        , add_ip(10,21,[15,8])
        , ix()
        #y
        , sy()
        , v_b(24)
        , evheight0_1(19)
        , alignrp(12)
        , mdapr(0)
        , estemtc_y_1(5)
        , iy()
, sx()
, fo_mirp(9,8,9,'estemw',[14],parm="black")
, sy()
, fp_mdrp(9,8,14,[15])
, sx()
, fp_mdrp(21,23,16,[15,8,6,7])
, sy()
, fp_mdrp(21,23,16,[15,8,6,7])
        ),

    'z':
        packline(""
        , mdapr(17)
        , mdrp0mrw(0)
        , mdrprg(10)
        , mdrp0rg(1)
        , mdrprg(7)
        , ix()
        #y
        , sy()
        , v_b(0)
        , estemt_1(12)
        , evheight0_1(9)
        , estemt_2(3)
        , iy()
, sx()
, fo_mirp(2,3,2,'estemw',[11],parm="black")
, fo_mirp(10,11,10,'estemw',[3],parm="black")
, sy()
, fp_mdrp(10,11,3,[2])
, fp_mdrp(2,3,11,[10])
        ),

    'braceleft':
        packline(""
        , h_main_1(31, (3,11),estemw_1,(26,19), 32)
        , ix()
        #y
        , sy()
        , mdapr(0)
        , mdapr(15)
        , iy()
        ),

    'bar':
        packline(""
        , h_main_1(4, 1,estem_123_1,3, 5)
        , ix()
        #y
        , sy()
        , mdapr(0)
        , mdapr(3)
        , iy()
        ),

    'braceright':
        packline(""
        , h_main_1(31, (4,11),estemw_1,(27,19), 32)
        , ix()
        #y
        , sy()
        , mdapr(0)
        , mdapr(16)
        , iy()
        ),

    'asciitilde':
        packline(""
        , h_edge(20, 8, 18, 21)
        , ix()
        #y
        , sy()
        , mdapr(0)
        , estem_154_1(15)
        , mdapr(10)
        , estem_154_2(5)
        , iy()
        ),

    'uni0E01':      #KO KAI
        packline(""
        , h_main_2(26, 14,tstemw_1,12, 1,tstemw_1,25, 27)
        , h_notch_ko(14, 19,8,17,10)
        , ix()
        #y
        , sy()
        , v_b((1,13))
        , vtt_ko(1, -1, [8,10,12,15,17,19,2,25], 22,5)
        , iy()
        ),

    'uni0E02':    #KHO KHAI
        packline(""
        , h_main_2(55, 3,tstemw_1,34, 38,tstemw_1,40, 56, ds1="11+8 ")
        , h_khai(3,38, 23,52,46,17, [14], 9,29)
        , ix()
        #y
        , sy()
        , vtb_stemt(0, (36,3))
        , vtt_khai(0, 39,[9,29,4,34], 26,12, 14,49,43,20)
        , iy()
        ),

    'uni0E03':    #KHO KHUAT
        packline(""
        , h_main_2(63, 3,tstemw_1,42, 46,tstemw_1,48, 64, ds1="")
        , h_khuat(3,46, 27,60,54,21, [18], 9,37, [30,32,34,16,14,13,11])
        , ix()
        #y
        , sy()
        , vtb_stemt(0, (44,3))
        , vtt_khuat(0, 47,[9,37,4,42], (34,30),(11,16), 31,13, 18,57,51,24)
        , iy()
        ),

    'uni0E04':    #KHO KHWAI
        packline(""
        , h_main_2(56, 37,tstemwc_thin_1,8, 1,tstemw_1,43, 57)
        , srp0(37)
        , mdrp0rg(32)
        , tstemw_1(27)
        , f_ip([11])
        , mdrp0rg(53)
        , mdrpg(22)
        , mdrpg(12)
        , hhsph0_1(17)
        , headstem_2(47)
        , ix()
        #y
        , sy()
        , v_b((0,29))
        , vtt_ko(0, -1, [37,8,14,2,43], 40,5)
        , mdapr(14)
        , v_head2(50,44,20)
        , add_ip(14,20,[11,22])
        , iy()
        ),

    'uni0E05':    #KHO KHON
        packline(""
        , h_main_2(65, 42,tstemwc_thin_1,13, 1,tstemw_1,52, 66)
        , srp0(42)
        , mdrp0rg(37)
        , tstemw_1(32)
        , f_ip([16])
        , mdrp0rg(62)
        , mdrpg(17)
        , mdrpg(27)
        , hhsph0_1(22)
        , headstem_2(56)
        , add_ip(42,52,[45,47,49,5,7,8,10])
        , ix()
        #y
        , sy()
        , v_b((0,34))
        , vtt_ko(0, -1, [42,13,19,2,52], (49,45),(5,10))
        , vtt_ko2to(7,47, 19,59,53,25)
        , add_ip(19,25,[16,27])
        , iy()
        ),

    'uni0E06':    #KHO RAKHANG
        packline(""
        , ix()
        , h_main_2(84, (14,77),tstemw_1,(53,4), (59,1),tstemw_1,61, 85)
        , srp0(14)
        , h_roll_mo(11,81)
        , h_khuat(14,59, 38,71,65,32, [29], 20,48, [41,43,45,22,24,25,27])
        , ix()
        #y
        , sy()
        , v_b(1)
        , vtt_khuat(1, 60,[20,48,15,53,57], (45,41),(22,27), 24,43, 29,68,62,35)
        , vtb_roll_no(1, 8,74,(4,78),(54,14))
        , iy()
        ),

    'uni0E07':    #NGO NGU
        packline(""
        , h_main_01(33, 2, (8,1),tstemw_1,20, 34)
        , srp0(8)
        , hxheadl2(14,30,24)
        , ix()
        #y
        , sy()
        , v_b(0)
        , vtt_ngo(0, -1, [3,6], 17,27,21,11)
        , iy()
        ),

    'uni0E08':    #CHO CHAN
        packline(""
        , h_main_01(45, 26, (18,1),tstemw_1,32, 46)
        , ip_round(26,18,10)
        , h_head1(42,36,4)
        , ix()
        #y
        , sy()
        , v_b(1)
        , vtt_ko(1, -1, [13,16,19,32], 29,22)
        , mdapr(13)
        , v_head2(39,33,7)
        , add_ip(13,7,[4])
        , iy()
        ),

    'uni0E09':    #CHO CHING
        packline(""
        , h_main_2(69, 1,tstemw_1,(13,0), (19,43),tstemw_1,(33,65), 70)
        , srp0(1)
        , mdrprg(27)
        , hxheadl2(7,56,50)
        , srp0(19)
        , h_roll_no(37,62)
        , ix()
        #y
        , sy()
        , v_b(0)
        , vtt_ko(0, -1, [10,16,20,33], 30,23)
        , mdapr(10)
        , v_head2(53,47,4)
        , vtb_roll_no(0, 40,59,(44,65),(19,34))
        , iy()
        ),

    'uni0E0A':    #CHO CHANG
        packline(""
        , h_main_2(65, 3,tstemw_1,63, 55,tstemw_1,38, 66,ds1="11+8 ")
        , h_khai(3,55, 23,50,44,17, [14], 9,(29,58))
        , srp0(55)
        , mdrp0mrg(32)
        , tstemw_1(33)
        , ix()
        #y
        , sy()
        , vtb_stemt(0, (53,3))
        , vtt_khai(0, -1,[9,29,58,36, 4,63,56,38], 26,12, 14,47,41,20)
        , srp0(26)
        , mdrpmrg(32)
        , iy()
        ),

    'uni0E0B':    #SO SO
        packline(""
        , h_main_2(73, 3,tstemw_1,71, 63,tstemw_1,46, 74, ds1="")
        , h_khuat(3,63, 27,58,52,21, [18], 9,(37,66), [30,32,34,16,14,13,11])
        , srp0(63)
        , mdrp0mrg(40)
        , tstemw_1(41)
        , ix()
        #y
        , sy()
        , vtb_stemt(0, (61,3))
        , vtt_khuat(0, -1,[9,37,66,44,4,71,64,46], (34,30),(11,16), 31,13, 18,55,49,24)
        , srp0(34)
        , mdrpmrg(40)
        , iy()
        ),

    'uni0E0C':    #CHO_CHOE
        packline(""
        , h_main_2(79, 37,tstemw_1,25, (54,1),tstemw_1,56, 80)
        , h_notch_ko(37, 42,21,40,23)
        , srp0(37)
        , hxheadr1(66,60,31)
        , ip_round(37,54,14)
        , alignrp(72)
        , tstemw_1(48)
        , shprp2(4)
        , h_roll_mo(11,76)
        , ix()
        #y
        , sy()
        , v_b(1)
        , vtt_ko(1, 55, [38,40,42,21,23,25,15,48,52], 45,18)
        , vtb_head(1, (34,8),57,63,28)
        , srp0(8)
        , mdrp0rg(4)
        , alignrp(73)
        , tstemtc_1(49)
        , shprp2(14)
        , iy()
        ),

    'base.uni0E0D.descless':    #YO YING
        packline(""
        , h_main_2(58, 26,tstemw_1,14, 41,tstemw_1,43, 59)
        , h_notch_ko(26, 31,10,29,12)
        , srp0(26)
        , hxheadr1(55,49,20)
        , ip_round(26,41,3)
        , tstemw_1(37)
        , ix()
        #y
        , sy()
        , vtb_stemt(0, (39,3))
        , vtt_ko(0, 42, [31,29,27,10,12,14,4,37], 34,7)
        , vtb_head(0, 23,46,52,17)
        , iy()
        ),

    'desc.uni0E0D':
        packline(""
        , mdapr(20)
        , mdrpg(23)
        , mdrp0rg(35)
        , mdrpg(3)
        , hhsph_sara0_1(9)
        , f_ip([14])
        , headstem_2(29)
        , ix()
        #y
        , sy()
        , mdap(38)
        , mdrp0mrw(6)
        , mdrprg(22)
        , v_head_sara2(32,26,12)
        , mdrp0rg(0)
        , tstemt_sara_1(17)
        , iy()
        ),

    'uni0E0E':    #DO CHADA
        packline(""
        , h_main_2(79, 45,tstemw_1,33, (22,1),tstemw_1,56, 80, ds1="14+8 ",ds3="14+8 ")
        , h_notch_ko(45, 50,29,48,31)
        , srp0(45)
        , hxheadl2(40,66,60)
        , srp0(22)
        , mdrp0rg(8)
        , f_ip([13,71,18,3])
        , tstemtc_thin_1(76)
        , ix()
        #y
        , sy()
        , v_b((79,15))
        , vtt_ko(79, -1, [46,48,50,29,31,33,23,56], 53,26)
        , vtb_head(79, 37,57,63,43)
        , tvheight_lu0_1(1)
        , mdrpg(20)
        , mdrp0rg(5)
        , tstemtc_thin_1(69)
        , mdrp0rg(73)
        , tstemtc_top_1(11)
        , add_ip(11,5,[13,18,71,3])
        , iy()
        ),

    'uni0E0F':    #TO PATAK
        packline(""
        , h_main_2(84, 50,tstemw_1,38, (27,1),tstemw_1,61, 85, ds1="14+8 ",ds3="14+8 ")
        , h_notch_ko(50, 55,34,53,36)
        , srp0(50)
        , hxheadl2(45,71,65)
        , srp0(27)
        , mdrp0rg(11)
        , f_ip([76,16,21,6,23,4,24,2])
        , tstemtc_thin_1(81)
        , ix()
        #y
        , sy()
        , v_b((84,18))
        , vtt_ko(84, -1, [51,53,55,34,36,38,28,61], 58,31)
        , vtb_head(84, 42,62,68,48)
        , tvheight_lu0_1(1)
        , alignrp(3)
        , mdrpg(25)
        , mdrp0rg(8)
        , tstemtc_thin_1(74)
        , mdrp0rg(78)
        , tstemtc_top_1(14)
        , add_ip(14,8,[76,16,21,6,23,24,2])
        , iy()
        ),

    'base.uni0E10.descless':    #THO THAN
        packline(""
        , h_main_01(67, 26, (20,1),tstemw_1,54, 68)
        , srp0(26)
        , mdrpg(49)
        , srp0(3)
        , mdrprg(38)
        , ip_round(26,1,12)
        , h_head1(64,58,6)
        , ix()
        #y
        , sy()
        , v_b(1)
        , vtt_ro(1, [15,18], 29,46,34,41,51,24)
, srp0(24)
, mdrp0mrw(15)
, mdapr(15,"14-8 ")
        , v_head2(61,55,9)
        , add_ip(15,9,[4])
        , iy()
        ),

    'desc.uni0E10':
        packline(""
        , mdapr(23)
        , alignrp(1)
        , mdrpg(35)
        , mdrp0rg(29)
        , headstem_1(45)
        , hhsph_sara_1(39)
        , srp0(23)
        , mdrp0rg(11)
        , f_ip([16,19,6,50,21,22,2,3,4])
        , mdrpg(55)
        , ix()
        #y
        , sy()
        , mdap(58)
        , mdrp0mrw(32)
        , v_head_sara2(42,36,26)
        , mdrp0rg(1)
        , alignrp(3)
        , alignrp(8)
        , f_ip([22,2,21])
        , tstemt_sara_1(48)
        , mdrp0rg(52)
        , tstemt_sara_1(14)
        , add_ip(14,8,[16,19,6,50])
        , iy()
        ),

    'uni0E11':    #THO NANGMONTHO
        packline(""
        , h_main_2(72, 10,tstemw_1,49, 1,tstemw_1,58, 73)
        , h_khuat(10,1, 34,69,63,28, [25], 16,44, [37,39,41,18,20,21,23])
        , add_ip(49,59,[8])
        , srp0(49)
        , mdrpg(9)
, fo_mdrp(8,9,8,[53])
, fp_mdrp(8,9,53,[52])
        , ix()
        #y
        , sy()
        , v_b((1,9))
        , vtt_ko(1, -1, [53,8,2,59], 56,5)
        , vtt_khuat(1, -1, [16,44,11,49,52], (41,37),(18,23),39,20, 26,66,60,31)
        , iy()
        ),

    'uni0E12':    #THO PHUTHAO
        packline(""
        , h_main_2(97, 56,tstemwc_thin_1,26, (72,1),tstemw_1,74, 98)
        , ip_round(56,72,14,"12+8 14+8 ")
        , alignrp(90)
        , tstemw_1(66)
        , shprp2(4)
        , h_roll_mo(11,94)
        , ip_round(56,14,78)
        , mdrpg(43)
        , hhsph0_2(37)
        , f_ip([34])
        , headstem_2(84)
        , ix()
        #y
        , sy()
        , v_b((1,49))
        , vtt_ko(1, 73, [56,26,15,56,31,70], (63,59),(18,23))
        , vtt_ko2to(20,61, 40,81,75,34)
        , vtb_roll_no(1, 8,87,(91,4),(14,67))
        , iy()
        ),

    'uni0E13':    #NO NEN
        packline(""
        , h_main_2(79, 24,tstemw_1,12, (41,53),tstemw_1,(43,75), 80, ds1="15-8 17-8 18-8 ",ds3="15-8 17-8 18-8 ")
        , h_notch_ko(24, 29,8,27,10)
        , srp0(24)
        , hxheadr1(66,60,18)
        , srp0(41)
        , h_roll_no(47,72)
        , ip_round(24,41,1)
        , tstemw_1(35)
        , shprp2(0)
        , ix()
        #y  
        , sy()
        , v_b(1)
        , vtt_ko(1, 42, [25,27,29,8,10,12,2,35,38], 32,5)
        , vtb_head(1, (21,50),57,63,15)
        , vtb_roll_no(1, 50,69,(54,75),(41,44))
        , iy()
        ),

    'uni0E14':    #DO DEK
        packline(""
        , h_main_2(57, 38,tstemwc_thin_1,8, 1,tstemw_1,44, 58)
        , srp0(38)
        , mdrp0rg(32)
        , tstemw_1(30)
        , f_ip([13])
        , ip_round(38,1,48)
        , mdrpg(25)
        , hhsph0_2(19)
        , headstem_1(54)
        , add_ip(19,25,[16])
        , ix()
        #y
        , sy()
        , v_b((1,31))
        , vtt_ko(1, -1, [13,38,8,2,44,22], 41,5)
        , mdapr(22)
        , v_head2(51,45,16)
        , iy()
, sx()
, fp_mdrp(28,26,15,[16])
        ),

    'uni0E15':    #TO TAO
        packline(""
        , h_main_2(66, 43,tstemwc_thin_1,13, 1,tstemw_1,53, 67)
        , srp0(43)
        , mdrp0rg(37)
        , tstemw_1(35)
        , f_ip([18])
        , ip_round(43,1,57)
        , mdrpg(30)
        , hhsph0_2(24)
        , headstem_1(63)
        , add_ip(24,30,[21])
        , add_ip(43,53,[46,48,50,5,7,8,10])
        , ix()
        #y
        , sy()
        , v_b((1,36))
        , vtt_ko(1, -1, [18,43,13,2,53], (50,46),(5,10))
        , vtt_ko2to(7,48, 27,60,54,21)
        , iy()
, sx()
, fp_mdrp(33,31,20,[21])
        ),

    'uni0E16':      #THO THUNG
        packline(""
        , h_main_2(48, 24,tstemw_1,12, 1,tstemw_1,35, 49)
        , h_notch_ko(24, 29,8,27,10)
        , srp0(24)
        , hxheadr1(45,39,18)
        , ix()
        #y
        , sy()
        , v_b(1)
        , vtt_ko(1, -1, [8,10,12,25,27,29,2,35], 32,5)
        , vtb_head(1, 21,36,42,15)
        , iy()
        ),

    'uni0E17':      #THO THAHAN
        packline(""
        , h_main_2(45, 10,tstemw_1,22, 1,tstemw_1,32, 46, ds1="10-8 14+8 ",ds3="14+8 ")
        , srp0(10)
        , hxheadl2(16,42,36)
        , add_ip(22,32,[8])
        , srp0(22)
        , mdrpg(9)
, fo_mdrp(8,9,8,[26])
, fp_mdrp(8,9,26,[25])
        , ix()
        #y
        , sy()
        , v_b((1,9))
        , vtt_ko(1, -1, [26,8,2,32,25], (29,19),5)
        , v_head2(39,33,13)
        , iy()
        ),

    'uni0E18':      #THO THONG
        packline(""
        , h_main_2(45, 3,tstemw_1,43, 39,tstemw_1,34, 46)
        , srp0(3)
        , mdrp0g(6)
        , mdrpg(29)
        , srp0(39)
        , mdrprg(18)
        , ix()
        #y
        , sy()
        , vtb_stemt(0,(37,3))
        , vtt_ro(0, [], 9,26,14,21,31,(4,43))
        , iy()
        ),

    'uni0E19':      #NO NU
        packline(""
        , h_main_2(57, 1,tstemw_1,(13,0), (19,31),tstemw_1,(21,53), 58)
        , srp0(1)
        , hxheadl2(7,44,38)
        , srp0(19)
        , h_roll_no(25,50)
        , ix()
        #y
        , sy()
        , v_b(0)
        , vtt_ngo(0, 20, [16], 10,41,35,4)
        , vtb_roll_no(0, 28,47, (32,53),(19,22))
        , iy()
        ),  

    'uni0E1A':      #BO BAIMAI
        packline(""
        , h_main_2(36, 3,tstemw_1,15, 19,tstemw_1,21, 37)
        , srp0(3)
        , hxheadl2(9,33,27)
        , ix()
        #y  
        , sy()
        , vtb_stemt(0, (17,3))
        , vtt_ngo(0, 20, [], 12,30,24,6)
        , iy()
        ),

    'uni0E1B':      #PO PLA
        packline(""
        , h_main_2(36, 3,tstemw_1,15, 19,tstemw_1,21, 37)
        , srp0(3)
        , hxheadl2(9,33,27)
        , ix()
        #y  
        , sy()
        , vtb_stemt(0, (17,3))
        , vtt_ngo(0, -1, [], 12,30,24,6)
        , tvheight_po0_1(20)
        , iy()
        ),

    'uni0E1C':      #PHO PHUNG
        packline(""
        , h_main_2(34, 4,tstemw_1,(16,3), (19,1),tstemw_1,21, 35)
        , srp0(4)
        , hxheadr1(31,25,11)
        , ix()
        #y  
        , sy()
        , v_b((1,3))
        , vtt_ngo(1, 20, [17,19,18,2], 8,28,22,14)
        , iy()
        ),  

    'uni0E1D':      #FO FA
        packline(""
        , h_main_2(34, 4,tstemw_1,(16,3), (19,1),tstemw_1,21, 35)
        , srp0(4)
        , hxheadr1(31,25,11)
        , ix()
        #y  
        , sy()
        , v_b((1,3))
        , vtt_ngo(1, -1, [17,19,18,2], 8,28,22,14)
        , tvheight_po0_1(20)
        , iy()
        ),  

    'uni0E1E':      #PHO PHAN
        packline(""
        , h_main_2(38, 4,tstemw_1,(16,3), (23,1),tstemw_1,25, 39)
        , srp0(4)
        , hxheadl2(10,35,29)
        , ix()
        #y  
        , sy()
        , v_b((1,3))
        , vtt_ngo(1, 24, [19,21,20,2], 13,32,26,7)
        , iy()
        ),

    'uni0E1F':      #FO FAN
        packline(""
        , h_main_2(38, 4,tstemw_1,(16,3), (23,1),tstemw_1,25, 39)
        , srp0(4)
        , hxheadl2(10,35,29)
        , ix()
        #y  
        , sy()
        , v_b((1,3))
        , vtt_ngo(1, -1, [19,21,20,2], 13,32,26,7)
        , tvheight_po0_1(20)
        , iy()
        ),

    'uni0E20':    #PHO SAMPHAO
        packline(""
        , h_main_2(48, 24,tstemw_1,12, 1,tstemw_1,35, 49)
        , h_notch_ko(24, 29,8,27,10)
        , srp0(24)
        , hxheadl2(19,45,39)
        , ix()
        #y
        , sy()
        , v_b(1)
        , vtt_ko(1, -1, [25,27,29,8,10,12,2,35], 32,5)
        , vtb_head(1, 16,36,42,22)
        , iy()
        ),

    'uni0E21':      #MO MA
        packline(""
        , h_main_2(57, (14,51),tstemw_1,(26,4), (32,1),tstemw_1,34, 58)
        , srp0(14)
        , hxheadl2(20,44,38)
        , srp0(14)
        , h_roll_mo(11,54, ds2="14-8 ")
        , ix()
        #y
        , sy()
        , v_b(1)
        , vtt_ngo(1, 33, [30], 23,41,35,17)
        , vtb_roll_no(1, 8,47,(51,4),(14,27))
        , iy()
        ),
    
    'uni0E22':    #YO YAK
        packline(""
        , h_main_2(58, 10,tstemw_1,22, 40,tstemw_1,42, 59)
        , srp0(10)
        , hxheadr1(55,49,17)
        , srp0(10)
        , mdrpg(28)
        , mdrp0rg(3)
        , tstemw_1(33)
        , ix()
        #y
        , sy()
        , vtb_stemtc(58, 0,37)
        , vtt_ngo(58, 41, [26], 14,52,46,20)
        , mdapr(26)
        , tstemtc_thin_2(30)
        , f_ip([7])
        , iy()
        ),

    'uni0E23':    #RO RUA
        packline(""
        , h_main_01(58, 14, 8,tstemw_1,42, 59)
        , srp0(8)
        , mdrprg(26)
        , hxheadl2(3,55,49)
        , srp0(14)
        , mdrpg(37)
        , ix() 
        #y
        , sy() 
        , v_b(58)
        , vtt_ro(58, [], (17,25),34, 22,29, 39,12)
        , vtb_head(58, 0,46,52,6)
        , iy()
        ),  

    'uni0E24':      #RU
        packline(""
        , h_main_2(48, 24,tstemw_1,12, 1,tstemw_1,35, 49)
        , h_notch_ko(24, 29,8,27,10)
        , srp0(24)
        , hxheadr1(45,39,18)
        , ix()
        #y
        , sy()
        , v_b(48)
        , vtt_ko(48, -1, [8,10,12,25,27,29,2,35], 32,5)
        , vtb_head(48, 21,36,42,15)
        , tvheight_lu0_1(1)
        , iy()
        ),

    'uni0E25':      #LO LING
        packline(""
        , h_main_2(54, 20,tstemw_1,8, (27,1),tstemw_1,41, 55)
        , srp0(20)
        , mdrprg(35)
        , hxheadr1(51,45,14)
        , ix()
        #y
        , sy()
        , v_b(1)
        , vtt_ko(1, -1, [24], 38,31)
        , mdapr(24)
        , tstemtc_thin_2(5)
        , vtb_head(1, 17,42,48,11)
        , iy()
        ),

    'uni0E26':    #LU
        packline(""
        , h_main_2(48, 24,tstemw_1,12, 1,tstemw_1,35, 49)
        , h_notch_ko(24, 29,8,27,10)
        , srp0(24)
        , hxheadl2(19,45,39)
        , ix()
        #y
        , sy()
        , v_b(48)
        , vtt_ko(48, -1, [25,27,29,8,10,12,2,35], 32,5)
        , vtb_head(48, 16,36,42,22)
        , tvheight_lu0_1(1)
        , iy()
        ),

    'uni0E27':    #WO WAEN
        packline(""
        , h_main_01(38, 16, 8,tstemw_1,22, 39)
        , srp0(8)
        , hxheadl2(3,35,29)
        , ix()
        #y
        , sy()
        , v_b(38)
        , vtt_ko(38, -1, [], 19,12)
        , vtb_head(38, 0,26,32,6)
        , iy()
        ),  

    'uni0E28':    #SO SALA
        packline(""
        , h_main_2(62, 37,tstemwc_thin_1,8, 1,tstemw_1,49, 63)
        , srp0(37)
        , mdrp0rg(32)
        , tstemw_1(27)
        , f_ip([11])
        , mdrp0rg(59)
        , mdrpg(22)
        , mdrpg(12)
        , hhsph0_1(17)
        , headstem_2(53)
        , srp0(1)
        , mdrp0mrg(44)
        , tstemw_1(45)
        , ix()
        #y
        , sy()
        , v_b((0,29))
        , vtt_ko(0, -1, [37,8,14,2,49], 40,5)
        , mdrpmrg(44)
        , mdapr(14)
        , v_head2(56,50,20)
        , add_ip(14,20,[11,22])
        , iy()
        ),

    'uni0E29':      #SO RUSI
        packline(""
        , h_main_2(76, 3,tstemw_1,15, (19,41),tstemw_1,(49,43), 77)
        , srp0(3)
        , hxheadl2(9,61,55)
        , srp0(19)
        , mdrp0mrg(31)
        , headstem_2(67)
        , hhsph_sara0_2(73)
        , f_ip([36])
        , mdrpg(25)
        , ix()
        #y  
        , sy()
        , vtb_stemt(0, (17,3))
        , vtt_ngo(0, 42, [28], 12,58,52,6)
        , mdapr(28)
        , alignrp(46)
        , headstem_2(70)
        , vhsph_sara0_2(64)
        , headstem_2(34)
        , mdrp0rg(39)
        , mdrpg(22)
        , add_ip(46,22,[41,20,44,49])
        , iy()
        ),

    'uni0E2A':      #SO SUA
        packline(""
        , h_main_2(60, 20,tstemw_1,8, (27,1),tstemw_1,47, 61)
        , srp0(20)
        , mdrprg(35)
        , hxheadr1(57,51,14)
        , srp0(27)
        , mdrp0mrg(42)
        , tstemw_1(43)
        , ix()
        #y
        , sy()
        , v_b(1)
        , vtt_ko(1, -1, [24], 38,31)
        , mdrpmrg(42)
        , mdapr(24)
        , tstemtc_thin_2(5)
        , vtb_head(1, 17,48,54,11)
        , iy()
        ),

    'uni0E2B':      #HO HIP
        packline(""
        , h_main_2(69, 10,tstemw_1,22, 1,tstemw_1,44, 70, ds1="10-8 14+8 ",ds3="14+8 ")
        , srp0(10)
        , hxheadl2(16,54,48)
        , srp0(44)
        , mdrp0rg(60,"9-8 10-8 ")
        , mdapr(60)
        , tstemtc_top_1(38)
        , mdrp0rg(32,"12+8 13+8 ")
        , tstemtc_top_1(66)
        , add_ip(32,38,[29,41,5])
        , add_ip(22,44,[8])
        , srp0(22)
        , mdrpg(9)
, fo_mdrp(8,9,8,[26])
, fp_mdrp(8,9,26,[25])
        , ix()
        #y
        , sy()
        , v_b((1,9))
        , vtt_ngo(1, -1, [26,8,2,44,25], (19,35),51,45,13)
        , srp0(35)
        , tstemtc_thin_2(63)
        , mdrp0rg(57,"11+8 ")
        , tstemtc_top_2(5)
        , f_ip([29,41])
        , iy()
        ),

    'uni0E2C':      #LO CHULA
        packline(""
        , h_main_2(63, 4,tstemw_1,(16,3), (23,1,54),tstemw_1,(41,33), 64)
        , srp0(4)
        , hxheadl2(10,51,45)
        , srp0(23)
        , mdrp0rg(27)
        , tstemt_1(60)
        , ix()
        #y  
        , sy()
        , v_b((1,3))
        , vtt_ngo(1, -1, [19,21,20,2], 13,48,42,7)
        , srp0(1)
        , mdrp0rg(30)
        , mdrprg(37)
        , v_head2(57,54,24)
        , add_ip(30,24,[34,41])
        , iy()
        ),

    'uni0E2D':      #O ANG
        packline(""
        , h_main_2(52, 3,tstemw_1,15, 22,tstemw_1,36, 53)
        , srp0(3)
        , mdrprg(30)
        , hxheadr1(49,43,10)
        , ix()
        #y
        , sy()
        , vtb_stemtc(52, 0,19)
        , vtt_ko(52, -1, [7,23,36], 33,26)
        , mdapr(7)
        , v_head2(46,40,13)
        , iy()
        ),  

    'uni0E2E':      #HO NOKHUK
        packline(""
        , h_main_2(70, 3,tstemw_1,15, 22,tstemw_1,43, 71)
        , srp0(3)
        , mdrp0rg(31)
        , tstemt_1(67)
        , srp0(3)
        , hxheadr1(56,50,10)
        , srp0(22)
        , mdrp0rg(38)
        , tstemw_1(39)
        , add_ip(31,39,[62,36,41,25])
        , ix()
        #y
        , sy()
        , vtb_stemtc(70, 0,19)
        , vtt_ko(70, -1, [7,23,43], 34,64)
        , mdrprg(38)
        , mdrp0rg(59)
        , tstemtc_thin_2(28)
        , mdapr(7)
        , v_head2(53,47,13)
        , iy()
        ),

    'uni0E2F':      #PAIYAN NOI
        packline(""
        , h_main_01(47, 14, 3,tstemw_1,32, 48)
        , srp0(44)
        , mdrpg(14)
        , hhsph0_1(20)
        , f_ip([23])
        , headstem_2(38)
        , add_ip(20,3,[27])
        , srp0(27)
        , tstemtc_1(8)
        , ix()  
        #y  
        , sy()
        , v_b(1)
        , vtt_ko(1, -1, [], (30,17),6)
        , srp0(17)
        , v_head2(41,35,23)
        , mdrp0mrg(25)
        , tstemtc_top_2(11)
        , iy()
        ),  

    'uni0E30':      #SARA A
        packline(""
        , h_main_01(72, 3, (20,56),tstemwc_sara_1,(21,57), 73)
        , srp0(3)
        , mdrp0rg(33)
        , alignrp(69)
        , mdrpg(3)
        , shprp2(39)
        , hhsph_sara0_1(9)
        , f_ip([14,50])
        , alignrp(45)
        , headstem_2(27)
        , shprp2(63)
        , ix()
        #y  
        , sy()
        , mdapr(0)
        , tstemt_1(17)
        , mdrp0rg(6)
        , mdrprg(20)
        , v_head_sara2(30,24,12)
        #
        , vtt(0, 42,[])
        , mdrprg(56)
        , v_head_sara2(66,60,48)
        , mdrp0rg(36)
        , tstemt_1(53)
        , iy()
        ),

    'uni0E31':      #MAI HAN-AKAT
        packline(""
        , mdap(33)
        , mdrpg(3)
        , hhsph_sara0_1(9)
        , f_ip([14])
        , headstem_2(27)
        , srp0(33)
        , mdrp0rg(20)
        , tstemw_sara_1(21)
        , ix()
        #y  
        , sy()
        , vtt_sara(0)
        , tstemt_1(17)
        , mdrp0rg(6)
        , mdrprg(20)
        , v_head_sara2(30,24,12)
        , iy()
        ),

    'uni0E32':    #SARA AA
        packline(""
        , h_main_01(16, 9, 1,tstemw_1,15, 17)
        , ix()
        #y
        , sy()
        , v_b(1)
        , vtt_ko(1, -1, [2,15], 12,5)
        , iy()
        ),  

    'uni0E34':    #SARA I
        packline(""
        , mdapr(6)
        , tstemw_1(13)
        , mdrp0rg(9,"12-8 ")
        , mdrpg(0)
        , ix()
        #y
        , sy()
        , vtt_sara(2)
        , mdrpg(0)
        , tstemtc_1(16)
        , mdrp0rg(11)
        , tstemtc_top_1(7)
        , add_ip(7,0,[9])
        , iy()
        ),
    
    'uni0E35':    #SARA II
        packline(""
        , mdapr(6)
        , tstemw_1(18)
        , mdrp0rg(14,"12-8 ")
        , mdrpg(0)
        , mdrp0rg(9)
        , tstemw_sara_1(11)
        , ix()
        #y
        , sy()
        , vtt_sara(2)
        , mdrpg(0)
        , tstemtc_1(21)
        , mdrp0rg(16)
        , tstemtc_top0_1(7)
        , mdrpmrg(10)
        , add_ip(7,0,[9,12,14])
        , iy()
        ),
    
    'uni0E36':    #SARA UE
        packline(""
        , mdapr(6)
        , tstemw_1(24)
        , mdrp0rg(20,"12-8 ")
        , mdrpg(0)
        , mdrp0rg(9)   
        , mdrpg(38)
        , mdrp0rg(32,"11+4 12+4 ")
        , mdrpg(15)
        , ix()
        #y
        , sy()
        , vtt_sara(2)
        , mdrpg(0)
        , tstemtc_1(27)
        , mdrp0rg(22)
        , tstemtc_top0_1(7)
        , add_ip(7,0,[9,18,20,29])
        , mdapr(29)
        , mdrp0rg(12,"11+4 12+4 ")
        , mdrpg(35)
        , iy()
        ),

    'uni0E37':    #SARA UUE
        packline(""
        , mdapr(6)
        , tstemw_1(23)
        , mdrp0rg(19,"12-8 ")
        , mdrpg(0)
        , mdrp0rg(14)
        , tstemw_sara_thin_1(16)
        , mdrp0mb(11)
        , mdrp0g(9)
        , mdapr(9)
        , tstemw_sara_thin_1(11)
        , ix()
        #y
        , sy()
        , vtt_sara(2)
        , mdrpg(0)
        , tstemtc_1(26)
        , mdrp0rg(21)
        , tstemtc_top0_1(7)
        , mdrpmrg(10)
        , shprp2(15)
        , add_ip(7,0,[9,12,14,17,19])
        , iy()
        ),  

    'uni0E38':    #SARA U
        packline(""
        , mdapr(1)
        , tstemw_sara_1(13)
        , mdrp0rg(7)
        , headstem_1(23)
        , hhsph_sara_1(17)
        , ix()
        #y  
        , sy()
        , mdap(26) 
        , mdrp0mrw(10)
        , v_head_sara2(20,14,4)
        , srp0(4)
        , mdrpmrg(1)
        , iy()
        ),  

    'uni0E39':    #SARA UU
        packline(""
        , mdap(19)
        , tstemw_sara_1(21)
        , mdrp0mw(14)
        , mdrp0g(2)
        , mdapr(2)
        , tstemw_sara_1(14)
        , mdrp0rg(8)
        , headstem_1(33)
        , hhsph_sara_1(27)
        , ix() 
        #y  
        , sy()
        , mdap(36)
        , mdrp0mrw(20)
        , mdrp0rg(11)
        , v_head_sara2(30,24,5)
        , srp0(5)
        , mdrp0mg(0)
        , mdapr(0)
        , tstemtc_sara_1(17)
        , iy()
        ),

    'uni0E3A':    #PHINTHU
        packline(""
        , mdap(3)
        , mdrpmb(9)
        , ix() 
        #y  
        , sy()
        , mdap(12)
        , mdrp0mrw(6)
        , mdrpmb(0)
        , iy() 
        ),

    'uni0E3F':    #THAI CURRENCY SYMBOL BAHT
        packline(""
        , h_main_2(47, 5,estemw_1,(38,27), 43,estemwc_1,20, 48)
        , srp0(43)
        , mdrp0g(32)
        , estemw_1(15)
        , ip_round(5,43,36)
        , alignrp(1)
        , alignrp(25)
        , alignrp(9)
        , mdrpb(46)
        , shprp2(24)
        , shprp2(35)
        , shprp2(11)
        , ix() 
        #y  
        , sy()
        , mdapr(24)
        , alignrp(2)
        , mdrprg(0)
        , estemt_1(40)
        , shprp2(36)
        , mdapr(12)
        , alignrp(9)
        , mdrprg(11)
        , estemt_2(35)
        , shprp2(26)
        , 'SROUND 74'
        , ip_round(12,40,29)
        , 'RTG'
        , alignrp(25)
        , estemt_2(46)
        , shprp2(37)
        , iy() 
        ), 

    'uni0E40':    #SARA E
        packline(""
        , h_main_1(26, 3,tstemw_1,5, 27)
        , srp0(3)
        , hxheadr1(23,17,11)
        , ix()
        #y  
        , sy()
        , vtb_head(26, 0,14,20,8)
        , tvheight0_1(4)
        , iy()
        ),

    'uni0E42':    #SARA O
        packline(""
        , h_main_1(54, 3,tstemw_1,33, 55)
        , srp0(3)
        , hxheadr1(51,45,39)
        , srp0(3)
        , mdrprg(19)
        , mdrp0rg(7)
        , mdrpg(30)
        , ix()
        #y  
        , sy()
        , vtb_head(54, 0,42,48,36)
        , vtt_ro(54, [], 10,27, 15,22, 30,7, ds4="")
        , iy()   
        ),

    'uni0E43':    #SARA AI MAI MUAN
        packline(""
        , h_main_1(62, 3,tstemw_1,41, 63)
        , srp0(3)
        , hxheadr1(59,53,47)
        , srp0(3)
        , mdrp0mrw(29)
        , mdrpg(16)
        , mdrp0rg(35)
        , f_ip([23,22])
        , tstemtc_1(10)
        , ix()
        #y  
        , sy()
        , v_b(62)
        , vtb_head(62, 0,50,56,44)
        , mdapr(38)
        , tstemtc_top_1(7)
        , mdrp0rg(32)
        , f_ip([26,19])
        , tstemtc_1(13)
        , iy()
        ),

    'uni0E44':    #SARA AI MAIMALAI
        packline(""
        , h_main_1(44, 3,tstemw_1,23, 45)
        , srp0(3)
        , mdrprg(14)
        , hxheadr1(41,35,29)
        , ix()
        #y  
        , sy()
        , v_b(44)
        , vtb_head(44, 0,32,38,26)
        , mdapr(21)
        , tstemtc_top_2(6)
        , mdrpg(15)
        , mdrp0rg(12)
        , mdrpg(18)
        , iy()
        ),

    'uni0E45':    #LAKKHANGYAO
        packline(""
        , h_main_01(16, 9, 1,tstemw_1,15, 17)
        , ix()
        #y
        , sy()
        , v_b(16)
        , vtt_ko(16, -1, [2,15], 12,5)
        , tvheight_lu0_1(1)
        , iy()
        ),

    'uni0E46':    #MAIYAMOK
        packline(""
        , h_main_01(51, (48,15), 3,tstemw_1,36, 52)
        , srp0(48)
        , mdrpg(26)
        , hhsph0_1(20)
        , headstem_2(42)
        , add_ip(26,36,[29,31,33,7,9,10,12])
        , ix()
        #y
        , sy()
        , v_b(51)
        , vtt_ko(51, -1, [], (33,29),(7,12))
        , vtt_ko2to(9, 31, 17,45,39,23)
        , tvheight_lu0_1(1)
        , iy()
        ),

    'uni0E47':    #MAITAIKHU
        packline(""
        , mdap(64)
        , mdrpg(58)
        , mdrp0rg(24)
        , tstemw_sara_1(25)
        , srp0(64)
        , mdrp0rg(52)
        , f_ip([49])
        , mdrpg(70)
        , srp0(64)
        , mdrp0rg(13)
        , tstemw_sara_1(36)
        , ix()
        #y
        , sy()
        , vtt_sara(0)
        , alignrp(10)
        , mdrpg(47)
        , mdrp0rg(55)
        , f_ip([67,61,49])
        , mdrp0mrw(28)
        , tstemtc_sara0_1(21)
        , mdrpmrg(25)
        , iy()
        ),

    'base.uni0E47.high':    #MAITAIKHU
        packline(""
        , mdap(41)
        , mdrprg(17)
        , mdrprg(35)
        , f_ip([53,47])
        , mdrp0rg(10)
        , f_ip([23,26,29,5,3])
        , ix()
        #y
        , sy()
        , tvtwanayuk(0)
        , alignrp(7)
        , mdrprg(38)
        , f_ip([44,50,32,3,29,26])
        , mdrprg(13)
        , f_ip([20])
        , iy()
        ),

    'uni0E48':    #MAI EK
        packline(""
        , mdapr(4)
        , ix()
        #y
        , sy()
        , vtt_sara(0)
        , iy()
        ),

    'base.uni0E48.low':    #MAI EK
        packline(""
        , mdap(4)
        , tstemw_sara_1(5)
        , ix()
        #y
        , sy()
        , vtt_sara(0)
        , iy()
        ),

    'uni0E49':    #MAI THO
        packline(""
        , mdap(23)
        , mdrpg(24)
        , mdrp0rg(17)
        , mdrpg(30)
        , ix()
        #y
        , sy()
        , vtt_sara(0)
        , mdrpg(27)
        , iy()
        ),

    'base.uni0E49.low':    #MAI THO
        packline(""
        , mdap(23)
        , tstemw_sara_1(24)
        , mdrp0mrw(17)
        , h_head_sara1(30,36,11)
        , add_ip(11,17,[6,20])
        , ix()
        #y
        , sy()
        , vtt_sara(0)
        , tstemt_sara_1(3)
        , shprp2(20)
        , mdrp0rg(8)
        , v_head_sara1(27,33,14)
        , shprp2(23)
        , iy()
        ),

    'uni0E4A':    #MAI TRI
        packline(""
        , mdapr(40)
        , mdrpg(43)
        , mdrp0mrg(34)
        , mdrpg(5)
        , mdrp0rg(24)
        , mdrpg(55)
        , ix()
        #y
        , sy()
        , vtt_sara(0)
        , alignrp(21)
        , mdrpg(46)
        , iy()
        ),

    'base.uni0E4A.low':    #MAI TRI
        packline(""
        , mdapr(42)
        , tstemw_sara_1(43)
        , mdrp0mrw(34)
        , mdrpg(5)
        , mdrp0rg(24)
        , h_head_sara1(55,49,18,li=[12])
        , ix()
        #y
        , sy()
        , vtt_sara(0)
        , alignrp(21)
        , tstemt_sara_1(2)
        , shprp2(37)
        , h_head_sara1(46,52,12)
        , srp0(0)
        , mdrp0rg(27)
        , alignrp(31)
        , mdrprg(42)
        , tstemt_sara_2(13)
        , shprp2(8)
        , iy()
        ),

    'uni0E4B':    #MAI CHATTAWA
        packline(""
        , mdapr(6)
        , ix()
        #y  
        , sy()
        , vtt_sara(0)
        , iy()
        ),

    'base.uni0E4B.low':    #MAI CHATTAWA
        packline(""
        , mdapr(6)
        , tstemw_sara_2(7)
        , ix()
        #y  
        , sy()
        , vtt_sara(10)
        , iy()
        ),

    'uni0E4C':    #THANTHAKAT
        packline(""
        , mdapr(26)
        , mdrpg(27)
        , ix()
        #y  
        , sy()
        , vtt_sara(0)
        , mdrpg(24)
        , iy()
        ),

    'base.uni0E4C.low':    #THANTHAKAT
        packline(""
        , mdapr(21)
        , headstem_2(27)
        , hhsph0_2(33)
        , mdrpg(3)
        , srp0(21)
        , mdrp0rg(8)
        , tstemw_sara_1(13)
        , ix()
        #y  
        , sy()
        , vtt_sara(0)
        , v_head_sara1(24,30,18)
        , mdrpmrg(11)
        , f_ip([6,15])
        , iy()
        ),

    'uni0E4D':    #NIKHAHIT
        packline(""
        , mdap(15)
        , mdrpb(9)
        , mdrp0rg(3)
        , mdrpb(21)
        , ix()
        #y
        , sy()
        , vtt_sara(0)
        , mdrpb(12)
        , mdrp0rg(18)
        , mdrpb(6)
        , iy()
        ),

    'base.uni0E4D.high':    #NIKHAHIT
        packline(""
        , mdapr(9)
        , mdrpg(15)
        , ix()
        #y
        , sy()
        , vtt_sara(0)
        , mdrpg(12)
        , iy()
        ),

    'uni0E4E':    #YAMAKKAN
        packline(""
        , mdap(10)
        , mdrpg(26)
        , mdrprg(16)
        , mdrp0rg(3)
        , mdrpg(41)
        , ix()
        #
        , sy()
        , vtt_sara(0)
        , mdrpg(44)
        , mdrp0rg(6)
        , mdrpg(38)
        , mdrp0rg(13)
        , mdrpg(23)
        , iy()
        ),

    'uni0E4F':    #FONGMAN
        packline(""
        , mdapr(3) 
        , tstemtc0_1(21)
        , mdrpmrw(27)
        , srp0(3)
        , mdrp0rg(9)
        , tstemtc0_2(15)
        , mdrpmrw(33)
        , add_ip(27,33,[45,39])
        , ix()
        #y  
        , sy()
        , mdapr(0) 
        , tstemtc0_1(12)
        , mdrpmrw(24)
        , srp0(0)
        , mdrp0rg(6)
        , tstemtc0_2(18)
        , mdrpmrw(30)
        , add_ip(30,24,[36,42])
        , iy()
        ),

    'uni0E50':    #THAI DIGIT ZERO
        packline(""
        , h_main_2(24, 3,tstemwc_num_1,21, 15,tstemw_num_1,9, 25)
        , ix()
        #y  
        , sy()
        , vtb_stemtc(24, 0,12)
        , vttn_stemtc(24, -1,[], 6,18)
        , iy()
        ),

    'uni0E51':    #THAI DIGIT ONE
        packline(""
        , h_main_2(54, 3,tstemwc_num_1,22, 16,tstemw_num_1,9, 55)
        , ip_round(3,16, 33)
        , headstem_1(51)
        , hhsph0_1(45)
        , f_ip([28])
        , mdrpg(39)
        , ix()
        #y  
        , sy()
        , v_b(54)
        , mdrpg(12)
        , mdapr(0)
        , tstemtc_1(25)
        , vttn_one(54, -1,[36], 6,19)
        , mdapr(36)
        , v_head2(48,42,30)
        , iy()
        ),

    'uni0E52':    #THAI DIGIT TWO
        packline(""
        , h_main_2(67, 4,tstemw_num_1,12, 20,tstemwc_num_1,52, 68)
        , ip_round(13,52,31)
        , mdrpg(42)
        , mdrp0rg(36)
        , headstem_2(58)
        , hhsph_2(64)
        , add_ip(42,52, [45,47,49,23,25,26,28])
        , ix()
        #y  
        , sy()
        , mdapr(0)
        , tstemtc_top_1(17)
        , vttn_stemtc(0, -1,[33], (49,45),(23,28))
        , mdrprg(9)
        , mdrprg(25)
        , f_ip([47])
        , mdapr(33)
        , v_head2(61,55,39)
        , iy()
        ),

    'uni0E53':    #THAI DIGIT THREE
        packline(""
        , h_main_2(61, 34,tstemwc_num_1,17, 4,tstemwc_num_1,46, 62)
        , srp0(34)
        , mdrp0rg(28)
        , h_head2(52,58,22)
        , add_ip(34,46, [10,11,40])
        , ix()
        #y  
        , sy()
        , v_b(1)
        , vtb_head(1, 31,49,55,25)
        , vttn_one(1, -1,[10], (43,37),(7,14))
        , mdapr(10)
        , add_ip(43,10,[40])
        , iy()
        ),


    'uni0E54':    #THAI DIGIT FOUR
        packline(""
        , h_main_10(67, 10,tstemwc_num_1,29, 54, 68)
        , srp0(54)
        , mdrp0rg(17)
        , estem_123_1(22)
        , ip_round(10,54,64)
        , mdrpg(38)
        , hhsph0_1(44)
        , f_ip([49,35])
        , headstem_2(58)
        , ix()
        #y  
        , sy()
        , vtb_stemtc_num_thick(67, (7,0),32)
        , mdrp0g(51)
        , tstemtc_num_thick_2(2)
        , srp0(67)
        , mdrp0rg(41)
        , v_head2(61,55,47)
        , tvheight_num0_1(13)
        , mdrpg(14)
        , mdrprg(20)
, fo_mirp(13,14,13,'tstemtc_num_thick',[26],parm="black")
        , iy()
        ),

    'uni0E55':    #THAI DIGIT FIVE
        packline(""
        , h_main_10(94, 10,tstemwc_num_1,44, 69, 95)
        , srp0(69)
        , mdrp0rg(28)
        , estem_123_1(33)
        , ip_round(10,69,79)
        , mdrpg(53)
        , hhsph0_1(59)
        , f_ip([64,50])
        , headstem_2(73)
        , ip_round(10,69,16)
        , tstemtc_top_1(91)
        , mdrp0rg(85)
        , tstemtc_top_1(22)
        , add_ip(16,22,[13,82,25,38])
        , ix()
        #y  
        , sy()
        , vtb_stemtc_num_thick(94, (7,0),47)
        , mdrp0g(66)
        , tstemtc_num_thick_2(2)
        , srp0(94)
        , mdrp0rg(56)
        , v_head2(76,70,62)
        , tvheight_num0_1(13)
        , mdrpg(25)
        , mdrpg(82)
        , mdrprg(31)
        , mdrp0rg(19)
        , tstemtc_top_2(88)
, fo_mirp(13,25,13,'tstemtc_num_thick',[41],parm="black")
, fo_mirp(25,13,25,'tstemtc_num_thick',[36],parm="black")
        , iy()
        ),

    'uni0E56':    #THAI DIGIT SIX
        packline(""
        , h_main_2(60, 30,estem_139_1,37, 21,tstemwc_num_1,45, 61)
        , srp0(30)
        , mdrprg(33)
        , mdrp0rg(57)
        , mdrpg(3)
        , hhsph0_1(9)
        , f_ip([15])
        , headstem_2(51)
        , ix()
        #y  
        , sy()
        , vtb_stemtc(60, 0,18)
        , vttn_stemtc(60, -1,[6], 42,24)
        , mdrprg(34)
        , mdapr(6)
        , v_head2(54,48,13)
        , iy()
        , dh1(6)
        , dh2(12)
        ),

    'uni0E57':    #THAI DIGIT SEVEN
        packline(""
        , h_main_2(74, 34,tstemwc_num_1,17, 52,estem_123_1,59, 75)
        , srp0(52)
        , mdrp0mw(46)
        , tstemwc_num0_1(4)
        , mdapr(4)
        , tstemwc_num_1(46)
        , add_ip(34,46,[37,40,43,7,10,11,14])
        , srp0(34)
        , mdrp0rg(28)
        , h_head2(65,71,22)
        , ix()
        #y  
        , sy()
        , v_b(0)
        , tstemt_1(49)
        , shprp2(20)
        , vtb_head(0, 31,62,68,25)
        , vttn_stemtc(0, -1,[10], (43,37),(7,14))
        , mdrprg(56)
        , mdapr(10)
        , iy()
        ),

    'uni0E58':    #THAI DIGIT EIGHT
        packline(""
        , h_main_10(82, 14,tstemwc_num_1,40, 73, 83)
        , srp0(73)
        , mdrpg(67)
        , mdrp0rg(24)
        , estem_123_1(29)
        , srp0(73)
        , hhsph0_2(61)
        , f_ip([56])
        , headstem_1(79)
        , add_ip(14,73,[48,5,53,0])
        , ix()  
        #y  
        , sy()
        , vtb_stemtc(82, (0,10),(53,43))
        , mdrp0rg(48)
        , tstemwc_num_2(5)
        , srp0(0)
        , mdrp0rg(64)
        , v_head2(76,70,58)
        , vttn_stem139(82, -1,[], 16,37)
        , mdrprg(27)
        , iy()
        ),

    'uni0E59':    #THAI DIGIT NINE
        packline(""
        , h_main_10(78, 27,tstemwc_num_1,10, 0, 79)
        , srp0(0)
        , mdrp0rg(44)
        , estem_123_1(49)
        , srp0(27)
        , mdrp0rg(21)
        , h_head2(69,75,15)
        , add_ip(27,0,[65,62,33])
, fo_mirp(65,62,65,'estem_139',[2],parm="black")
, fo_mirp(62,65,62,'estem_139',[5],parm="black")
        , ix()  
        #y  
        , sy()
        , vtb_head(0, 24,66,72,18)
        , vttn_stem88(0, -1,[], (36,30),(57,7))
        , mdrprg(47)
        , iy()
        ),

    'uni0E5A':      #ANGKHANKHU
        packline(""
        , h_main_01(62, 14, 42,tstemw_1,36, 63)
        , srp0(42)
        , mdrp0mw(47)
        , tstemw0_2(3)
        , mdapr(3)
        , tstemw_2(47)
        , shprp2(32)
        , srp0(59)
        , mdrpg(14)
        , hhsph0_1(20)
        , f_ip([23])
        , headstem_2(53)
        , add_ip(20,3,[27])
        , srp0(27)
        , tstemtc_1(8)
        , ix()  
        #y  
        , sy()
        , v_b((39,1))
        , vtt_ko(39, -1, [32,47], (34,30,17),(45,6))
        , v_head2(56,50,23)
        , mdrp0mrg(25)
        , tstemtc_top_2(11)
        , iy()
        ),

    'uni0E5B':      #KHOMUT
        packline(""
        , h_main_2(98, 3,tstemw_1,35, 57,estem_123_1,68, 99)
        , srp0(3)
        , mdrp0rg(15)
        , h_head1(95,89,21)
        , mdrp0rg(29)
        , estem_123_1(9)
        , add_ip(9,57,[42,45,48,51,82,79,76])
        , ix()
        #y  
        , sy()
        , mdapr(0)
        , tstemtc_top_1(38)
        , mdapr(6)
        , tstemtc_top_2(32)
        , ip_round(6,38,18)
        , v_head2(92,86,24)
        , mdrp0rg(12)
        , mdrpg(26)
        , add_ip(6,0,[42,45,48,51,82,79,76,72])
        , mdapr(72)
        , tstemt_1(53)
        , iy()
        ),

    }



#++++++++++++++++++++++++++++++

#----- MODIFY pseudo_code_dict BY -----------
#----- SUBSTITUTE FUNCTION IN TEXT FORM -----
#----- TO REAL pseudo_code ------------------
from dttcmd import *

self_func = []
for i in dir():
    if callable(eval(i)): self_func.append(i)

for i in pseudo_code_dict.keys():
    p_list = pseudo_code_dict[i].split('\n')
    for j in range(len(p_list)):
        if '(' in p_list[j]:
            if p_list[j].split('(',1)[0] in self_func:
                l = [n for n in range(len(p_list[j])) if p_list[j][n] == ')']
                t = p_list[j][:l[-1]+1]
                p_list[j] = p_list[j].rep_listace(t, eval(t))
    pseudo_code_dict[i] = '\n'.join(p_list)

